<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@empathyco/x-adapter-platform](./x-adapter-platform.md)

## x-adapter-platform package

## Functions

|  Function | Description |
|  --- | --- |
|  [extractUrlParameters(url)](./x-adapter-platform.extracturlparameters.md) | Returns the base url path and an object with the query parameters. |
|  [getDisplayTaggingInfoFromUrl(displayTaggingUrl)](./x-adapter-platform.getdisplaytagginginfofromurl.md) | Generates the displayClick tagging info. |
|  [getFacetConfig(type)](./x-adapter-platform.getfacetconfig.md) | Returns the facet's config. |
|  [getTaggingInfoFromUrl(taggingUrl)](./x-adapter-platform.gettagginginfofromurl.md) | Extracts the tagging info from a URL. |

## Interfaces

|  Interface | Description |
|  --- | --- |
|  [FacetConfig](./x-adapter-platform.facetconfig.md) | Facet configuration containing the model name and the schema. |
|  [PlatformAdapter](./x-adapter-platform.platformadapter.md) | Platform adapter interface. |
|  [PlatformBanner](./x-adapter-platform.platformbanner.md) | Banner model for the <code>platform</code> API. |
|  [PlatformExperienceControlsRequest](./x-adapter-platform.platformexperiencecontrolsrequest.md) | Request for the <code>experience controls</code> endpoint. |
|  [PlatformExperienceControlsResponse](./x-adapter-platform.platformexperiencecontrolsresponse.md) | Response for the <code>experience controls</code> endpoint. |
|  [PlatformFacet](./x-adapter-platform.platformfacet.md) | Facet model for the <code>platform</code> API. |
|  [PlatformFilter](./x-adapter-platform.platformfilter.md) | Filter model for the <code>platform</code> API. |
|  [PlatformHierarchicalFilter](./x-adapter-platform.platformhierarchicalfilter.md) | HierarchicalFilter model for the <code>platform</code> API. |
|  [PlatformIdentifierResultsRequest](./x-adapter-platform.platformidentifierresultsrequest.md) | Request for the <code>identifier results</code> endpoint. |
|  [PlatformIdentifierResultsResponse](./x-adapter-platform.platformidentifierresultsresponse.md) | Response for the <code>identifier results</code> endpoint. |
|  [PlatformNextQueriesRequest](./x-adapter-platform.platformnextqueriesrequest.md) | Request for the <code>next queries</code> endpoint with <code>extra params</code>. |
|  [PlatformNextQueriesResponse](./x-adapter-platform.platformnextqueriesresponse.md) | Response for the <code>next queries</code> endpoint. |
|  [PlatformNextQuery](./x-adapter-platform.platformnextquery.md) | Next query model for the <code>platform</code> API. |
|  [PlatformPartialResult](./x-adapter-platform.platformpartialresult.md) | Partial results model in platform. |
|  [PlatformPopularSearchesRequest](./x-adapter-platform.platformpopularsearchesrequest.md) | Platform request for the <code>popular searches</code> endpoint. |
|  [PlatformPopularSearchesResponse](./x-adapter-platform.platformpopularsearchesresponse.md) | Response for the <code>popular searches</code> endpoint. |
|  [PlatformPromoted](./x-adapter-platform.platformpromoted.md) | Promoted model for the <code>platform</code> API. |
|  [PlatformQuerySuggestionsRequest](./x-adapter-platform.platformquerysuggestionsrequest.md) | Base request for the <code>query suggestions</code> endpoint. |
|  [PlatformQuerySuggestionsResponse](./x-adapter-platform.platformquerysuggestionsresponse.md) | Response for the <code>query suggestions</code> endpoint. |
|  [PlatformRecommendationsRequest](./x-adapter-platform.platformrecommendationsrequest.md) | Request for <code>recommendations</code> endpoint with <code>extra params</code>. |
|  [PlatformRecommendationsResponse](./x-adapter-platform.platformrecommendationsresponse.md) | Response for the <code>recommendations</code> endpoint. |
|  [PlatformRedirection](./x-adapter-platform.platformredirection.md) | Redirection model for the <code>platform</code> API. |
|  [PlatformRelatedPrompt](./x-adapter-platform.platformrelatedprompt.md) | Related prompt model for the <code>platform</code> API. |
|  [PlatformRelatedPromptNextQueriesTagging](./x-adapter-platform.platformrelatedpromptnextqueriestagging.md) | Related prompt model for the <code>platform</code> API. |
|  [PlatformRelatedPromptsRequest](./x-adapter-platform.platformrelatedpromptsrequest.md) | Request for the <code>related prompts</code> endpoint with <code>extra params</code>. |
|  [PlatformRelatedPromptsResponse](./x-adapter-platform.platformrelatedpromptsresponse.md) | Response for the <code>related prompts</code> endpoint. |
|  [PlatformRelatedPromptTagging](./x-adapter-platform.platformrelatedprompttagging.md) | Related prompt model for the <code>platform</code> API. |
|  [PlatformRelatedTag](./x-adapter-platform.platformrelatedtag.md) | Related tag model for the <code>platform</code> API. |
|  [PlatformRelatedTagsRequest](./x-adapter-platform.platformrelatedtagsrequest.md) | Request for the <code>related tags</code> endpoint with <code>extra params</code>. |
|  [PlatformRelatedTagsResponse](./x-adapter-platform.platformrelatedtagsresponse.md) | Response for the <code>related tags</code> endpoint. |
|  [PlatformResult](./x-adapter-platform.platformresult.md) | Result model for the <code>platform</code> API. |
|  [PlatformSearchRequest](./x-adapter-platform.platformsearchrequest.md) | Request for the <code>search</code> endpoint. |
|  [PlatformSearchResponse](./x-adapter-platform.platformsearchresponse.md) | Response for the <code>search</code> endpoint. |
|  [PlatformSemanticQueriesRequest](./x-adapter-platform.platformsemanticqueriesrequest.md) | Request for the <code>semantic queries</code> endpoint. In this endpoint the <code>q</code> param is used to send the query. |
|  [PlatformSemanticQueriesResponse](./x-adapter-platform.platformsemanticqueriesresponse.md) | Response for the <code>semantic queries</code> endoint. |
|  [PlatformSemanticQuery](./x-adapter-platform.platformsemanticquery.md) | SemanticQuery model for the <code>platform</code> API. |
|  [PlatformSuggestion](./x-adapter-platform.platformsuggestion.md) | Suggestion model for the <code>platform</code> API. |
|  [PlatformTagging](./x-adapter-platform.platformtagging.md) | Tagging model for the <code>platform</code> API. |

## Variables

|  Variable | Description |
|  --- | --- |
|  [bannerSchema](./x-adapter-platform.bannerschema.md) | Default implementation for the BannerSchema. |
|  [experienceControlsEndpointAdapter](./x-adapter-platform.experiencecontrolsendpointadapter.md) | . Default adapter for the experience controls endpoint. |
|  [experienceControlsRequestMapper](./x-adapter-platform.experiencecontrolsrequestmapper.md) | Default implementation for the ExperienceControlsRequestMapper. |
|  [experienceControlsRequestSchema](./x-adapter-platform.experiencecontrolsrequestschema.md) | Default implementation for the ExperienceControlsRequestSchema. |
|  [experienceControlsResponseMapper](./x-adapter-platform.experiencecontrolsresponsemapper.md) | Default implementation for the ExperienceControlsResponseMapper. |
|  [experienceControlsResponseSchema](./x-adapter-platform.experiencecontrolsresponseschema.md) | Default implementation for the ExperienceControlsResponseSchema. |
|  [facetSchema](./x-adapter-platform.facetschema.md) | Default implementation for the FacetSchema. |
|  [hierarchicalFilterSchema](./x-adapter-platform.hierarchicalfilterschema.md) | Default implementation for the HierarchicalFilterSchema. |
|  [identifierResultsEndpointAdapter](./x-adapter-platform.identifierresultsendpointadapter.md) | Default adapter for the identifier results endpoint. |
|  [identifierResultsRequestMapper](./x-adapter-platform.identifierresultsrequestmapper.md) | Default mapper for IdentifierResultsRequest. |
|  [identifierResultsRequestSchema](./x-adapter-platform.identifierresultsrequestschema.md) | Default implementation for the IdentifierResultsRequestSchema. |
|  [identifierResultsResponseMapper](./x-adapter-platform.identifierresultsresponsemapper.md) | Default implementation for the IdentifierResultsResponseMapper. |
|  [identifierResultsResponseSchema](./x-adapter-platform.identifierresultsresponseschema.md) | Default implementation for the IdentifierResultsResponseSchema. |
|  [nextQueriesEndpointAdapter](./x-adapter-platform.nextqueriesendpointadapter.md) | This endpoint does not support pagination in the request. |
|  [nextQueriesRelatedPromptsSchema](./x-adapter-platform.nextqueriesrelatedpromptsschema.md) | Default implementation for the NextQueriesRelatedPromptsSchema. |
|  [nextQueriesRequestMapper](./x-adapter-platform.nextqueriesrequestmapper.md) | Default implementation for the NextQueriesRequestMapper. |
|  [nextQueriesRequestSchema](./x-adapter-platform.nextqueriesrequestschema.md) | Default implementation for the NextQueriesRequestSchema. |
|  [nextQueriesResponseMapper](./x-adapter-platform.nextqueriesresponsemapper.md) | Default implementation for the NextQueriesResponseMapper. |
|  [nextQueriesResponseSchema](./x-adapter-platform.nextqueriesresponseschema.md) | Default implementation for the NextQueriesResponseSchema. |
|  [nextQuerySchema](./x-adapter-platform.nextqueryschema.md) | Default implementation for the NextQuerySchema. |
|  [numberFilterSchema](./x-adapter-platform.numberfilterschema.md) | Default implementation for the NumberFilterSchema. |
|  [partialResultsSchema](./x-adapter-platform.partialresultsschema.md) | Default implementation for the PartialResultsSchema. |
|  [platformAdapter](./x-adapter-platform.platformadapter.md) | Default implementation for the PlatformAdapter. |
|  [popularSearchesEndpointAdapter](./x-adapter-platform.popularsearchesendpointadapter.md) | Default adapter for the popular searches endpoint. |
|  [popularSearchesRequestMapper](./x-adapter-platform.popularsearchesrequestmapper.md) | Default implementation for the PopularSearchesRequestMapper. |
|  [popularSearchesRequestSchema](./x-adapter-platform.popularsearchesrequestschema.md) | Default implementation for the PopularSearchesRequestSchema. |
|  [popularSearchesResponseMapper](./x-adapter-platform.popularsearchesresponsemapper.md) | Default implementation for the PopularSearchesResponseMapper. |
|  [popularSearchesResponseSchema](./x-adapter-platform.popularsearchesresponseschema.md) | Default implementation for the PopularSearchesResponseSchema. |
|  [promotedSchema](./x-adapter-platform.promotedschema.md) | Default implementation for the PromotedSchema. |
|  [querySuggestionsEndpointAdapter](./x-adapter-platform.querysuggestionsendpointadapter.md) | Default adapter for the query suggestions endpoint. |
|  [querySuggestionsRequestMapper](./x-adapter-platform.querysuggestionsrequestmapper.md) | Default implementation for the QuerySuggestionsRequestMapper. |
|  [querySuggestionsRequestSchema](./x-adapter-platform.querysuggestionsrequestschema.md) | Default implementation for the QuerySuggestionsRequestSchema. |
|  [querySuggestionsResponseMapper](./x-adapter-platform.querysuggestionsresponsemapper.md) | Default implementation for the QuerySuggestionsResponseMapper. |
|  [querySuggestionsResponseSchema](./x-adapter-platform.querysuggestionsresponseschema.md) | Default implementation for the QuerySuggestionsResponseSchema. |
|  [recommendationsEndpointAdapter](./x-adapter-platform.recommendationsendpointadapter.md) | Default adapter for the recommendations' endpoint. |
|  [recommendationsRequestMapper](./x-adapter-platform.recommendationsrequestmapper.md) | Default implementation for the RecommendationsRequestMapper. |
|  [recommendationsRequestSchema](./x-adapter-platform.recommendationsrequestschema.md) | Default implementation for the RecommendationsRequestSchema. |
|  [recommendationsResponseMapper](./x-adapter-platform.recommendationsresponsemapper.md) | Default implementation for the RecommendationsResponseMapper. |
|  [recommendationsResponseSchema](./x-adapter-platform.recommendationsresponseschema.md) | Default implementation for the RecommendationsResponseSchema. |
|  [redirectionSchema](./x-adapter-platform.redirectionschema.md) | Default implementation for the RedirectionSchema. |
|  [relatedPromptSchema](./x-adapter-platform.relatedpromptschema.md) | Default implementation for the RelatedPromptSchema. |
|  [relatedPromptsEndpointAdapter](./x-adapter-platform.relatedpromptsendpointadapter.md) | Default adapter for the related prompt endpoint. This endpoint does not support pagination in the request. |
|  [relatedPromptsRequestMapper](./x-adapter-platform.relatedpromptsrequestmapper.md) | Default implementation for the RelatedPromptsRequestMapper. |
|  [relatedPromptsRequestSchema](./x-adapter-platform.relatedpromptsrequestschema.md) | Default implementation for the RelatedPromptsRequestSchema. |
|  [relatedPromptsResponseMapper](./x-adapter-platform.relatedpromptsresponsemapper.md) | Default implementation for the RelatedPromptsResponseMapper. |
|  [relatedPromptsResponseSchema](./x-adapter-platform.relatedpromptsresponseschema.md) | Default implementation for the RelatedPromptsResponseSchema. |
|  [relatedTagSchema](./x-adapter-platform.relatedtagschema.md) | Default implementation for the RelatedTagSchema. |
|  [relatedTagsEndpointAdapter](./x-adapter-platform.relatedtagsendpointadapter.md) | This endpoint does not support pagination in the request. |
|  [relatedTagsRequestMapper](./x-adapter-platform.relatedtagsrequestmapper.md) | Default implementation for the RelatedTagsRequestMapper. |
|  [relatedTagsRequestSchema](./x-adapter-platform.relatedtagsrequestschema.md) | Default implementation for the RelatedTagsRequestSchema. |
|  [relatedTagsResponseMapper](./x-adapter-platform.relatedtagsresponsemapper.md) | Default implementation for the RelatedTagsResponseMapper. |
|  [relatedTagsResponseSchema](./x-adapter-platform.relatedtagsresponseschema.md) | Default implementation for the RelatedTagsResponseSchema. |
|  [resultSchema](./x-adapter-platform.resultschema.md) | Default implementation for the ResultSchema. |
|  [searchEndpointAdapter](./x-adapter-platform.searchendpointadapter.md) | Default adapter for the search endpoint. |
|  [searchRequestMapper](./x-adapter-platform.searchrequestmapper.md) | Default implementation for the SearchRequestMapper. |
|  [searchRequestSchema](./x-adapter-platform.searchrequestschema.md) | Default implementation for the SearchRequestSchema. |
|  [searchResponseMapper](./x-adapter-platform.searchresponsemapper.md) | Default implementation for the SearchResponseMapper. |
|  [searchResponseSchema](./x-adapter-platform.searchresponseschema.md) | Default implementation for the SearchResponseSchema. |
|  [semanticQueriesEndpointAdapter](./x-adapter-platform.semanticqueriesendpointadapter.md) | Default adapter for the semantic queries endpoint. |
|  [semanticQueriesRequestMapper](./x-adapter-platform.semanticqueriesrequestmapper.md) | . Default implementation for the SemanticQueriesRequestMapper |
|  [semanticQueriesRequestSchema](./x-adapter-platform.semanticqueriesrequestschema.md) | Default implementation for the SemanticQueriesRequestSchema. |
|  [semanticQueriesResponseMapper](./x-adapter-platform.semanticqueriesresponsemapper.md) | Default implementation for the SemanticQueriesResponseMapper. |
|  [semanticQueriesResponseSchema](./x-adapter-platform.semanticqueriesresponseschema.md) | Default implementation for the SemanticQueriesResponseSchema. |
|  [semanticQuerySchema](./x-adapter-platform.semanticqueryschema.md) | Default implementation for the SemanticQuery schema. |
|  [simpleFilterSchema](./x-adapter-platform.simplefilterschema.md) | Default implementation for the SimpleFilterSchema. |
|  [suggestionSchema](./x-adapter-platform.suggestionschema.md) | Default implementation for the SuggestionSchema. |
|  [taggingEndpointAdapter](./x-adapter-platform.taggingendpointadapter.md) | Default adapter for the tagging endpoint. |
|  [taggingRequestMapper](./x-adapter-platform.taggingrequestmapper.md) | Default implementation for the TaggingRequestMapper. |

## Type Aliases

|  Type Alias | Description |
|  --- | --- |
|  [PlatformFacetType](./x-adapter-platform.platformfacettype.md) | Facet type for the <code>platform</code> API. It can be: value, hierarchical or range. |

