<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@empathyco/x-components](./x-components.md) &gt; [FacetsXEvents](./x-components.facetsxevents.md)

## FacetsXEvents interface

Dictionary of the events of Facets XModule, where each key is the event name, and the value is the event payload type or `void` if it has no payload.

**Signature:**

```typescript
export interface FacetsXEvents 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [FacetsGroupChanged](./x-components.facetsxevents.facetsgroupchanged.md) |  | [FacetsGroup](./x-components.facetsgroup.md) | The facets from a group have changed Payload: The group id and the new list of facets for it. |
|  [FacetsGroupProvided](./x-components.facetsxevents.facetsgroupprovided.md) |  | [FacetsGroup](./x-components.facetsgroup.md) | A new set of facets for the group has been provided. Payload: The group id and the new list of facets for it. |
|  [FacetsQueryChanged](./x-components.facetsxevents.facetsquerychanged.md) |  | string | The query used in the module has changed. Payload: The facets query. |
|  [PreselectedFiltersProvided](./x-components.facetsxevents.preselectedfiltersprovided.md) |  | RawFilter\[\] | The selected filters provided in the [SnippetConfig](./x-components.snippetconfig.md)<!-- -->. Payload: the raw filters. |
|  [SelectedFiltersChanged](./x-components.facetsxevents.selectedfilterschanged.md) |  | Filter\[\] | The selected filters have changed. Payload: the new list of selected filters. |
|  [SelectedFiltersForRequestChanged](./x-components.facetsxevents.selectedfiltersforrequestchanged.md) |  | Filter\[\] | The selected filters that conform to the filters for request strategy have changed. Payload: the new list of selected filters. |
|  [UserChangedSelectedFilters](./x-components.facetsxevents.userchangedselectedfilters.md) |  | Filter\[\] | A user action has changed the selected filters. Payload: The new list of selected filters. |
|  [UserClickedAFilter](./x-components.facetsxevents.userclickedafilter.md) |  | Filter | The user has clicked any kind of filter. Payload: The clicked filter. |
|  [UserClickedAHierarchicalFilter](./x-components.facetsxevents.userclickedahierarchicalfilter.md) |  | HierarchicalFilter | The user has clicked a filter which is of hierarchical type. Payload: The clicked filter. |
|  [UserClickedAllFilter](./x-components.facetsxevents.userclickedallfilter.md) |  | \[Facet\['id'\]\] | The user has clicked facet select all filters button. Payload: Facet id. |
|  [UserClickedANumberRangeFilter](./x-components.facetsxevents.userclickedanumberrangefilter.md) |  | NumberRangeFilter | The user has clicked a filter which is of number range type. Payload: The clicked filter. |
|  [UserClickedASimpleFilter](./x-components.facetsxevents.userclickedasimplefilter.md) |  | SimpleFilter | The user has clicked a filter which is of simple type. Payload: The clicked filter. |
|  [UserClickedClearAllFilters](./x-components.facetsxevents.userclickedclearallfilters.md) |  | Array&lt;Facet\['id'\]&gt; \| undefined | The user has clicked button clear filters. Payload: array the facets ids. |
|  [UserModifiedEditableNumberRangeFilter](./x-components.facetsxevents.usermodifiededitablenumberrangefilter.md) |  | EditableNumberRangeFilter | The user has modified a filter which is of editable number range filter type. Payload: An [EditableNumberRangeFilter](./x-components.editablenumberrangefilter.md)<!-- -->. |

