<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@empathyco/x-components](./x-components.md)

## x-components package

X-Components is a library usable everywhere not only for search experiences.

## Classes

|  Class | Description |
|  --- | --- |
|  [AddQueryToHistoryAction](./x-components.addquerytohistoryaction.md) | Class implementation for the [HistoryQueriesActions.addQueryToHistory](./x-components.historyqueriesactions.addquerytohistory.md) action. |
|  [BaseXAPI](./x-components.basexapi.md) | Default implementation for [XAPI](./x-components.xapi.md)<!-- -->. |
|  [DefaultExternalTaggingService](./x-components.defaultexternaltaggingservice.md) | Default implementation for the [ExternalTaggingService](./x-components.externaltaggingservice.md)<!-- -->. |
|  [DefaultFacetsService](./x-components.defaultfacetsservice.md) | Default implementation for the [FacetsService](./x-components.facetsservice.md)<!-- -->. |
|  [DirectionalFocusNavigationService](./x-components.directionalfocusnavigationservice.md) | Implementation of [SpatialNavigation](./x-components.spatialnavigation.md) using directional focus. |
|  [HistoryQueriesGetter](./x-components.historyqueriesgetter.md) | Class implementation for the [HistoryQueriesGetters.historyQueries](./x-components.historyqueriesgetters.historyqueries.md) getter. |
|  [QuerySuggestionsGetter](./x-components.querysuggestionsgetter.md) | Class implementation for the [QuerySuggestionsGetter.querySuggestions()](./x-components.querysuggestionsgetter.querysuggestions.md) getter. |
|  [XInstaller](./x-components.xinstaller.md) | <p>The purpose of this class is to offer a quick way to initialize the XComponents in a setup project. It allows to receive all the options in [InstallXOptions](./x-components.installxoptions.md) which is an extension of [XPluginOptions](./x-components.xpluginoptions.md) with all the options for the plugin and some options more.</p><p>This class does multiple things: 1. Install the [XPlugin](./x-components.xplugin.md) with the [XPluginOptions](./x-components.xpluginoptions.md)<!-- -->. 2. Creates the public [XAPI](./x-components.xapi.md) and add it to global window. 3. Creates the Vue Application for the customer project.</p><p>The steps 2 &amp; 3 are optional and depends on the options passed in [InstallXOptions](./x-components.installxoptions.md)<!-- -->.</p> |
|  [XPlugin](./x-components.xplugin.md) | Vue plugin that initializes the properties needed by the x-components, and exposes the events bus and the adapter after it has been installed. |

## Functions

|  Function | Description |
|  --- | --- |
|  [areFiltersDifferent(someFilters, anotherFilters)](./x-components.arefiltersdifferent.md) | Compares if two lists contains the same filters. |
|  [arrayToObject(array)](./x-components.arraytoobject.md) | Reduce an array of strings to an object which properties names are the value of each string, and the value under that property are also the string. |
|  [arrayToObject(array, key)](./x-components.arraytoobject_1.md) | Reduce an array of objects to an object which properties names are the value of each object\[key\], and the value under that property are each object. 'key' is the the parameter passed to this function. |
|  [assertXPluginOptionsAreValid(options)](./x-components.assertxpluginoptionsarevalid.md) | Asserts that the passed options object is valid, providing helpful error messages. |
|  [capitalize(str)](./x-components.capitalize.md) | Util to capitalize a string . |
|  [clone(something)](./x-components.clone.md) | Deeply clones an object or an array. |
|  [createFetchAndSaveActions({ fetch, onSuccess, onError, onCancel, })](./x-components.createfetchandsaveactions.md) | Utility to create an action that requests and save some data asynchronously, with the option to cancel the request at any moment. This factory provides with the standard flow for requesting, cancelling, handling errors for a module, while also taking care of its status. |
|  [createRawFilters(filterIds)](./x-components.createrawfilters.md) | Helper method which creates the filter entity from the filter ir of the url. |
|  [createRelatedTagsQueryGetter({ getRelatedTags, })](./x-components.createrelatedtagsquerygetter.md) | Creates a getter that combines the current selected related tags and the query of the module. |
|  [createSetQueryTaggingFromQueryPreview()](./x-components.createsetquerytaggingfromquerypreview.md) | Factory helper to create a wire to set the queryTagging. |
|  [createStoreEmitters(\_storeModule, emitters)](./x-components.createstoreemitters.md) | Helper function for creating type-safe [StoreEmitters](./x-components.storeemitters.md)<!-- -->. |
|  [createTrackDisplayWire(property)](./x-components.createtrackdisplaywire.md) | Factory helper to create a wire for the track of the display click. |
|  [createTrackRelatedPromptToolingDisplayClickWire()](./x-components.createtrackrelatedprompttoolingdisplayclickwire.md) | Factory helper to create a wire for the track of the tooling display click in a related prompt. |
|  [createTrackToolingAdd2CartWire()](./x-components.createtracktoolingadd2cartwire.md) | Factory helper to create a wire for the track of the tooling display add to cart. |
|  [createTrackToolingDisplayWire()](./x-components.createtracktoolingdisplaywire.md) | Factory helper to create a wire for the track of the tooling display click. |
|  [createTrackWire(property)](./x-components.createtrackwire.md) | Factory helper to create a wire for the track of a taggable element. |
|  [createUseDevice(devices)](./x-components.createusedevice.md) | Factory function that creates a composable for device detection using the devices parameter to configure breakpoints. |
|  [createWireFromFunction(fn)](./x-components.createwirefromfunction.md) | Creates a wire that executes the function passed. This function will receive a [WireParams](./x-components.wireparams.md) object. |
|  [createWiring(wiring)](./x-components.createwiring.md) | Util function to generate type-safe wiring. If TypeScript ever accepts the PR about generic type inference this function can be removed. |
|  [currencyFormatter(value, format)](./x-components.currencyformatter.md) | Format a value with a given format. |
|  [debounce(wire, timeInMs, options)](./x-components.debounce.md) | Creates a debounced [Wire](./x-components.wire.md)<!-- -->. Being debounced means that it will only be executed after the time given by <code>timeInMs</code> has passed without invoking it. |
|  [deepFilter(array, condition, childrenKey)](./x-components.deepfilter.md) | Filters an array with all elements that pass the test implemented by the given filter function. If an item has another list of items in the <code>childrenKey</code> property it recursively filters that new list, adding it to the returned one. |
|  [deepFlat(array, childrenKey)](./x-components.deepflat.md) | Flat an <code>Item[]</code> deeply using the given <code>childrenKey</code> to access to his children. |
|  [filter(wire, filterFn)](./x-components.filter.md) | Creates a [Wire](./x-components.wire.md) that is only executed whenever the condition in the filterFn is true. |
|  [filterBlacklistedModules(wire, blacklist)](./x-components.filterblacklistedmodules.md) | Creates a [Wire](./x-components.wire.md) that is only executed if the event is emitted from a [XModule](./x-components.xmodule.md) that is NOT included in the <code>blacklist</code> array passed as parameter. |
|  [filterFalsyPayload(wire)](./x-components.filterfalsypayload.md) | Creates a [Wire](./x-components.wire.md) that is only executed when the payload is truthy. A truthy value is whatever is not a [falsy value](https://developer.mozilla.org/en-US/docs/Glossary/Falsy)<!-- -->. |
|  [filterTruthyPayload(wire)](./x-components.filtertruthypayload.md) | Creates a [Wire](./x-components.wire.md) that is only executed when the payload is a [falsy value](https://developer.mozilla.org/en-US/docs/Glossary/Falsy)<!-- -->. |
|  [filterWhitelistedModules(wire, whitelist)](./x-components.filterwhitelistedmodules.md) | Creates a [Wire](./x-components.wire.md) that is only executed if the event is emitted from a [XModule](./x-components.xmodule.md) that is included in the <code>whitelist</code> array passed as parameter. |
|  [flatHierarchicalFilters(hierarchicalFilters)](./x-components.flathierarchicalfilters.md) | This function flattens the Hierarchical Filters, returning an array with all filters including the children. |
|  [getActiveElement(root)](./x-components.getactiveelement.md) | Retrieves the currently active element from the specified document or shadow root. This function is recursive to handle nested shadow DOMs, ensuring the actual active element is returned even if it resides deep within multiple shadow DOM layers. |
|  [getGetterPath(moduleName, getterName)](./x-components.getgetterpath.md) | Generates a getter path string with the module and getter name. |
|  [getRootXComponent(component)](./x-components.getrootxcomponent.md) | Given a component, finds the root XComponent in the ancestors hierarchy. |
|  [getStateAndGettersFromModule(state, getters, moduleName)](./x-components.getstateandgettersfrommodule.md) | Returns an object with the getters and state of a module of store defined by the moduleName parameter. |
|  [getTargetElement(event)](./x-components.gettargetelement.md) | Returns the target element for a given event. The target element is obtained from <code>composedPath</code> Event method because if the event is triggered inside a Shadow DOM context, <code>event.target</code> points to Shadow DOM element, not the element that triggered the event. <code>composedPath</code> method also is available in a non-shadow DOM context. |
|  [groupItemsBy(array, groupBy)](./x-components.groupitemsby.md) | Groups the array items based on the provided <code>groupBy</code> function. |
|  [isArrayEmpty(array)](./x-components.isarrayempty.md) | Returns if the given array is <code>null</code>, <code>undefined</code>, or has no elements. |
|  [isElementEqualOrContained(a, b)](./x-components.iselementequalorcontained.md) | Returns true if the two elements are the same, or if <code>b</code> is a child of <code>a</code>. |
|  [isInRange(number, \[min, max\])](./x-components.isinrange.md) | Returns true if the number is greater than or equal than the min, and less than or equal than the max. |
|  [isNewQuery(newQuery, previousQuery)](./x-components.isnewquery.md) | <p>Compares two queries to know if the new one is a refined query from the previous one or a new one.</p><p>A refined query is a query which has the previous query or part of it. Example: - previousQuery = 'lego star'. - newQuery = 'lego star wars'.</p><p>Example: - previousQuery = 'lego star wars'. - newQuery = 'lego star'.</p><p>A new query is a query which has not the previous query. Example: - previousQuery = 'lego star'. - newQuery = 'lego wars'.</p><p>In this case, it is changing the word set, because a word is changed by another one, so this is changing the search intention.</p> |
|  [isStringEmpty(str)](./x-components.isstringempty.md) | Util used to return true if the string is empty, undefined or null. |
|  [isXComponent(component)](./x-components.isxcomponent.md) | Returns if the component is an X-Component. An X-Component is a component that has an [XModule](./x-components.xmodule.md) associated to it. |
|  [mapWire(toWire, mapFn)](./x-components.mapwire.md) | Creates a [Wire](./x-components.wire.md) from other <code>toWire</code> wire. It uses <code>mapFn</code> to transform the <code>FromPayload</code> received to <code>ToPayload</code> which <code>toWire</code> requires. This is useful to reuse wires in different Events where the payload doesn't fit exactly. |
|  [mergeConfig(state, config)](./x-components.mergeconfig.md) | Merges a new config with the current one. Can be used as a mutation. |
|  [namespacedDebounce(moduleName)](./x-components.namespaceddebounce.md) | Type safe debounce operator which creates a function which can only access the Module of the [Vuex](https://vuex.vuejs.org/) Store passed as parameter. |
|  [namespacedThrottle(moduleName)](./x-components.namespacedthrottle.md) | Type safe throttle operator which creates a function which can only access the Module of the [Vuex](https://vuex.vuejs.org/) Store passed as parameter. |
|  [namespacedWireCommit(moduleName)](./x-components.namespacedwirecommit.md) | Creates a namespaced [wireCommit()](./x-components.wirecommit.md) for the module name passed. |
|  [namespacedWireCommitWithoutPayload(moduleName)](./x-components.namespacedwirecommitwithoutpayload.md) | Creates a namespaced [wireCommitWithoutPayload()](./x-components.wirecommitwithoutpayload.md) for the module name passed. |
|  [namespacedWireDispatch(moduleName)](./x-components.namespacedwiredispatch.md) | Creates a namespaced [wireDispatch()](./x-components.wiredispatch.md) for the module name passed. |
|  [namespacedWireDispatchWithoutPayload(moduleName)](./x-components.namespacedwiredispatchwithoutpayload.md) | Creates a namespaced [wireDispatchWithoutPayload()](./x-components.wiredispatchwithoutpayload.md) for the module name passed. |
|  [normalizeString(string)](./x-components.normalizestring.md) | Trims the string, transforms it to lower case, and removes [combining diacritical marks](https://en.wikipedia.org/wiki/Combining_Diacritical_Marks) from it. |
|  [setConfig(state, config)](./x-components.setconfig.md) | Sets the request config. Can be used as a mutation. |
|  [setQuery(state, query)](./x-components.setquery.md) | Sets the query of the module. |
|  [setStatus(state, status)](./x-components.setstatus.md) | Sets the request status. Can be used as a mutation. |
|  [setupDevtools(app)](./x-components.setupdevtools.md) | **_(BETA)_** Setups a plugin for the Vue's devtools adding: - [XEvent](./x-components.xevent.md)<!-- -->s timeline. Every event is recorded in time, and its payload and metadata can be inspected. - Wiring inspector. Events and its wires can be viewed and disabled. |
|  [throttle(wire, timeInMs, options)](./x-components.throttle.md) | Creates a throttled [Wire](./x-components.wire.md)<!-- -->. Being throttled means that it will only be executed once every couple of milliseconds given by the <code>timeInMs</code> parameter. |
|  [toKebabCase(str)](./x-components.tokebabcase.md) | Util to transform string a into kebab case. |
|  [use$x()](./x-components.use_x.md) | Function which returns the <code>$x</code> object from the current component instance. |
|  [useCollapseAnimation(property)](./x-components.usecollapseanimation.md) | Returns parametrized methods to use in a component to allow the collapsing of the provided property. |
|  [useDebounce(fn, debounceTimeInMs, debounceOptions)](./x-components.usedebounce.md) | Composable which wraps the function passed as parameter into a debounced function and returns it. It also cancels the debounced function when component is unmounted. |
|  [useDisableAnimation(animationName)](./x-components.usedisableanimation.md) | Composable to ease disabling animations. |
|  [useEmitDisplayEvent({ element, taggingRequest, eventMetadata, })](./x-components.useemitdisplayevent.md) | Composable that emits a <code>TrackableElementDisplayed</code> event whenever the provided element appears in the viewport for the first time. |
|  [useFacets(props)](./x-components.usefacets.md) | Composable to share Facets logic. |
|  [useFiltersInjection(props)](./x-components.usefiltersinjection.md) | Composable to share filters injection logic. |
|  [useOnDisplay({ element, callback, triggerOnce, })](./x-components.useondisplay.md) | Composable that triggers a callback whenever the provided element appears in the viewport. It can trigger the first time only or every time the element appears in the viewport. |
|  [useScroll(props, { emit }, scrollEl)](./x-components.usescroll.md) | Composable to share Scroll logic. |
|  [useState(module)](./x-components.usestate.md) | Function which returns the requested state's properties as a dictionary. |
|  [useXBus()](./x-components.usexbus.md) | Composable which injects the current location, returns the <code>on</code> and <code>emit</code> functions using the bus and applying component metadata. Also unsubscribe from events when components is unmounted. |
|  [wireCommit(mutation, payloadFactory)](./x-components.wirecommit.md) | Creates a wire that commits a mutation to the store. This wire receives a function. This function is used to get the actual payload value passed to mutation. This wire can be used in every event, as it does not have a payload type associated. |
|  [wireCommit(mutation, staticPayload)](./x-components.wirecommit_1.md) | Creates a wire that commits a mutation to the store. This wire can receive any value as payload. This wire can be used in every event, as it does not have a payload type associated. |
|  [wireCommit(mutation)](./x-components.wirecommit_2.md) | Creates a wire that commits a mutation to the store. This wire will commit to the store the payload that it receives in the observable. |
|  [wireCommitWithoutPayload(mutation)](./x-components.wirecommitwithoutpayload.md) | Creates a wire that commits a mutation to the store, but without any payload. This wire can be used in every event, as it does not have a payload type associated. |
|  [wireDispatch(action, payloadFactory)](./x-components.wiredispatch.md) | Creates a wire that dispatch an action to the store. This wire receives a function. This function is used to get the actual payload value passed to action. This wire can be used in every event, as it does not have a payload type associated. |
|  [wireDispatch(action, staticPayload)](./x-components.wiredispatch_1.md) | Creates a wire that dispatches an action to the store. This wire can be used in every event, as it does not have a payload type associated. |
|  [wireDispatch(action)](./x-components.wiredispatch_2.md) | Creates a wire that dispatches an action to the store. This wire will pass the payload received in the observable to the action. |
|  [wireDispatchWithoutPayload(action)](./x-components.wiredispatchwithoutpayload.md) | Creates a wire that dispatches an action to the store, but without any payload. This wire can be used in every event, as it does not have a payload type associated. |
|  [wireService(service)](./x-components.wireservice.md) | Creates a wires factory that can create wires that will invoke the service methods. |
|  [wireServiceWithoutPayload(service)](./x-components.wireservicewithoutpayload.md) | Creates a wires factory that can create wires that will invoke the service methods but without payload. |

## Interfaces

|  Interface | Description |
|  --- | --- |
|  [ConfigMutations](./x-components.configmutations.md) | Config mutations, containing a method to change the current config and other to merge a new one. |
|  [CreateRelatedTagsQueryGetterOptions](./x-components.createrelatedtagsquerygetteroptions.md) | Options to create a getter that combines the query with the selected related tags. |
|  [DebouncedFunction](./x-components.debouncedfunction.md) | The type returned by the [debounce()](./x-components.debounce.md) function. Basically is the function the [debounce()](./x-components.debounce.md) receives but debounced and with a method <code>cancel()</code> to cancel pending timeouts. |
|  [DebounceOptions](./x-components.debounceoptions.md) | Debounce options for the strategies that the debounce would use. |
|  [DeviceActions](./x-components.deviceactions.md) | Device store actions. |
|  [DeviceGetters](./x-components.devicegetters.md) | Device store getters. |
|  [DeviceMutations](./x-components.devicemutations.md) | Device store mutations. |
|  [DeviceState](./x-components.devicestate.md) | Device store state. |
|  [DeviceXEvents](./x-components.devicexevents.md) | Dictionary of the events of [DeviceXModule](./x-components.devicexmodule.md)<!-- -->, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [DisplayWireMetadata](./x-components.displaywiremetadata.md) | Wire metadata specific for display wires. |
|  [EmpathizeActions](./x-components.empathizeactions.md) | Empathize store actions. |
|  [EmpathizeConfig](./x-components.empathizeconfig.md) | Configuration options for the [EmpathizeXModule](./x-components.empathizexmodule.md)<!-- -->. |
|  [EmpathizeGetters](./x-components.empathizegetters.md) | Empathize store getters. |
|  [EmpathizeMutations](./x-components.empathizemutations.md) | Empathize store mutations. |
|  [EmpathizeState](./x-components.empathizestate.md) | Empathize store state. |
|  [EmpathizeXEvents](./x-components.empathizexevents.md) | Dictionary of the events of Empathize XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [ExperienceControlsActions](./x-components.experiencecontrolsactions.md) | Experience Controls store actions. |
|  [ExperienceControlsGetters](./x-components.experiencecontrolsgetters.md) | Experience Controls store getters. |
|  [ExperienceControlsMutations](./x-components.experiencecontrolsmutations.md) | Experience Controls store mutations. |
|  [ExperienceControlsState](./x-components.experiencecontrolsstate.md) | Experience Controls store state. |
|  [ExperienceControlsXEvents](./x-components.experiencecontrolsxevents.md) | Dictionary of the events of Experience Controls XModule. |
|  [ExternalTaggingService](./x-components.externaltaggingservice.md) | Service to handle the workflow for tracking add to cart from PDP. |
|  [ExtraParamsActions](./x-components.extraparamsactions.md) | ExtraParams store actions. |
|  [ExtraParamsGetters](./x-components.extraparamsgetters.md) | ExtraParams store getters. |
|  [ExtraParamsMutations](./x-components.extraparamsmutations.md) | ExtraParams store mutations. |
|  [ExtraParamsState](./x-components.extraparamsstate.md) | ExtraParams store state. |
|  [ExtraParamsXEvents](./x-components.extraparamsxevents.md) | Dictionary of the events of [ExtraParamsXModule](./x-components.extraparamsxmodule.md)<!-- -->, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [ExtraPluginsOptions](./x-components.extrapluginsoptions.md) | Options to install more Vue plugins with. |
|  [FacetGroupEntry](./x-components.facetgroupentry.md) | An object containing a facet id and the group id it belongs to. |
|  [FacetsActions](./x-components.facetsactions.md) | Facets store actions. |
|  [FacetsConfig](./x-components.facetsconfig.md) | Configuration options for the [FacetsXModule](./x-components.facetsxmodule.md)<!-- -->. |
|  [FacetsGetters](./x-components.facetsgetters.md) | Facets store getters. |
|  [FacetsGroup](./x-components.facetsgroup.md) | <p>An object containing a list of facets, and the group they belong to.</p><p>The facet group is used to perform operations over a list of facets. For example, some APIs have dynamic facets. This means that depending on the selected filters, some facets can be returned. For example if you select <code>category:television</code>, a new facet called \*Screen size\* might appear. And, because now filters are stored in a dictionary instead of an array, and overridden with each request, when the user performs a new query, we have to remove all the <code>Screen size</code> filters because we don't know if the API will return them or not in the new query.</p> |
|  [FacetsMutations](./x-components.facetsmutations.md) | Facets store mutations. |
|  [FacetsService](./x-components.facetsservice.md) | Service to manipulate the filters. |
|  [FacetsState](./x-components.facetsstate.md) | Facets store state. |
|  [FacetsXEvents](./x-components.facetsxevents.md) | Dictionary of the events of Facets XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [FetchAndSaveActions](./x-components.fetchandsaveactions.md) | Actions returned from the [createFetchAndSaveActions()](./x-components.createfetchandsaveactions.md)<!-- -->. |
|  [FetchAndSaveHooks](./x-components.fetchandsavehooks.md) | Options to use with the [createFetchAndSaveActions()](./x-components.createfetchandsaveactions.md) factory. |
|  [FiltersMetadata](./x-components.filtersmetadata.md) | An object containing additional context regarding the filters. |
|  [HistoryQueriesActions](./x-components.historyqueriesactions.md) | HistoryQueries store actions. |
|  [HistoryQueriesConfig](./x-components.historyqueriesconfig.md) | Configuration options for the [HistoryQueriesXModule](./x-components.historyqueriesxmodule.md)<!-- -->. |
|  [HistoryQueriesGetters](./x-components.historyqueriesgetters.md) | HistoryQueries store getters. |
|  [HistoryQueriesMutations](./x-components.historyqueriesmutations.md) | HistoryQueries store mutations. |
|  [HistoryQueriesState](./x-components.historyqueriesstate.md) | HistoryQueries store state. |
|  [HistoryQueriesXEvents](./x-components.historyqueriesxevents.md) | Dictionary of the events of HistoryQueries XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [IdentifierResultsActions](./x-components.identifierresultsactions.md) | IdentifierResults store actions. |
|  [IdentifierResultsConfig](./x-components.identifierresultsconfig.md) | Configuration options for the [IdentifierResultsXModule](./x-components.identifierresultsxmodule.md)<!-- -->. |
|  [IdentifierResultsGetters](./x-components.identifierresultsgetters.md) | IdentifierResults store getters. |
|  [IdentifierResultsMutations](./x-components.identifierresultsmutations.md) | IdentifierResults store mutations. |
|  [IdentifierResultsState](./x-components.identifierresultsstate.md) | IdentifierResults store state. |
|  [IdentifierResultsXEvents](./x-components.identifierresultsxevents.md) | Dictionary of the events of IdentifierResults XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [InitWrapper](./x-components.initwrapper.md) | Interface for the returned type of the [XInstaller.init()](./x-components.xinstaller.init.md) function. |
|  [InstallXOptions](./x-components.installxoptions.md) | Interface for the parameter of the constructor of [XInstaller](./x-components.xinstaller.md) function. It is an extended version of [XPluginOptions](./x-components.xpluginoptions.md)<!-- -->. |
|  [InternalSearchRequest](./x-components.internalsearchrequest.md) | An internal search request containing the page used to calculate the start and rows properties of a [SearchRequest](./x-types.searchrequest.md)<!-- -->. |
|  [InternalSearchResponse](./x-components.internalsearchresponse.md) | An internal search response containing the [InternalSearchRequest](./x-components.internalsearchrequest.md) performed to get a [SearchResponse](./x-types.searchresponse.md) and its [RequestStatus](./x-components.requeststatus.md)<!-- -->. |
|  [MutateFilterPayload](./x-components.mutatefilterpayload.md) | Payload to use in the <code>mutateFilter</code> mutation. |
|  [NamespacedWireCommit](./x-components.namespacedwirecommit.md) | Namespaced type for the [wireCommit()](./x-components.wirecommit.md) which creates a wire with its payload associated. Possible ways for creating a wire that commits a mutation. If a payload is passed, then the observable payload can be ignored, so the wire is applicable to any event. If no payload is passed, then the wire is only applicable to events with the same payload type than the mutation. |
|  [NamespacedWireDispatch](./x-components.namespacedwiredispatch.md) | Namespaced type for the [wireDispatch()](./x-components.wiredispatch.md) which creates a wire with its payload associated. Possible ways for creating a wire that dispatches an action. If a payload is passed, then the observable payload can be ignored, so the wire is applicable to any event. If no payload is passed, then the wire is only applicable to events with the same payload type than the action. |
|  [NextQueriesActions](./x-components.nextqueriesactions.md) | Next queries module actions. |
|  [NextQueriesConfig](./x-components.nextqueriesconfig.md) | Configuration options for the [NextQueriesXModule](./x-components.nextqueriesxmodule.md)<!-- -->. |
|  [NextQueriesGetters](./x-components.nextqueriesgetters.md) | Next queries module getters. |
|  [NextQueriesGroup](./x-components.nextqueriesgroup.md) | Next queries group interface for the NextQueries. |
|  [NextQueriesMutations](./x-components.nextqueriesmutations.md) | Next queries module mutations. |
|  [NextQueriesState](./x-components.nextqueriesstate.md) | Next queries module state. |
|  [NextQueriesXEvents](./x-components.nextqueriesxevents.md) | Dictionary of the events of NextQueries XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [PopularSearchesActions](./x-components.popularsearchesactions.md) | Popular searches module actions. |
|  [PopularSearchesConfig](./x-components.popularsearchesconfig.md) | Configuration options for the popular searches module. |
|  [PopularSearchesGetters](./x-components.popularsearchesgetters.md) | Popular searches module getters. |
|  [PopularSearchesMutations](./x-components.popularsearchesmutations.md) | Popular searches module mutations. |
|  [PopularSearchesState](./x-components.popularsearchesstate.md) | Popular searches module state. |
|  [PopularSearchesXEvents](./x-components.popularsearchesxevents.md) | Dictionary of the events of PopularSearches XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [PrivateXModuleOptions](./x-components.privatexmoduleoptions.md) | Options for overriding the default store module and store emitters for a [XModule](./x-components.xmodule.md)<!-- -->. |
|  [QueriesPreviewActions](./x-components.queriespreviewactions.md) | QueriesPreview store actions. |
|  [QueriesPreviewConfig](./x-components.queriespreviewconfig.md) | Configuration options for the [QueriesPreviewXModule](./x-components.queriespreviewxmodule.md)<!-- -->. |
|  [QueriesPreviewGetters](./x-components.queriespreviewgetters.md) | QueriesPreview store getters. |
|  [QueriesPreviewMutations](./x-components.queriespreviewmutations.md) | QueriesPreview store mutations. |
|  [QueriesPreviewState](./x-components.queriespreviewstate.md) | QueriesPreview store state. |
|  [QueriesPreviewXEvents](./x-components.queriespreviewxevents.md) | Dictionary of the events of QueriesPreview XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [QueryMutations](./x-components.querymutations.md) | The [QueryState](./x-components.querystate.md) mutations. |
|  [QueryPreviewInfo](./x-components.querypreviewinfo.md) | Information to render or request a query preview with. |
|  [QueryPreviewItem](./x-components.querypreviewitem.md) | QueriesPreview store state. |
|  [QueryPreviewStatusPayload](./x-components.querypreviewstatuspayload.md) | Payload to use in the <code>setStatus</code> mutation. |
|  [QueryState](./x-components.querystate.md) | Query state type, containing a property to hold the current query of the module. |
|  [QuerySuggestionsActions](./x-components.querysuggestionsactions.md) | QuerySuggestions store actions. |
|  [QuerySuggestionsConfig](./x-components.querysuggestionsconfig.md) | Configuration options for the [QuerySuggestionsXModule](./x-components.querysuggestionsxmodule.md)<!-- -->. |
|  [QuerySuggestionsGetters](./x-components.querysuggestionsgetters.md) | QuerySuggestions store getters. |
|  [QuerySuggestionsMutations](./x-components.querysuggestionsmutations.md) | QuerySuggestions store mutations. |
|  [QuerySuggestionsState](./x-components.querysuggestionsstate.md) | QuerySuggestions store state. |
|  [QuerySuggestionsXEvents](./x-components.querysuggestionsxevents.md) | Dictionary of the events of QuerySuggestions XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [RecommendationsActions](./x-components.recommendationsactions.md) | Recommendations store actions. |
|  [RecommendationsConfig](./x-components.recommendationsconfig.md) | Configuration options for the [RecommendationsXModule](./x-components.recommendationsxmodule.md)<!-- -->. |
|  [RecommendationsGetters](./x-components.recommendationsgetters.md) | Recommendations store getters. |
|  [RecommendationsMutations](./x-components.recommendationsmutations.md) | Recommendations store mutations. |
|  [RecommendationsState](./x-components.recommendationsstate.md) | Recommendations store state. |
|  [RecommendationsXEvents](./x-components.recommendationsxevents.md) | Dictionary of the events of Recommendations XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [RelatedPromptsActions](./x-components.relatedpromptsactions.md) | Related prompts module actions. |
|  [RelatedPromptsGetters](./x-components.relatedpromptsgetters.md) | Related prompts module getters. |
|  [RelatedPromptsMutations](./x-components.relatedpromptsmutations.md) | Related prompts module mutations. |
|  [RelatedPromptsState](./x-components.relatedpromptsstate.md) | Related prompts module state. |
|  [RelatedPromptsXEvents](./x-components.relatedpromptsxevents.md) | Dictionary of the events of RelatedPrompts XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [RelatedTagsActions](./x-components.relatedtagsactions.md) | RelatedTags store actions. |
|  [RelatedTagsConfig](./x-components.relatedtagsconfig.md) | Configuration options for the [RelatedTagsXModule](./x-components.relatedtagsxmodule.md)<!-- -->. |
|  [RelatedTagsGetters](./x-components.relatedtagsgetters.md) | RelatedTags store getters. |
|  [RelatedTagsMutations](./x-components.relatedtagsmutations.md) | RelatedTags store mutations. |
|  [RelatedTagsState](./x-components.relatedtagsstate.md) | RelatedTags store state. |
|  [RelatedTagsXEvents](./x-components.relatedtagsxevents.md) | Dictionary of the events of RelatedTags XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [RootXStoreState](./x-components.rootxstorestate.md) | Base X store state type. All [XStoreModule](./x-components.xstoremodule.md) are nested under the <code>x</code> module for safe scoping. |
|  [ScrollActions](./x-components.scrollactions.md) | Scroll store actions. |
|  [ScrollComponentState](./x-components.scrollcomponentstate.md) | Contains all the state of a scroll component. |
|  [ScrollGetters](./x-components.scrollgetters.md) | Scroll store getters. |
|  [ScrollMutations](./x-components.scrollmutations.md) | Scroll store mutations. |
|  [ScrollState](./x-components.scrollstate.md) | Scroll store state. |
|  [ScrollStatePayload](./x-components.scrollstatepayload.md) | Payload object containing the identifier of the scroll and its position. |
|  [ScrollVisibilityObserver](./x-components.scrollvisibilityobserver.md) | Methods to initialise and cease visibility observing. |
|  [ScrollXEvents](./x-components.scrollxevents.md) | Dictionary of the events of Scroll XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [SearchActions](./x-components.searchactions.md) | Search store actions. |
|  [SearchBoxActions](./x-components.searchboxactions.md) | SearchBox store actions. |
|  [SearchBoxGetters](./x-components.searchboxgetters.md) | SearchBox store getters. |
|  [SearchBoxMutations](./x-components.searchboxmutations.md) | SearchBox store mutations. |
|  [SearchBoxState](./x-components.searchboxstate.md) | SearchBox store state. |
|  [SearchBoxXEvents](./x-components.searchboxxevents.md) | Dictionary of the events of SearchBox XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [SearchConfig](./x-components.searchconfig.md) | Configuration options for the [SearchXModule](./x-components.searchxmodule.md)<!-- -->. |
|  [SearchGetters](./x-components.searchgetters.md) | Search store getters. |
|  [SearchMutations](./x-components.searchmutations.md) | Search store mutations. |
|  [SearchState](./x-components.searchstate.md) | Search store state. |
|  [SearchXEvents](./x-components.searchxevents.md) | Dictionary of the events of Search XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [SemanticQueriesActions](./x-components.semanticqueriesactions.md) | SemanticQueries store actions. |
|  [SemanticQueriesConfig](./x-components.semanticqueriesconfig.md) | Configuration options for the [SemanticQueriesXModule](./x-components.semanticqueriesxmodule.md)<!-- -->. |
|  [SemanticQueriesGetters](./x-components.semanticqueriesgetters.md) | SemanticQueries store getters. |
|  [SemanticQueriesMutations](./x-components.semanticqueriesmutations.md) | SemanticQueries store mutations. |
|  [SemanticQueriesState](./x-components.semanticqueriesstate.md) | SemanticQueries store state. |
|  [SemanticQueriesXEvents](./x-components.semanticqueriesxevents.md) | Dictionary of the events of [SemanticQueriesXModule](./x-components.semanticqueriesxmodule.md)<!-- -->,where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [SnippetConfig](./x-components.snippetconfig.md) | Interface with the possible parameters to receive through the snippet integration. |
|  [SpatialNavigation](./x-components.spatialnavigation.md) | Interface for SpatialNavigation services based on [CSSWK specification](https://www.w3.org/TR/css-nav-1/)<!-- -->. |
|  [StateSelector](./x-components.stateselector.md) | Composition type of [SimpleStateSelector](./x-components.simplestateselector.md) which allows to indicate if the state selector should be executed in first instance (first assignment of values). Selector is the [SimpleStateSelector](./x-components.simplestateselector.md) and immediate flags if the selector should be executed when it is initialized for first time. |
|  [StatusMutations](./x-components.statusmutations.md) | Status mutations, containing a method to change the current status. |
|  [StatusState](./x-components.statusstate.md) | Status state type, containing a property to hold the status property. |
|  [StoreModuleStateAndGetters](./x-components.storemodulestateandgetters.md) | Type safe which allows the access to the State and the Getters of a [XStoreModule](./x-components.xstoremodule.md)<!-- -->. |
|  [TaggingActions](./x-components.taggingactions.md) | Tagging store actions. |
|  [TaggingConfig](./x-components.taggingconfig.md) | Configuration options for the [TaggingXModule](./x-components.taggingxmodule.md)<!-- -->. |
|  [TaggingGetters](./x-components.tagginggetters.md) | Tagging store getters. |
|  [TaggingMutations](./x-components.taggingmutations.md) | Tagging store mutations. |
|  [TaggingState](./x-components.taggingstate.md) | Tagging store state. |
|  [TaggingXEvents](./x-components.taggingxevents.md) | Dictionary of the events of Tagging XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [TakeNavigationControl](./x-components.takenavigationcontrol.md) | Represents when to take control of the navigation. |
|  [ThrottleFunction](./x-components.throttlefunction.md) | The type returned by the [throttle()](./x-components.throttle.md) function. Basically is the function the [throttle()](./x-components.throttle.md) receives but throttled. |
|  [TimedWireOperatorOptions](./x-components.timedwireoperatoroptions.md) | Options for wire operators that delay subscribers. |
|  [TypingOptions](./x-components.typingoptions.md) | TypingOptions interface. |
|  [UrlActions](./x-components.urlactions.md) | URL store actions. |
|  [UrlGetters](./x-components.urlgetters.md) | URL store getters. |
|  [UrlMutations](./x-components.urlmutations.md) | URL store mutations. |
|  [UrlParams](./x-components.urlparams.md) | URL store params. |
|  [UrlState](./x-components.urlstate.md) | URL store state. |
|  [UrlXEvents](./x-components.urlxevents.md) | Dictionary of the events of URL XModule, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. |
|  [UseAliasAPI](./x-components.usealiasapi.md) | Alias to facilitate retrieving values from the store. |
|  [UseAliasQueryAPI](./x-components.usealiasqueryapi.md) | Alias to facilitate retrieving the modules with query. |
|  [UseAliasStatusAPI](./x-components.usealiasstatusapi.md) | Alias to facilitate retrieving the modules with status. |
|  [WatchedInternalSearchRequest](./x-components.watchedinternalsearchrequest.md) | A representation of a watched [InternalSearchRequest](./x-components.internalsearchrequest.md) object, wrapping its new and old values. |
|  [WireMetadata](./x-components.wiremetadata.md) | The wires metadata includes more information about the emitted event, so then these events can be processed with more precision if needed. |
|  [WireParams](./x-components.wireparams.md) | Groups the payload, metadata, and the store into an object to avoid having multiple parameters. |
|  [WirePayload](./x-components.wirepayload.md) | The wire payload includes the payload of the event, and a [WireMetadata](./x-components.wiremetadata.md) object to add more information to the event. |
|  [WireService](./x-components.wireservice.md) | Wires factory to invoke methods from a given service. |
|  [WireServiceWithoutPayload](./x-components.wireservicewithoutpayload.md) | Wires factory to invoke methods from a given service. |
|  [XActionContext](./x-components.xactioncontext.md) | Type safe Vuex [Action](https://vuex.vuejs.org/api/#actions) context, with the local types of the module. |
|  [XAPI](./x-components.xapi.md) | Interface with the API functions exposes as X [window](https://developer.mozilla.org/en-US/docs/Web/API/Window) property. |
|  [XComponentAliasAPI](./x-components.xcomponentaliasapi.md) | Alias to facilitate retrieving values from the store. |
|  [XComponentAliasQueryAPI](./x-components.xcomponentaliasqueryapi.md) | Alias to facilitate retrieving the modules with query. |
|  [XComponentAliasStatusAPI](./x-components.xcomponentaliasstatusapi.md) | Alias to facilitate retrieving the modules with status. |
|  [XComponentAPI](./x-components.xcomponentapi.md) | The XComponentAPI exposes access to the XBus, and store aliases to the components. |
|  [XComponentBusAPI](./x-components.xcomponentbusapi.md) | API for emitting and subscribing to events of the XBus. |
|  [XEventsTypes](./x-components.xeventstypes.md) | . Dictionary of all the [XEvents](./x-components.xevent.md)<!-- -->, where each key is the event name, and the value is the event payload type or <code>void</code> if it has no payload. All the events listed in this file are common to all X components modules, so they might be fired by components of any module. |
|  [XInjectKey](./x-components.xinjectkey.md) | Type of the key passed to <code>provide</code> and <code>inject</code> to be type-safe. With this type you can declare the type of the injected value directly in the injection key. |
|  [XModule](./x-components.xmodule.md) | A group of a wiring configuration, a store module, and side effects. |
|  [XModuleOptions](./x-components.xmoduleoptions.md) | Options for overriding the default config state and wiring for a [XModule](./x-components.xmodule.md)<!-- -->. |
|  [XModulesTree](./x-components.xmodulestree.md) | Gives each [XModule](./x-components.xmodule.md) a name, that can be used to retrieve then its value. |
|  [XPluginOptions](./x-components.xpluginoptions.md) | [XPlugin](./x-components.xplugin.md) Installation options. |
|  [XStoreModule](./x-components.xstoremodule.md) | Type safe [Vuex](https://vuex.vuejs.org/) store module. |

## Variables

|  Variable | Description |
|  --- | --- |
|  [addQueryPreviewInstanceWire](./x-components.addquerypreviewinstancewire.md) | Adds a new instance in a query preview. |
|  [addQueryToHistory](./x-components.addquerytohistory.md) | Default implementation for the [HistoryQueriesActions.addQueryToHistory](./x-components.historyqueriesactions.addquerytohistory.md)<!-- -->. |
|  [addQueryToHistoryQueries](./x-components.addquerytohistoryqueries.md) | Saves a new query into the history queries. |
|  [addQueryToHistoryQueriesFromPreview](./x-components.addquerytohistoryqueriesfrompreview.md) | Saves the selectedQueryPreview query into the history queries. |
|  [AllFilter](./x-components.allfilter.md) | This component receives a required <code>facet</code> with [BooleanFilter](./x-types.booleanfilter.md) as prop and renders a button, which on clicked emits the [FacetsXEvents.UserClickedAllFilter](./x-components.facetsxevents.userclickedallfilter.md) event. By default the rendered button displays a message with the facet label but this content is customizable through the default slot. |
|  [animateClipPath](./x-components.animateclippath.md) | Returns a transition component to wrap an element passed in the default slot and animating its clip-path using inset and with the origin passed as parameter. |
|  [animateScale](./x-components.animatescale.md) | Returns a transition component to wrap an element passed in the default slot and animating its scale using transform and with the transform origin passed as parameter. |
|  [animateTranslate](./x-components.animatetranslate.md) | Returns a transition component to wrap an element passed in the default slot and animating its translate using transform and with the transform origin passed as parameter. |
|  [AnimateWidth](./x-components.animatewidth.md) | Renders a transition wrapping an element passed in the default slot and animating its width. |
|  [AnimationProp](./x-components.animationprop.md) | Type for animations props. |
|  [AutoProgressBar](./x-components.autoprogressbar.md) | The auto progress bar component is useful for displaying a visual indicator of numerical data in a bar shape. |
|  [Banner](./x-components.banner.md) | <p>. A banner result is just an item that has been inserted into the search results to advertise something. Usually it is the first item in the grid or it can be placed in the middle of them and fill the whole row where appears. The banner may be clickable or non-clickable depending on whether it has an associated URL or not. It contains an image and, optionally, a title. In case the image does not load due to an error the banner will not be rendered.</p><p>Additionally, this component exposes the following props to modify the classes of the elements: <code>titleClass</code>.</p> |
|  [BannersList](./x-components.bannerslist.md) | <p>It renders a [ItemsList](./x-components.itemslist.md) list of banners from [SearchState.banners](./x-components.searchstate.banners.md)<!-- -->.</p><p>The component provides a default slot which wraps the whole component with the <code>banners</code> plus the <code>injectedListItems</code> which also contains the injected list items from the ancestor.</p><p>It also provides the parent slots to customize the items.</p> |
|  [BaseAddToCart](./x-components.baseaddtocart.md) | Renders a button with a default slot. It receives the result with the data and emits [XEventsTypes.UserClickedResultAddToCart](./x-components.xeventstypes.userclickedresultaddtocart.md) to the bus on click mouse event. |
|  [BaseColumnPickerDropdown](./x-components.basecolumnpickerdropdown.md) | <p>Column picker dropdown component renders [BaseDropdown](./x-components.basedropdown.md) component which options are the different columns you can set for a grid.</p><p>It emits [XEventsTypes.UserClickedColumnPicker](./x-components.xeventstypes.userclickedcolumnpicker.md) on dropdown input.</p> |
|  [BaseColumnPickerList](./x-components.basecolumnpickerlist.md) | <p>Column picker list component renders a list of buttons to choose the columns number.</p><p>Additionally, this component exposes the following props to modify the classes of the elements: <code>buttonClass</code>.</p> |
|  [BaseCurrency](./x-components.basecurrency.md) | <p>Renders the value received as a property which always must be a JavaScript number, with the proper format provided as a string property or by injection. The rendered tag is a span in order to render a default inline HTML element.</p><p>Regarding the format or mask to be defined as string: - Use 'i' to define integer numbers. - Use 'd' to define decimal numbers. You can define the length of the decimal part. If the format doesn't include decimals, it is filled with zeros until reach the length defined with 'd's. - Integer separator must be defined between the 3rd and the 4th integer 'i' of a group. - Decimal separator must be defined between the last 'i' and the first 'd'. It can be more than one character. - If you want to hide the decimal part if it's zero, you can add the <code>?</code> symbol after the decimal characters (e.g. 'i.iii,dd?', for <code>1234</code> you would get <code>1.234</code> instead of <code>1.234,00</code>). - Set whatever you need around the integers and decimals marks. - Default mask: 'i.iii,dd' which returns '1.345,67'.</p> |
|  [BaseDropdown](./x-components.basedropdown.md) | Dropdown component that mimics a Select element behavior, but with the option to customize the toggle button and each item contents. |
|  [BaseEventButton](./x-components.baseeventbutton.md) | Component to be reused that renders a <code>&lt;button&gt;</code> with the logic of emitting events to the bus on click. The events are passed as an object to prop [XEvent](./x-components.xevent.md)<!-- -->. The keys are the event name and the values are the payload of each event. All events are emitted with its respective payload. If any event doesn't need payload a <code>undefined</code> must be passed as value. |
|  [BaseEventsModal](./x-components.baseeventsmodal.md) | Component containing a modal that emits a [XEventsTypes.UserClickedCloseEventsModal](./x-components.xeventstypes.userclickedcloseeventsmodal.md) when clicking outside the content rendered in the default slot and can receive, through the eventsToCloseModal prop, a list of [XEvent](./x-components.xevent.md) to listen to in order to close also the modal, eventsToOpenModal prop, another list of [XEvent](./x-components.xevent.md) to customize the events to listen to open the modal and a prop, displayOverlay, to display an overlay over the rest of the html. The default slot offers the possibility to customize the modal content. |
|  [BaseEventsModalClose](./x-components.baseeventsmodalclose.md) | Component contains an event button that emits [XEventsTypes.UserClickedCloseEventsModal](./x-components.xeventstypes.userclickedcloseeventsmodal.md) when clicked. It has a default slot to customize its contents. |
|  [BaseEventsModalOpen](./x-components.baseeventsmodalopen.md) | Component contains an event button that emits [XEventsTypes.UserClickedOpenEventsModal](./x-components.xeventstypes.userclickedopeneventsmodal.md) when clicked. It has a default slot to customize its contents. |
|  [BaseGrid](./x-components.basegrid.md) | Grid component that is able to render different items based on their modelName value. In order to achieve this, it exposes a scopedSlot for each different modelName. In case the items used do not have modelName property, the default slot is used instead. It has a required property: the <code>items</code> to render; and an optional one: the number <code>columns</code> the grid is divided in. If the number of columns is not specified, the grid automatically fills the rows with as many columns as it can fit. |
|  [BaseHeaderTogglePanel](./x-components.baseheadertogglepanel.md) | Toggle panel which uses the base toggle panel, adds a header and manage the open / close state of the panel. |
|  [BaseIdModal](./x-components.baseidmodal.md) | Component containing a modal expecting a required prop, named <code>modalId</code>. It reacts to <code>UserClickedOpenModal</code>, <code>UserClickedCloseModal</code> and <code>UserClickedOutOfModal</code> events, when their payload matches the component's 'modalId' prop, to handle its open/close state. The default slot offers the possibility to customise the modal content. |
|  [BaseIdModalClose](./x-components.baseidmodalclose.md) | Component that allows to close a modal by emitting [XEventsTypes.UserClickedCloseModal](./x-components.xeventstypes.userclickedclosemodal.md)<!-- -->. It allows full customization with the 'closing-element' slot and exposes the 'closeModal' function. |
|  [BaseIdModalOpen](./x-components.baseidmodalopen.md) | Component that allows to open a modal by emitting [XEventsTypes.UserClickedOpenModal](./x-components.xeventstypes.userclickedopenmodal.md) with the modalId as payload. It allows full customization with the 'opening-element' slot and exposes the 'openModal' function. |
|  [BaseIdTogglePanel](./x-components.baseidtogglepanel.md) | <p>Simple panel that could receives its initial open state via prop, if not the default is opens and a required prop, named <code>panelId</code>, which are responsible of rendering default slot inside a configurable transition.</p><p>It reacts to <code>UserClickedPanelToggleButton</code> event, when their payload matches the component's 'panelId' prop, to handle its open/close state.</p><p>The default slot offers the possibility to customise the modal content.</p> |
|  [BaseIdTogglePanelButton](./x-components.baseidtogglepanelbutton.md) | <p>Component containing an event button that emits [XEventsTypes.UserClickedPanelToggleButton](./x-components.xeventstypes.userclickedpaneltogglebutton.md) when clicked with the panelId as payload.</p><p>It has a default slot to customize its contents.</p> |
|  [BaseKeyboardNavigation](./x-components.basekeyboardnavigation.md) | Base component to handle keyboard navigation for elements inside it. It has a required slot to include the navigable elements. |
|  [BaseModal](./x-components.basemodal.md) | Base component with no XPlugin dependencies that serves as a utility for constructing more complex modals. |
|  [BasePriceFilterLabel](./x-components.basepricefilterlabel.md) | Renders a label for a price filter, allowing to select different messages depending on the value of the filter. |
|  [BaseRating](./x-components.baserating.md) | Rating component. This component renders a set of elements filled based on the value passed as prop. |
|  [BaseRatingFilterLabel](./x-components.baseratingfilterlabel.md) | Renders a label for a rating filter, allowing to override the elements used to paint the rating. |
|  [BaseResultCurrentPrice](./x-components.baseresultcurrentprice.md) | Component that renders the [Result](./x-types.result.md) current price that may or may not be on sale. |
|  [BaseResultImage](./x-components.baseresultimage.md) | Component to be reused that renders an <code>&lt;img&gt;</code>. |
|  [BaseResultLink](./x-components.baseresultlink.md) | Component to be reused that renders an <code>&lt;a&gt;</code> wrapping the result contents. |
|  [BaseResultPreviousPrice](./x-components.baseresultpreviousprice.md) | Component that renders the [Result](./x-types.result.md) previous price. |
|  [BaseResultRating](./x-components.baseresultrating.md) | This component renders a [BaseRating](./x-components.baserating.md) for a result passed as prop. |
|  [BaseScroll](./x-components.basescroll.md) | Base scroll component that depending on the user interactivity emits different events for knowing when the user scrolls, the direction of scroll and if user reaches the start or end. |
|  [BaseSlider](./x-components.baseslider.md) | <p>This component implements a range slider and prints the selected values. It receives a threshold prop to set the limits and uses v-model to get and set the selected values.</p><p>It makes use of the nouslider library</p> |
|  [BaseSuggestion](./x-components.basesuggestion.md) | <p>Renders a button with a default slot. It receives a query, which should be the query of the module using this component, a suggestion, the [XEvent](./x-components.xevent.md) that will be emitted on click with a given feature.</p><p>The default slot receives the suggestion and the matched query has props.</p> |
|  [BaseSuggestions](./x-components.basesuggestions.md) | Paints a list of suggestions passed in by prop. Requires a component for a single suggestion in the default slot for working. |
|  [BaseSwitch](./x-components.baseswitch.md) | Basic switch component to handle boolean values. This component receives its selected state using a prop, and emits a Vue event whenever the user clicks it. |
|  [BaseTabsPanel](./x-components.basetabspanel.md) | Base Tabs Panel. |
|  [BaseTeleport](./x-components.baseteleport.md) |  |
|  [BaseTogglePanel](./x-components.basetogglepanel.md) | Simple panel that receives its open state via prop, which is responsible of rendering default slot inside a configurable transition. |
|  [BaseVariableColumnGrid](./x-components.basevariablecolumngrid.md) | The <code>BaseVariableColumnGrid</code> component is a wrapper of the <code>BaseGrid</code> component that listens to the <code>UserClickedColumnPicker</code> and the <code>ColumnsNumberProvided</code> events and passes the selected number of columns to the grid. It also allows to customize the grid items using the available <code>scopedSlots</code>. |
|  [bus](./x-components.bus.md) | Default XBus implementation. |
|  [cancelFetchAndSaveControls](./x-components.cancelfetchandsavecontrols.md) | Default implementation for fetchAndSaveExperienceControls action. |
|  [cancelFetchAndSaveIdentifierResults](./x-components.cancelfetchandsaveidentifierresults.md) | Default implementation for [IdentifierResultsActions.cancelFetchAndSaveIdentifierResults](./x-components.identifierresultsactions.cancelfetchandsaveidentifierresults.md) action. |
|  [cancelFetchAndSaveIdentifierResultsWire](./x-components.cancelfetchandsaveidentifierresultswire.md) | Cancels the [IdentifierResultsActions.fetchAndSaveIdentifierResults](./x-components.identifierresultsactions.fetchandsaveidentifierresults.md) request promise. |
|  [cancelFetchAndSaveNextQueries](./x-components.cancelfetchandsavenextqueries.md) | Default implementation for [NextQueriesActions.cancelFetchAndSaveNextQueries](./x-components.nextqueriesactions.cancelfetchandsavenextqueries.md) action. |
|  [cancelFetchAndSavePopularSearches](./x-components.cancelfetchandsavepopularsearches.md) | Default implementation for [PopularSearchesActions.cancelFetchAndSaveSuggestions](./x-components.popularsearchesactions.cancelfetchandsavesuggestions.md) action. |
|  [cancelFetchAndSaveQuerySuggestions](./x-components.cancelfetchandsavequerysuggestions.md) | Default implementation for [QuerySuggestionsActions.cancelFetchAndSaveSuggestions](./x-components.querysuggestionsactions.cancelfetchandsavesuggestions.md) action. |
|  [cancelFetchAndSaveRecommendations](./x-components.cancelfetchandsaverecommendations.md) | Default implementation for [RecommendationsActions.cancelFetchAndSaveRecommendations](./x-components.recommendationsactions.cancelfetchandsaverecommendations.md) action. |
|  [cancelFetchAndSaveRelatedPrompts](./x-components.cancelfetchandsaverelatedprompts.md) | Default implementation for [RelatedPromptsActions.cancelFetchAndSaveRelatedPrompts](./x-components.relatedpromptsactions.cancelfetchandsaverelatedprompts.md) action. |
|  [cancelFetchAndSaveRelatedTags](./x-components.cancelfetchandsaverelatedtags.md) | Default implementation for [RelatedTagsActions.fetchAndSaveRelatedTags](./x-components.relatedtagsactions.fetchandsaverelatedtags.md) action. |
|  [cancelFetchAndSaveRelatedTagsWire](./x-components.cancelfetchandsaverelatedtagswire.md) | Cancels the [RelatedTagsActions.fetchAndSaveRelatedTags](./x-components.relatedtagsactions.fetchandsaverelatedtags.md) request promise. |
|  [cancelFetchAndSaveSearchResponse](./x-components.cancelfetchandsavesearchresponse.md) | Default implementation for [SearchActions.cancelFetchAndSaveSearchResponse](./x-components.searchactions.cancelfetchandsavesearchresponse.md) action. |
|  [cancelFetchAndSaveSearchResponseWire](./x-components.cancelfetchandsavesearchresponsewire.md) | Cancels the [SearchActions.fetchAndSaveSearchResponse](./x-components.searchactions.fetchandsavesearchresponse.md) request promise. |
|  [cancelFetchAndSaveSuggestionsWire](./x-components.cancelfetchandsavesuggestionswire.md) | Cancels the [QuerySuggestionsActions.fetchAndSaveSuggestions](./x-components.querysuggestionsactions.fetchandsavesuggestions.md) request promise. |
|  [ClearFilters](./x-components.clearfilters.md) | Renders a simple button, emitting the needed events when clicked. |
|  [clearHistoryQueries](./x-components.clearhistoryqueries.md) | Clears the history queries. |
|  [ClearHistoryQueries](./x-components.clearhistoryqueries.md) | A button that when is pressed, emits the [HistoryQueriesXEvents.UserPressedClearHistoryQueries](./x-components.historyqueriesxevents.userpressedclearhistoryqueries.md) event, expressing the user intention to clear the whole history of queries. |
|  [clearHistoryQueriesQuery](./x-components.clearhistoryqueriesquery.md) | Sets the query of the history queries module to an empty string. |
|  [clearIdentifierResultsQuery](./x-components.clearidentifierresultsquery.md) | Clears the identifier-results module query. |
|  [clearPendingScrollToWire](./x-components.clearpendingscrolltowire.md) | Resets the selector of the scroll that is pending to restore. |
|  [clearQueryPreviewWire](./x-components.clearquerypreviewwire.md) | Clears a query preview from queries preview module. |
|  [clearQuerySuggestionsQuery](./x-components.clearquerysuggestionsquery.md) | Clears the query-suggestions module query. |
|  [clearQueryWire](./x-components.clearquerywire.md) | Clears the query. |
|  [clearRelatedTagsQuery](./x-components.clearrelatedtagsquery.md) | Clear the related tags query. |
|  [ClearSearchInput](./x-components.clearsearchinput.md) | This component renders a button to delete the current query. |
|  [clearSearchQuery](./x-components.clearsearchquery.md) | Clears the search state <code>query</code>. |
|  [clearSelectedQueryPreviewWire](./x-components.clearselectedquerypreviewwire.md) | Clears the selected query preview object from queries preview module. |
|  [clearSelectedRelatedTags](./x-components.clearselectedrelatedtags.md) | Clear the selected related tags. |
|  [CloseMainModal](./x-components.closemainmodal.md) | Button to close the [MainModal](./x-components.mainmodal.md)<!-- -->. |
|  [CollapseHeight](./x-components.collapseheight.md) | Renders a transition wrapping the element passed in the default slot and animating it with a height animation. |
|  [CollapseWidth](./x-components.collapsewidth.md) | Renders a transition wrapping the element passed in the default slot and animating it with a width animation. |
|  [CrossFade](./x-components.crossfade.md) | Renders a transition wrapping the element passed in the default slot. The transition fades between the two toggled elements at the same time. |
|  [debounceFunction](./x-components.debouncefunction.md) | Util function that returns a debounced version of the function passed as parameter. It can use the leading strategy, trailing strategy or both. Using both would result in one leading execution guaranteed and trailing executions only if there are further calls during the length of the debounce time. |
|  [DeviceDetector](./x-components.devicedetector.md) | This component helps to detect or setting a device, that can be used later to create different layouts optimized for different devices. This detected device is available under the [XComponentAliasAPI.device](./x-components.xcomponentaliasapi.device.md) property. |
|  [deviceXModule](./x-components.devicexmodule.md) | Device [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>device</code> entry point. |
|  [DisplayClickProvider](./x-components.displayclickprovider.md) |  |
|  [DisplayEmitter](./x-components.displayemitter.md) | A component that emits a display event when it first appears in the viewport. |
|  [EditableNumberRangeFilter](./x-components.editablenumberrangefilter.md) | <p>Renders an editable number range filter. It has two input fields to handle min and max values, emitting the needed events when clicked.</p><p>It provides a default slot, with some utils bind, to customize the whole component; and two named slots <code>apply-content</code> and <code>clear-content</code> to override each button content.</p><p>If <code>instant</code> prop is true, the needed events are emitted immediately; else, apply button is rendered to confirm to do it. False by default.</p><p>If <code>clear</code> prop is true, clear button, which sets to null component min and max values, is rendered. True by default.</p> |
|  [Empathize](./x-components.empathize.md) | Component containing the empathize. It has a required slot to define its content and two props to define when to open and close it: <code>eventsToOpenEmpathize</code> and <code>eventsToCloseEmpathize</code>. |
|  [empathizeXModule](./x-components.empathizexmodule.md) | Empathize [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>empathize</code> entry point. |
|  [ExcludeFiltersWithNoResults](./x-components.excludefilterswithnoresults.md) | <p>The <code>ExcludeFiltersWithNoResults</code> component filters the provided list of filters, excluding those which have the <code>totalResults</code> property exactly equal to <code>0</code>. It won't remove filters with no <code>totalResults</code> property.</p><p>The new list of filters is bound to the default scoped slot. As this component does not render no root element, this default slot must contain a single root node.</p> |
|  [ExperienceControls](./x-components.experiencecontrols.md) | This component subscribes to changes in the ExperienceControls module to fire the events that propagate the configuration. |
|  [experienceControlsRequest](./x-components.experiencecontrolsrequest.md) | Default implementation for the [ExperienceControlsGetters.experienceControlsRequest](./x-components.experiencecontrolsgetters.experiencecontrolsrequest.md) getter. |
|  [experienceControlsXModule](./x-components.experiencecontrolsxmodule.md) | Search [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>x-controls</code> entry point. |
|  [ExtraParams](./x-components.extraparams.md) | It emits a [ExtraParamsXEvents.ExtraParamsProvided](./x-components.extraparamsxevents.extraparamsprovided.md) with the values received as a prop. |
|  [extraParamsXModule](./x-components.extraparamsxmodule.md) | ExtraParams [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>extraParams</code> entry point. |
|  [facets](./x-components.facets.md) | Default implementation for the [FacetsGetters.facets](./x-components.facetsgetters.facets.md) getter. |
|  [Facets](./x-components.facets.md) | This component renders the list of facets stored in the Facets module. Facets can be rendered differently based on their purpose and this can be achieved using the exposed slots: - A default and required slot. - A custom slot for each facet with the facetId as its name. This allows each facet to be rendered differently based on its needs. |
|  [FacetsProvider](./x-components.facetsprovider.md) | This component allows to provide facets by prop, to add them to the state of the <code>Facets X-Module</code>. These facets will be added to the <code>Facets X-Module</code> state together with the facets emitted by the <code>Search X-Module</code> through the [SearchXEvents.FacetsChanged](./x-components.searchxevents.facetschanged.md) event. |
|  [facetsXModule](./x-components.facetsxmodule.md) | Facets [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>facets</code> entry point. |
|  [Fade](./x-components.fade.md) | Renders a transition wrapping the element passed in the default slot. The animation just fades in/out the element by changing its opacity. |
|  [FadeAndSlide](./x-components.fadeandslide.md) | Renders a transition group wrapping the elements passed in the default slot and animating them with a fade and slide animation. |
|  [FallbackDisclaimer](./x-components.fallbackdisclaimer.md) | The <code>FallbackDisclaimer</code> component shows a message if the filters have been removed from the current search because there were no results. |
|  [fetchAndSaveExperienceControlsResponse](./x-components.fetchandsaveexperiencecontrolsresponse.md) | Default implementation for fetchAndSaveExperienceControls action. |
|  [fetchAndSaveExperienceControlsWire](./x-components.fetchandsaveexperiencecontrolswire.md) | Requests and stores a new set of controls results. |
|  [fetchAndSaveIdentifierResults](./x-components.fetchandsaveidentifierresults.md) | Default implementation for [IdentifierResultsActions.fetchAndSaveIdentifierResults](./x-components.identifierresultsactions.fetchandsaveidentifierresults.md) action. |
|  [fetchAndSaveIdentifierResultsWire](./x-components.fetchandsaveidentifierresultswire.md) | Requests and stores a new set of identifier results for the query. |
|  [fetchAndSaveNextQueries](./x-components.fetchandsavenextqueries.md) | Default implementation for [NextQueriesActions.fetchAndSaveNextQueries](./x-components.nextqueriesactions.fetchandsavenextqueries.md) action. |
|  [fetchAndSaveNextQueriesWire](./x-components.fetchandsavenextquerieswire.md) | Requests and stores the next queries. |
|  [fetchAndSaveNextQueryPreviewWire](./x-components.fetchandsavenextquerypreviewwire.md) | Requests and store the next query preview results. |
|  [fetchAndSavePopularSearches](./x-components.fetchandsavepopularsearches.md) | Default implementation for [PopularSearchesActions.fetchAndSaveSuggestions](./x-components.popularsearchesactions.fetchandsavesuggestions.md) action. |
|  [fetchAndSaveQueryPreview](./x-components.fetchandsavequerypreview.md) | Default implementation for the [QueriesPreviewActions.fetchAndSaveQueryPreview](./x-components.queriespreviewactions.fetchandsavequerypreview.md)<!-- -->. |
|  [fetchAndSaveQueryPreviewWire](./x-components.fetchandsavequerypreviewwire.md) | Requests and stores the cacheable query preview results. |
|  [fetchAndSaveQuerySuggestions](./x-components.fetchandsavequerysuggestions.md) | Default implementation for [QuerySuggestionsActions.fetchAndSaveSuggestions](./x-components.querysuggestionsactions.fetchandsavesuggestions.md) action. |
|  [fetchAndSaveRecommendations](./x-components.fetchandsaverecommendations.md) | Default implementation for [RecommendationsActions.fetchAndSaveRecommendations](./x-components.recommendationsactions.fetchandsaverecommendations.md) action. |
|  [fetchAndSaveRelatedPrompts](./x-components.fetchandsaverelatedprompts.md) | Default implementation for [RelatedPromptsActions.fetchAndSaveRelatedPrompts](./x-components.relatedpromptsactions.fetchandsaverelatedprompts.md) action. |
|  [fetchAndSaveRelatedTags](./x-components.fetchandsaverelatedtags.md) | Default implementation for [RelatedTagsActions.fetchAndSaveRelatedTags](./x-components.relatedtagsactions.fetchandsaverelatedtags.md) action. |
|  [fetchAndSaveRelatedTagsWire](./x-components.fetchandsaverelatedtagswire.md) | Requests and stores the related tags. |
|  [fetchAndSaveSearchResponse](./x-components.fetchandsavesearchresponse.md) | Default implementation for [SearchActions.fetchAndSaveSearchResponse](./x-components.searchactions.fetchandsavesearchresponse.md) action. |
|  [fetchAndSaveSearchResponseWire](./x-components.fetchandsavesearchresponsewire.md) | Requests and stores the search response. |
|  [fetchAndSaveSemanticQuery](./x-components.fetchandsavesemanticquery.md) | Default implementation for the [SemanticQueriesActions.fetchAndSaveSemanticQuery](./x-components.semanticqueriesactions.fetchandsavesemanticquery.md)<!-- -->. |
|  [fetchAndSaveSemanticQueryWire](./x-components.fetchandsavesemanticquerywire.md) | Requests and stores the semantic query results. |
|  [fetchAndSaveSuggestionsWire](./x-components.fetchandsavesuggestionswire.md) | Requests and stores a new set of query suggestions for the query. |
|  [fetchExperienceControlsResponse](./x-components.fetchexperiencecontrolsresponse.md) | Default implementation for the [ExperienceControlsActions.fetchExperienceControlsResponse](./x-components.experiencecontrolsactions.fetchexperiencecontrolsresponse.md)<!-- -->. |
|  [fetchIdentifierResults](./x-components.fetchidentifierresults.md) | Default implementation for the [IdentifierResultsActions.fetchIdentifierResults](./x-components.identifierresultsactions.fetchidentifierresults.md)<!-- -->. |
|  [fetchNextQueries](./x-components.fetchnextqueries.md) | Default implementation for the [NextQueriesActions.fetchNextQueries](./x-components.nextqueriesactions.fetchnextqueries.md)<!-- -->. |
|  [fetchPopularSearches](./x-components.fetchpopularsearches.md) | Default implementation for the [PopularSearchesActions.fetchSuggestions](./x-components.popularsearchesactions.fetchsuggestions.md)<!-- -->. |
|  [fetchQueryPreview](./x-components.fetchquerypreview.md) | Default implementation for the [QueriesPreviewActions.fetchQueryPreview](./x-components.queriespreviewactions.fetchquerypreview.md)<!-- -->. |
|  [fetchQuerySuggestions](./x-components.fetchquerysuggestions.md) | Default implementation for the [QuerySuggestionsActions.fetchSuggestions](./x-components.querysuggestionsactions.fetchsuggestions.md)<!-- -->. |
|  [fetchRecommendations](./x-components.fetchrecommendations.md) | Default implementation for the [RecommendationsActions.fetchRecommendations](./x-components.recommendationsactions.fetchrecommendations.md)<!-- -->. |
|  [fetchRelatedPrompts](./x-components.fetchrelatedprompts.md) | Default implementation for the [RelatedPromptsActions.fetchRelatedPrompts](./x-components.relatedpromptsactions.fetchrelatedprompts.md)<!-- -->. |
|  [fetchRelatedTags](./x-components.fetchrelatedtags.md) | Default implementation for the [RelatedTagsActions.fetchRelatedTags](./x-components.relatedtagsactions.fetchrelatedtags.md)<!-- -->. |
|  [fetchSearchResponse](./x-components.fetchsearchresponse.md) | Default implementation for the [SearchActions.fetchSearchResponse](./x-components.searchactions.fetchsearchresponse.md)<!-- -->. |
|  [fetchSemanticQuery](./x-components.fetchsemanticquery.md) | Default implementation for the [SemanticQueriesActions.fetchSemanticQuery](./x-components.semanticqueriesactions.fetchsemanticquery.md)<!-- -->. |
|  [FiltersList](./x-components.filterslist.md) | Renders a list with a list item per each [BooleanFilter](./x-types.booleanfilter.md) in the filters prop array. Each list item has a scoped slot, passing the filter as slot prop. |
|  [FiltersSearch](./x-components.filterssearch.md) | Renders the filters sifted with the input query. |
|  [FixedHeaderAndAsidesLayout](./x-components.fixedheaderandasideslayout.md) | Component for use as Layout to be filled with the rest of the components. |
|  [FOCUSABLE\_SELECTORS](./x-components.focusable_selectors.md) | Comma separated list of common focusable selectors. |
|  [getURLParameter](./x-components.geturlparameter.md) | Get one parameter value from the url. |
|  [GlobalXBus](./x-components.globalxbus.md) | This component helps to subscribe to any [XEvent](./x-components.xevent.md) with custom callbacks using Vue listeners API. |
|  [HierarchicalFilter](./x-components.hierarchicalfilter.md) | Renders a hierarchical filter recursively, emitting the needed events when clicked. |
|  [Highlight](./x-components.highlight.md) | Highlights the given part of the text. The component is smart enough to do matches between special characters like tilde, cedilla, eñe, capital letters... |
|  [historyQueries](./x-components.historyqueries.md) | History Queries getter. |
|  [HistoryQueries](./x-components.historyqueries.md) | This component renders a list of suggestions coming from the user queries history. Allows the user to select one of them, emitting the needed events. A history query is just another type of suggestion that contains a query that the user has made in the past. |
|  [HistoryQueriesSwitch](./x-components.historyqueriesswitch.md) | History Queries Switch is a component to activate or deactivate the history queries. This component emits events depending on the <code>isEnabled</code> value. |
|  [historyQueriesXModule](./x-components.historyqueriesxmodule.md) | HistoryQueries [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>history-queries</code> entry point. |
|  [HistoryQuery](./x-components.historyquery.md) | This component renders a history query suggestion combining two buttons: one for selecting this suggestion as the search query, and another one to remove this query suggestion from the history queries. |
|  [identifierDetectionRegexp](./x-components.identifierdetectionregexp.md) | Default implementation for the [IdentifierResultsGetters.identifierDetectionRegexp](./x-components.identifierresultsgetters.identifierdetectionregexp.md) getter. |
|  [identifierHighlightRegexp](./x-components.identifierhighlightregexp.md) | Default implementation for the [IdentifierResultsGetters.identifierHighlightRegexp](./x-components.identifierresultsgetters.identifierhighlightregexp.md) getter. |
|  [IdentifierResult](./x-components.identifierresult.md) | This component renders an identifier result value and highlights its matching part with the query from the state. Receives as prop the [Result](./x-types.result.md) data. |
|  [IdentifierResults](./x-components.identifierresults.md) | Paints the list of identifier results stored in the state. Each identifier result should be represented by a [IdentifierResult](./x-components.identifierresult.md) component besides any other component. |
|  [identifierResultsRequest](./x-components.identifierresultsrequest.md) | Default implementation for the [IdentifierResultsGetters.identifierResultsRequest](./x-components.identifierresultsgetters.identifierresultsrequest.md) getter. |
|  [identifierResultsXModule](./x-components.identifierresultsxmodule.md) | IdentifierResults [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>identifier-results</code> entry point. |
|  [increasePageAppendingResults](./x-components.increasepageappendingresults.md) | Default implementation for the [SearchActions.increasePageAppendingResults](./x-components.searchactions.increasepageappendingresults.md)<!-- -->. |
|  [increasePageAppendingResultsWire](./x-components.increasepageappendingresultswire.md) | Increases the current search state <code>page</code> by one. |
|  [infiniteScroll](./x-components.infinitescroll.md) | <p>Custom Vue directive for infinite scroll.</p><p>This directive uses the IntersectionObserver API to handle the intersection between the children and the scrollable container. The content of the children moves up on scroll and when it reaches the end, the IntersectionObserver triggers that both elements are intersecting.</p><p>How it works.</p><p>As a summary, if the scroll reaches the end, <code>UserReachedResultsListEnd</code> event is emitted to the xBus. If you provide a margin in the directive options, this function is triggered when the scroll reaches the end minus that amount of pixels. A default margin of 200px is set.</p><p>Usage.</p><p>The directive has to be set in the target element. It can receive an argument which will be used to determine the scrollable container. Possible values: <code>html</code>: will set the <html> as the scrollable container. <code>body</code>: will set the <body> as the scrollable container. ID: will set the DOM element with the provided id as the scrollable container.</p><p>If no argument is provided the scrollable container fallbacks to the viewport.</p> |
|  [isIOS](./x-components.isios.md) | Checks if the user is on an iOS device (iPhone, iPad, or iPod). |
|  [ItemsList](./x-components.itemslist.md) | It renders a list of [ListItem](./x-components.listitem.md) providing a slot for each <code>slotName</code> which depends on the <code>modelName</code>of the item. |
|  [loadHistoryQueriesFromBrowserStorage](./x-components.loadhistoryqueriesfrombrowserstorage.md) | Default implementation for the [HistoryQueriesActions.loadHistoryQueriesFromBrowserStorage](./x-components.historyqueriesactions.loadhistoryqueriesfrombrowserstorage.md) action. |
|  [loadHistoryQueriesFromBrowserStorageWire](./x-components.loadhistoryqueriesfrombrowserstoragewire.md) | Loads the history queries from the browser storage, saving them to the [HistoryQueriesState.historyQueries](./x-components.historyqueriesstate.historyqueries.md)<!-- -->. |
|  [LocationProvider](./x-components.locationprovider.md) | Location Provider component. This component injects the location with value passed as prop. |
|  [MainModal](./x-components.mainmodal.md) | A specialised version of a modal component, made to contain a full search application. |
|  [MainScroll](./x-components.mainscroll.md) | <p>Extends the scroll making it able to sync the first visible element, and allowing the children position to be restored.</p><p>Each child element that wants to have this support must be wrapped in a [MainScrollItem](./x-components.mainscrollitem.md) component.</p> |
|  [MainScrollItem](./x-components.mainscrollitem.md) | Wrapper for elements contained in the [MainScroll](./x-components.mainscroll.md) that should store/restore its position. |
|  [MultiColumnMaxWidthLayout](./x-components.multicolumnmaxwidthlayout.md) | Component for use as Layout to be filled with the rest of the Components. |
|  [MyHistory](./x-components.myhistory.md) | The component renders the full history of user searched queries grouped by the day they were performed. |
|  [nextQueries](./x-components.nextqueries.md) | Default implementation for the [NextQueriesGetters.nextQueries](./x-components.nextqueriesgetters.nextqueries.md) getter. |
|  [NextQueries](./x-components.nextqueries.md) | Simple next-queries component that renders a list of \[<code>BaseSuggestions</code>\](./x-components.base-suggestions.md), allowing the user to select one of them, and emitting the needed events. A next query is a suggestion for a new search, related to your previous query. I.e. If people normally search for <code>shirts</code>, and then <code>trousers</code>, <code>trousers</code> would be a next query of <code>shirts</code>. |
|  [NextQueriesList](./x-components.nextquerieslist.md) | Component that inserts groups of next queries in different positions of the injected search items list, based on the provided configuration. |
|  [nextQueriesRequest](./x-components.nextqueriesrequest.md) | Default implementation for the [NextQueriesGetters.request](./x-components.nextqueriesgetters.request.md) getter. |
|  [nextQueriesXModule](./x-components.nextqueriesxmodule.md) | Next queries [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>next-queries</code> entry point. |
|  [NextQuery](./x-components.nextquery.md) | Renders a next query item which receives the suggestion that will be rendered as a prop. It exposes a default slot to change the next query content. If the slot is not overridden, it will render the suggestion query by default. |
|  [NextQueryPreview](./x-components.nextquerypreview.md) | Retrieves a preview of the results of a next query and exposes them in the default slot, along with the next query and the totalResults of the search request. By default, it renders the names of the results. |
|  [NoAnimation](./x-components.noanimation.md) | Component to be used as <code>default</code> for animation props together with dynamic components <code>&lt;component :is=&quot;animation&quot;&gt;</code> in the template. |
|  [normalizedQuery](./x-components.normalizedquery.md) | Default implementation for the [QuerySuggestionsGetters.normalizedQuery](./x-components.querysuggestionsgetters.normalizedquery.md) getter. |
|  [NumberRangeFilter](./x-components.numberrangefilter.md) | Renders a number range filter, emitting the needed events when clicked. |
|  [OpenMainModal](./x-components.openmainmodal.md) | Button to open the [MainModal](./x-components.mainmodal.md)<!-- -->. |
|  [PageLoaderButton](./x-components.pageloaderbutton.md) | Component that renders a text with the number of rendered results and the remaining ones and a <code>&lt;BaseEventButton&gt;</code> with the logic of emitting the event "UserReachedResultsListEnd" to load more results on click. |
|  [PageSelector](./x-components.pageselector.md) | Component that renders a pagination control with buttons for navigating between pages. It displays the current page, allows selecting other pages, and emits events when a page is selected. |
|  [PartialQueryButton](./x-components.partialquerybutton.md) | A button that when pressed emits the [XEventsTypes.UserAcceptedAQuery](./x-components.xeventstypes.useracceptedaquery.md) and [SearchXEvents.UserClickedPartialQuery](./x-components.searchxevents.userclickedpartialquery.md) events, expressing the user intention to set the partial query. |
|  [PartialResultsList](./x-components.partialresultslist.md) | It renders a list of partial results from [SearchState.partialResults](./x-components.searchstate.partialresults.md) by default. It also provides the partial result slot to customize the item with the partial result bound. |
|  [PopularSearch](./x-components.popularsearch.md) | Renders a popular search item which receives the suggestion that will be rendered as a prop. It exposes a default slot to change the popular search content. If the slot is not overridden, it will render the suggestion query by default. |
|  [popularSearches](./x-components.popularsearches.md) | Default implementation for the [PopularSearchesGetters.popularSearches](./x-components.popularsearchesgetters.popularsearches.md) getter. |
|  [PopularSearches](./x-components.popularsearches.md) | Simple popular-searches component that renders a list of suggestions, allowing the user to select one of them, and emitting the needed events. A popular search is just a query that has been searched a lot in a certain period and may optionally have associated a set of filters. |
|  [popularSearchesRequest](./x-components.popularsearchesrequest.md) | Default implementation for the [PopularSearchesGetters.request](./x-components.popularsearchesgetters.request.md) getter. |
|  [popularSearchesXModule](./x-components.popularsearchesxmodule.md) | Popular searches [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>popular-searches</code> entry point. |
|  [PreselectedFilters](./x-components.preselectedfilters.md) | This component emits [FacetsXEvents.PreselectedFiltersProvided](./x-components.facetsxevents.preselectedfiltersprovided.md) when a preselected filter is set in the snippet config or by using the prop of the component. |
|  [Promoted](./x-components.promoted.md) | <p>A promoted result is just an item that has been inserted into the search results to advertise something. Usually it is one of the first items in the grid, and has the same shape as a result. It just contains a link to the promoted content, an image, and a title.</p><p>Additionally, this component exposes the following props to modify the classes of the elements: <code>titleClass</code>.</p> |
|  [PromotedsList](./x-components.promotedslist.md) | <p>It renders a [ItemsList](./x-components.itemslist.md) of promoteds from [SearchState.promoteds](./x-components.searchstate.promoteds.md)<!-- -->.</p><p>The component provides a default slot which wraps the whole component with the <code>promoteds</code> plus the <code>injectedListItems</code> which also contains the injected list items from the ancestor.</p><p>It also provides the parent slots to customize the items.</p> |
|  [queriesPreviewXModule](./x-components.queriespreviewxmodule.md) | QueriesPreview [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>queries-preview</code> entry point. |
|  [query](./x-components.query.md) | Default implementation for the next-queries query getter. |
|  [QueryPreview](./x-components.querypreview.md) | Retrieves a preview of the results of a query and exposes them in the default slot, along with the query preview and the totalResults of the search request. By default, it renders the names of the results. |
|  [QueryPreviewButton](./x-components.querypreviewbutton.md) | <p>Component containing an event button that emits [QueriesPreviewXEvents.UserAcceptedAQueryPreview](./x-components.queriespreviewxevents.useracceptedaquerypreview.md) when clicked with the full query preview info as payload.</p><p>It has a default slot to customize its contents.</p> |
|  [QueryPreviewList](./x-components.querypreviewlist.md) | Renders the results previews of a list of objects with the information about the query preview, and exposes the [QueryPreview](./x-components.querypreview.md) slots to modify the content. The requests are made in sequential order. |
|  [QuerySuggestion](./x-components.querysuggestion.md) | This component renders a suggestion for a query. A query suggestion is a recommended query based on previous search queries. It contains the query itself and a set of filters associated. For example, if you're searching for \_shirt\_, a query suggestion could be \_long sleeve shirt\_. |
|  [querySuggestions](./x-components.querysuggestions.md) | Query Suggestions getter. |
|  [QuerySuggestions](./x-components.querysuggestions.md) | This component renders a list of possible search queries to select from as a query is entered in the input field. By default, this is a list of \[<code>QuerySuggestion</code>\](./x-components.query-suggestion.md) components. |
|  [querySuggestionsRequest](./x-components.querysuggestionsrequest.md) | Default implementation for the [QuerySuggestionsGetters.request](./x-components.querysuggestionsgetters.request.md) getter. |
|  [querySuggestionsXModule](./x-components.querysuggestionsxmodule.md) | QuerySuggestions [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>query-suggestions</code> entry point. |
|  [RECOMMENDATIONS\_ORIGIN](./x-components.recommendations_origin.md) | Constant for the recommendations request. |
|  [Recommendations](./x-components.recommendations.md) | It renders a list of recommendations from the [RecommendationsState.recommendations](./x-components.recommendationsstate.recommendations.md) state by default. The component provides the slot layout which wraps the whole component with the recommendations bounded. It also provides the default slot to customize the item, which is within the layout slot, with the recommendation bounded. Each recommendation should be represented by a [BaseResultLink](./x-components.baseresultlink.md) component besides any other component. |
|  [recommendationsRequest](./x-components.recommendationsrequest.md) | Default implementation for the [RecommendationsGetters.request](./x-components.recommendationsgetters.request.md) getter. |
|  [recommendationsXModule](./x-components.recommendationsxmodule.md) | Recommendations [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>recommendations</code> entry point. |
|  [Redirection](./x-components.redirection.md) | A redirection is a component that sends the user to a link in the website. It is helpful when there are queries like <code>help</code>, <code>shipping costs</code>, <code>my account</code>, where a link to a section in the website will be more helpful than the set of results returned. |
|  [refreshHistoryQueriesSession](./x-components.refreshhistoryqueriessession.md) | Triggers a session refresh, extending its validity for the time configured in the [HistoryQueriesConfig.sessionTTLInMs](./x-components.historyqueriesconfig.sessionttlinms.md)<!-- -->. |
|  [refreshSession](./x-components.refreshsession.md) | Default implementation for the [HistoryQueriesActions.refreshSession](./x-components.historyqueriesactions.refreshsession.md)<!-- -->. |
|  [RelatedPrompt](./x-components.relatedprompt.md) | This component shows a suggested related prompt. |
|  [RelatedPromptsList](./x-components.relatedpromptslist.md) | Component that inserts groups of related prompts in different positions of the injected search items list, based on the provided configuration. |
|  [RelatedPromptsTagList](./x-components.relatedpromptstaglist.md) | <p>This component shows the list of <code>RelatedPrompts</code> components.</p><p>If the default slot is reimplemented in the consumer, <code>onSelect</code> function will be necessary to handle the selection of the related prompt and to trigger the stagger-fade-slide animation.</p> |
|  [relatedPromptsXModule](./x-components.relatedpromptsxmodule.md) | Related Prompts [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>related-prompts</code> entry point. |
|  [RelatedTag](./x-components.relatedtag.md) | This component renders a related tag for a query. A related tag is a descriptive keyword related to the current query to fine-tune the search. For example, if you are searching for \*lego\*, a related tag could be \*city\*, refining the search with \*lego city\*. |
|  [relatedTags](./x-components.relatedtags.md) | Default implementation for the [RelatedTagsGetters.relatedTags](./x-components.relatedtagsgetters.relatedtags.md) getter. |
|  [RelatedTags](./x-components.relatedtags.md) | This component renders a set of \[<code>RelatedTag</code>\](./x-components.related-tag) components by default to select from after a query is performed to fine-tune search. For example, if you are searching for \*lego\*, different related tags could be \*city\*, friends\*, or \*harry potter\*, refining the search with \*lego city\*, \*lego friends\*, or \*lego harry potter\*. |
|  [relatedTagsQuery](./x-components.relatedtagsquery.md) | Default implementation for the [RelatedTagsGetters.query](./x-components.relatedtagsgetters.query.md) getter. |
|  [relatedTagsRequest](./x-components.relatedtagsrequest.md) | Default implementation for the [RelatedTagsGetters.request](./x-components.relatedtagsgetters.request.md) getter. |
|  [relatedTagsXModule](./x-components.relatedtagsxmodule.md) | RelatedTags [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>related-tags</code> entry point. |
|  [removeFromHistory](./x-components.removefromhistory.md) | Default implementation for the [HistoryQueriesActions.removeFromHistory](./x-components.historyqueriesactions.removefromhistory.md)<!-- -->. |
|  [removeHistoryQuery](./x-components.removehistoryquery.md) | Removes a single history query from the history queries. |
|  [RemoveHistoryQuery](./x-components.removehistoryquery.md) | Button that when it is pressed emits the [HistoryQueriesXEvents.UserPressedRemoveHistoryQuery](./x-components.historyqueriesxevents.userpressedremovehistoryquery.md) event, expressing the user intention to remove a query in the history. |
|  [removeQueryPreviewInstanceWire](./x-components.removequerypreviewinstancewire.md) | Removes an instance in a query preview. |
|  [removeSearchInputFocus](./x-components.removesearchinputfocus.md) | Removes focus from the search input element if it is currently focused. This function checks if the active element in the document matches the selector '.x-search-input' and, if so, blurs the element to remove focus. |
|  [RenderlessExtraParams](./x-components.renderlessextraparams.md) | It emits a [ExtraParamsXEvents.UserChangedExtraParams](./x-components.extraparamsxevents.userchangedextraparams.md) when the <code>updateValue</code> is called. |
|  [RenderlessFilter](./x-components.renderlessfilter.md) | Renders default slot content. It binds to the default slot a [BooleanFilter](./x-types.booleanfilter.md)<!-- -->, the [XEvent](./x-components.xevent.md) that will be emitted when clicking the content, the CSS classes and if the content should be deactivated. |
|  [resetAppending](./x-components.resetappending.md) | Resets the search state <code>isAppendingResults</code>. |
|  [resetFromNoResultsWithFilters](./x-components.resetfromnoresultswithfilters.md) | Resets the search state <code>fromNoResultsWithFilters</code>. |
|  [resetIsNoResults](./x-components.resetisnoresults.md) | Resets the search state <code>isNoResults</code>. |
|  [resetRequestOnRefinement](./x-components.resetrequestonrefinement.md) | Default implementation for the [SearchActions.resetRequestOnRefinement](./x-components.searchactions.resetrequestonrefinement.md)<!-- -->. |
|  [resetRequestOnRefinementWire](./x-components.resetrequestonrefinementwire.md) | Resets the [SearchGetters.request](./x-components.searchgetters.request.md) parameters when refining request and before the actual request is launched. |
|  [resetResultsPreviewWire](./x-components.resetresultspreviewwire.md) | Resets the next query preview results. |
|  [resetSpellcheckQuery](./x-components.resetspellcheckquery.md) | Resets the search state <code>spellcheckedQuery</code> to its initial value, an empty string. |
|  [resetStateForReloadWire](./x-components.resetstateforreloadwire.md) | Resets the search state to reload the current search. |
|  [resetStateIfNoRequestWire](./x-components.resetstateifnorequestwire.md) | Resets the search state when the request is changed to null. See the [SearchXStoreModule](./x-components.searchxstoremodule.md) for details. |
|  [ResultsList](./x-components.resultslist.md) | <p>It renders a [ItemsList](./x-components.itemslist.md) list with the results from [SearchState.results](./x-components.searchstate.results.md) by default.</p><p>The component provides a default slot which wraps the whole component with the <code>results</code> bound.</p><p>It also provides the slot result to customize the item, which is within the default slot, with the result bound.</p> |
|  [ResultVariantSelector](./x-components.resultvariantselector.md) | Component to show and select the available variants of a product for a given nest level. TODO: Log warning on mount when result is not injected. |
|  [ResultVariantsProvider](./x-components.resultvariantsprovider.md) | <p>Component that exposes the result merged with its selected variant in the default slot.</p><p>It receives the original result and keeps track of the selected variant.</p><p>It provides the original result, the array containing the selected variants and a callback to set the selected variant to be used from a child.</p> |
|  [sanitize](./x-components.sanitize.md) | Sanitize characters from a given string. |
|  [saveIdentifierResultsOrigin](./x-components.saveidentifierresultsorigin.md) | Default implementation for the [IdentifierResultsActions.saveOrigin](./x-components.identifierresultsactions.saveorigin.md)<!-- -->. |
|  [saveIdentifierResultsOriginWire](./x-components.saveidentifierresultsoriginwire.md) | Sets the identifier results state <code>origin</code>. |
|  [saveOriginWire](./x-components.saveoriginwire.md) | Sets the search state <code>origin</code>. |
|  [saveQuery](./x-components.savequery.md) | Default implementation for the [IdentifierResultsActions.saveQuery](./x-components.identifierresultsactions.savequery.md)<!-- -->. |
|  [saveSearchOrigin](./x-components.savesearchorigin.md) | Default implementation for the [SearchActions.saveOrigin](./x-components.searchactions.saveorigin.md)<!-- -->. |
|  [saveSearchResponse](./x-components.savesearchresponse.md) | Default implementation for the [SearchActions.saveSearchResponse](./x-components.searchactions.savesearchresponse.md)<!-- -->. |
|  [Scroll](./x-components.scroll.md) | Scrollable container that emits scroll related X Events. It exposes all the listeners and props from the [BaseScroll](./x-components.basescroll.md) component. |
|  [ScrollToTop](./x-components.scrolltotop.md) | The <code>ScrollToTop</code> component is a button that the user can click to make a container scroll up to its initial position. |
|  [scrollXModule](./x-components.scrollxmodule.md) | Scroll [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>empathize</code> entry point. |
|  [searchBoxXModule](./x-components.searchboxxmodule.md) | SearchBox [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>search-box</code> entry point. |
|  [SearchButton](./x-components.searchbutton.md) | This component renders a button to submit the query. |
|  [SearchInput](./x-components.searchinput.md) | This component renders an input field that allows the user to type a query. It also reacts to query changes through event listening. |
|  [SearchInputPlaceholder](./x-components.searchinputplaceholder.md) | . This component renders an animated placeholder for the search input in the shape of a list of iterating messages that can be configured to happen always or only when hovering the input |
|  [searchQuery](./x-components.searchquery.md) | Default implementation for the search query getter. |
|  [searchRequest](./x-components.searchrequest.md) | Default implementation for the [SearchGetters.request](./x-components.searchgetters.request.md) getter. |
|  [searchXModule](./x-components.searchxmodule.md) | Search [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>search</code> entry point. |
|  [selectedFilters](./x-components.selectedfilters.md) | Default implementation for the [FacetsGetters.selectedFilters](./x-components.facetsgetters.selectedfilters.md) getter. |
|  [SelectedFilters](./x-components.selectedfilters.md) | <p>Provides a scoped slot with the selected filters from every facet, or from the facet which facet id is passed as property.</p><p>The default slot renders the length of the selected filters array. The property "alwaysVisible" handles if the component is rendered if no filters are selected.</p> |
|  [selectedFiltersByFacet](./x-components.selectedfiltersbyfacet.md) | Default implementation for the [FacetsGetters.selectedFiltersByFacet](./x-components.facetsgetters.selectedfiltersbyfacet.md) getter. |
|  [SelectedFiltersList](./x-components.selectedfilterslist.md) | <p>This component renders a list of selected filters from every facet, or from the facet ids passed as property. It uses the SelectedFilters component (state).</p><p>It provides two slots: a scoped one which name is the filter facet id; and a default one. Both exposes the filter and renders the filter label by default.</p><p>The property "alwaysVisible" handles if the component is rendered if no filters are selected.</p> |
|  [SemanticQueries](./x-components.semanticqueries.md) | Retrieves a list of semantic queries from the state and exposes them in the slots. |
|  [semanticQueriesXModule](./x-components.semanticqueriesxmodule.md) | SemanticQueries [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>semantic-queries</code>entry point. |
|  [SemanticQuery](./x-components.semanticquery.md) | This component renders a semantic query. A semantic query is a recommended query that is similar in its meaning to another one. It contains the query and the distance, which indicates how similar the query is compared to the searched query. |
|  [sessionHistoryQueries](./x-components.sessionhistoryqueries.md) | Default implementation for the [HistoryQueriesGetters.sessionHistoryQueries](./x-components.historyqueriesgetters.sessionhistoryqueries.md) getter. |
|  [setConsent](./x-components.setconsent.md) | Sets the tagging state <code>consent</code>. |
|  [setExtraParams](./x-components.setextraparams.md) | Sets the extra params of the [ExtraParamsXModule](./x-components.extraparamsxmodule.md)<!-- -->. |
|  [setFiltersFromHistoryQueries](./x-components.setfiltersfromhistoryqueries.md) | Sets the filters of the facets module from a selectedHistoryQuery's filters. |
|  [setHistoryQueries](./x-components.sethistoryqueries.md) | Default implementation for the [HistoryQueriesActions.setHistoryQueries](./x-components.historyqueriesactions.sethistoryqueries.md)<!-- -->. |
|  [setHistoryQueriesDisabled](./x-components.sethistoryqueriesdisabled.md) | Disables history queries. |
|  [setHistoryQueriesEnabled](./x-components.sethistoryqueriesenabled.md) | Enables history queries. |
|  [setHistoryQueriesQuery](./x-components.sethistoryqueriesquery.md) | Sets the query of the history queries module. Used for searching into the history queries. |
|  [setHistoryQueriesQueryFromPreview](./x-components.sethistoryqueriesqueryfrompreview.md) | Sets the query of the history queries module from a selectedQueryPreview's query. Used for searching into the history queries. |
|  [setIdentifierResultsExtraParams](./x-components.setidentifierresultsextraparams.md) | Sets the identifier result state <code>params</code>. |
|  [setIdentifierResultsQuery](./x-components.setidentifierresultsquery.md) | Sets the identifier-results module query. |
|  [setIdentifierResultsQueryFromPreview](./x-components.setidentifierresultsqueryfrompreview.md) | Sets the identifier-results module query from a selectedQueryPreview's query. |
|  [setInitialExtraParams](./x-components.setinitialextraparams.md) | Sets the initial provided extra params. |
|  [setName](./x-components.setname.md) | Sets the device of the [DeviceXModule](./x-components.devicexmodule.md)<!-- -->. |
|  [setNextQueriesExtraParams](./x-components.setnextqueriesextraparams.md) | Sets the next queries state <code>params</code>. |
|  [setNextQueriesExtraParamsFromPreview](./x-components.setnextqueriesextraparamsfrompreview.md) | Sets the next queries state <code>params</code> with a selectedQueryPreview's extraParams. |
|  [setNextQueriesQuery](./x-components.setnextqueriesquery.md) | Sets the next queries state <code>query</code>. |
|  [setNextQueriesQueryFromPreview](./x-components.setnextqueriesqueryfrompreview.md) | Sets the next queries state <code>query</code> with a selectedQueryPreview's query. |
|  [setNextQueriesRelatedTags](./x-components.setnextqueriesrelatedtags.md) | Sets the next queries state <code>relatedTags</code>. |
|  [setNoResultsTaggingEnabledWire](./x-components.setnoresultstaggingenabledwire.md) | Sets the tagging state <code>noResultsTaggingEnabled</code>. |
|  [setParams](./x-components.setparams.md) | Sets the extra params of the url module. |
|  [setPendingScrollToWire](./x-components.setpendingscrolltowire.md) | Saves the selector of the item that should be scrolled into the view. |
|  [setPopularSearchesExtraParams](./x-components.setpopularsearchesextraparams.md) | Sets the popular searches state <code>params</code>. |
|  [setQueriesPreviewExtraParamsWire](./x-components.setqueriespreviewextraparamswire.md) | Sets the queries preview state <code>params</code>. |
|  [setQueryFromLastHistoryQuery](./x-components.setqueryfromlasthistoryquery.md) | Default implementation for the [NextQueriesActions.setQueryFromLastHistoryQuery](./x-components.nextqueriesactions.setqueryfromlasthistoryquery.md)<!-- -->. |
|  [setQueryFromLastHistoryQueryWire](./x-components.setqueryfromlasthistoryquerywire.md) | Sets the next queries state <code>query</code> with the last query in history queries. |
|  [setQueryFromPreview](./x-components.setqueryfrompreview.md) | Sets the query of the facets module from a queryPreview. |
|  [setQueryFromSearchResponseChangedWire](./x-components.setqueryfromsearchresponsechangedwire.md) | Sets the query taking the [SearchXEvents.SearchResponseChanged](./x-components.searchxevents.searchresponsechanged.md) payload. |
|  [setQuerySuggestionsExtraParams](./x-components.setquerysuggestionsextraparams.md) | Sets the query suggestions state <code>params</code>. |
|  [setQuerySuggestionsExtraParamsFromPreview](./x-components.setquerysuggestionsextraparamsfrompreview.md) | Sets the query-suggestions module params from a selectedQueryPreview's extraParams. |
|  [setQuerySuggestionsQuery](./x-components.setquerysuggestionsquery.md) | Sets the query-suggestions module query. |
|  [setQuerySuggestionsQueryFromPreview](./x-components.setquerysuggestionsqueryfrompreview.md) | Sets the query-suggestions module query from a selectedQueryPreview's query. |
|  [setQueryTaggingFromQueryPreview](./x-components.setquerytaggingfromquerypreview.md) | Sets the tagging state of the query tagging info using. |
|  [setQueryTaggingInfo](./x-components.setquerytagginginfo.md) | Sets the tagging state of the query tagging info using a debounce which ends if the user accepts a query. |
|  [setQueryWire](./x-components.setquerywire.md) | Sets the query. |
|  [setRecommendationsExtraParams](./x-components.setrecommendationsextraparams.md) | Sets the recommendations state <code>params</code>. |
|  [setRelatedTags](./x-components.setrelatedtags.md) | Sets the search state <code>relatedTags</code>. |
|  [setRelatedTagsExtraParams](./x-components.setrelatedtagsextraparams.md) | Sets the related tags state <code>params</code>. |
|  [setRelatedTagsExtraParamsFromPreview](./x-components.setrelatedtagsextraparamsfrompreview.md) | Sets the related tags state <code>params</code> from a selectedQueryPreview's extraParams. |
|  [setRelatedTagsQuery](./x-components.setrelatedtagsquery.md) | Sets the related tags state <code>query</code>. |
|  [setRelatedTagsQueryFromPreview](./x-components.setrelatedtagsqueryfrompreview.md) | Sets the related tags state <code>query</code> from a selectedQueryPreview's query. |
|  [setScrollDirectionWire](./x-components.setscrolldirectionwire.md) | Saves the scroll direction of a container to the store. |
|  [setScrollHasAlmostReachedEndWire](./x-components.setscrollhasalmostreachedendwire.md) | Saves a boolean indicating if the scroll has almost reached the end of a container to the store. |
|  [setScrollHasReachedEndWire](./x-components.setscrollhasreachedendwire.md) | Saves a boolean indicating if the scroll has reached the end of a container to the store. |
|  [setScrollHasReachedStartWire](./x-components.setscrollhasreachedstartwire.md) | Saves a boolean indicating if the scroll has reached the start of a container to the store. |
|  [setScrollPositionWire](./x-components.setscrollpositionwire.md) | Saves the scroll position of a container to the store. |
|  [setSearchedQueries](./x-components.setsearchedqueries.md) | Sets the next queries state <code>searchedQueries</code> with the list of history queries. |
|  [setSearchedQueriesInPopularSearches](./x-components.setsearchedqueriesinpopularsearches.md) | Sets the popular searches state <code>searchedQueries</code> with the list of history queries. |
|  [setSearchedQueriesInSuggestions](./x-components.setsearchedqueriesinsuggestions.md) | Sets the query suggestions state <code>searchedQueries</code> with the list of history queries. |
|  [setSearchExtraParams](./x-components.setsearchextraparams.md) | Sets the search state <code>params</code>. |
|  [setSearchExtraParamsFromPreview](./x-components.setsearchextraparamsfrompreview.md) | Sets the search state <code>params</code> with the selectedQueryPreview's extraParams. |
|  [setSearchPage](./x-components.setsearchpage.md) | Sets the search state <code>page</code>. |
|  [setSearchQuery](./x-components.setsearchquery.md) | Sets the search state <code>query</code>. |
|  [setSearchQueryFromPreview](./x-components.setsearchqueryfrompreview.md) | Sets the search state <code>query</code> with the selectedQueryPreview's query. |
|  [setSearchSelectedFilters](./x-components.setsearchselectedfilters.md) | Sets the history queries state <code>filters</code> with a selectedHistoryQuery's filters. |
|  [setSearchSelectedFiltersFromHistoryQuery](./x-components.setsearchselectedfiltersfromhistoryquery.md) | Sets the search state <code>selectedFilters</code> with a selectedHistoryQuery's filters. |
|  [setSearchSelectedFiltersFromPreview](./x-components.setsearchselectedfiltersfrompreview.md) | Sets the search state <code>selectedFilters</code> with the selectedQueryPreview's filters. |
|  [setSearchUrlParams](./x-components.setsearchurlparams.md) | Default implementation for the [SearchActions.setUrlParams](./x-components.searchactions.seturlparams.md)<!-- -->. |
|  [setSelectedFilters](./x-components.setselectedfilters.md) | Sets the search state <code>selectedFilters</code>. |
|  [setSelectedFiltersFromPreview](./x-components.setselectedfiltersfrompreview.md) | Sets the filters of the facets module from a queryPreview's filters. |
|  [setSelectedQueryPreviewWire](./x-components.setselectedquerypreviewwire.md) | Updates the state with the selected query preview object. |
|  [setSemanticQueriesExtraParamsWire](./x-components.setsemanticqueriesextraparamswire.md) | Sets the semantic queries state <code>params</code>. |
|  [setSort](./x-components.setsort.md) | Sets the search state <code>sort</code>. |
|  [setTaggingConfig](./x-components.settaggingconfig.md) | Sets the tagging config state. |
|  [setTotalResultsFromSearchResponseChangedWire](./x-components.settotalresultsfromsearchresponsechangedwire.md) | Sets the total results taking the [SearchXEvents.SearchResponseChanged](./x-components.searchxevents.searchresponsechanged.md) payload. |
|  [setTotalResultsWire](./x-components.settotalresultswire.md) | Sets the total results. |
|  [setUrlFilters](./x-components.seturlfilters.md) | Sets the filters of the url module. |
|  [setUrlPage](./x-components.seturlpage.md) | Sets the page of the url module. |
|  [setUrlParams](./x-components.seturlparams.md) | Sets the search state <code>query</code>. |
|  [setUrlParamsFromPreview](./x-components.seturlparamsfrompreview.md) | Sets the extra params of the url module from a selectedQueryPreview's extraParams. |
|  [setUrlParamsWire](./x-components.seturlparamswire.md) | Saves the params from the url. |
|  [setUrlPrompt](./x-components.seturlprompt.md) | Sets the related prompt of the URL module. |
|  [setUrlQuery](./x-components.seturlquery.md) | Sets the query of the url module. |
|  [setUrlQueryFromPreview](./x-components.seturlqueryfrompreview.md) | Sets the url state <code>query</code> with a selectedQueryPreview's query. |
|  [setUrlRelatedTags](./x-components.seturlrelatedtags.md) | Sets the [related tags](./x-components.relatedtag.md)<!-- -->. |
|  [setUrlScroll](./x-components.seturlscroll.md) | Sets the scroll of the url module. |
|  [setUrlSelectedFiltersFromPreview](./x-components.seturlselectedfiltersfrompreview.md) | Sets the filters of the url module from a selectedQueryPreview's filters. |
|  [setUrlSort](./x-components.seturlsort.md) | Sets the sort of the url module. |
|  [SimpleFilter](./x-components.simplefilter.md) | Renders a simple filter, emitting the needed events when clicked. |
|  [SingleColumnLayout](./x-components.singlecolumnlayout.md) | Component for use as Layout to be filled with the rest of the Components. |
|  [SlicedFilters](./x-components.slicedfilters.md) | Component that slices a list of filters and returns them using the default scoped slot, allowing the user to show the full list of them or slicing them again using the show more/less buttons. |
|  [SlidingPanel](./x-components.slidingpanel.md) | <p>This component allows for any other component or element inside it to be horizontally navigable. It also implements customizable buttons as well as other minor customizations to its general behavior.</p><p>Additionally, this component exposes the following props to modify the classes of the elements: <code>buttonClass</code>.</p> |
|  [SnippetCallbacks](./x-components.snippetcallbacks.md) | This component subscribes to any [XEvent](./x-components.xevent.md) with a custom callbacks provided by the snippet configuration. |
|  [SnippetConfigExtraParams](./x-components.snippetconfigextraparams.md) |  |
|  [SortDropdown](./x-components.sortdropdown.md) | The <code>SortDropdown</code> component allows user to select the search results order. This component also allows to change the selected sort programmatically. |
|  [SortedFilters](./x-components.sortedfilters.md) | Component that sorts a list of filters and returns them using the default scoped slot. |
|  [SortList](./x-components.sortlist.md) | The <code>SortList</code> component allows user to select the search results order. This component also allows to change the selected sort programmatically. |
|  [SortPickerList](./x-components.sortpickerlist.md) | The <code>SortPickerList</code> component allows user to select the search results order. This component also allows to change the selected sort programmatically. |
|  [Spellcheck](./x-components.spellcheck.md) | <p>The <code>Spellcheck</code> component allows to inform the user with a friendly message that he might have misspelled the search query. This message can be set using the default slot of the component, which gives access to the searched query using the <code>query</code> scope property, and the spellchecked query proposal, using the <code>spellcheckedQuery</code> scope property.</p><p>The component will only render itself if the <code>spellcheckedQuery</code> property has value.</p> |
|  [SpellcheckButton](./x-components.spellcheckbutton.md) | A button that when pressed emits the [XEventsTypes.UserAcceptedAQuery](./x-components.xeventstypes.useracceptedaquery.md) and [XEventsTypes.UserAcceptedSpellcheckQuery](./x-components.xeventstypes.useracceptedspellcheckquery.md) events, expressing the user intention to set the spellchecked query. |
|  [SPLIT\_WORDS\_REGEX](./x-components.split_words_regex.md) | Regex for splitting a query into its words. |
|  [StaggeredFadeAndSlide](./x-components.staggeredfadeandslide.md) | Renders a transition group wrapping the elements passed in the default slot and animating them with a staggered fade and slide animation. |
|  [storageKey](./x-components.storagekey.md) | Default implementation for the [HistoryQueriesGetters.storageKey](./x-components.historyqueriesgetters.storagekey.md) getter. |
|  [Tagging](./x-components.tagging.md) | This component enables and manages the sending of information to the \[Empathy Tagging API\](https://docs.empathy.co/develop-empathy-platform/api-reference/tagging-api.html). It allows you to activate or deactivate the session id management through the <code>consent</code> prop. |
|  [taggingXModule](./x-components.taggingxmodule.md) | Tagging [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>empathize</code> entry point. |
|  [throttleFunction](./x-components.throttlefunction.md) | Util function that returns a throttled version of the function passed as parameter. |
|  [toggleRelatedTag](./x-components.togglerelatedtag.md) | Default implementation for the [RelatedTagsActions.toggleRelatedTag](./x-components.relatedtagsactions.togglerelatedtag.md)<!-- -->. |
|  [toggleRelatedTagWire](./x-components.togglerelatedtagwire.md) | Sets the selected related tags. |
|  [track](./x-components.track.md) | Default implementation for the [TaggingActions.track](./x-components.taggingactions.track.md)<!-- -->. |
|  [trackAddToCartWire](./x-components.trackaddtocartwire.md) | Performs a track of a result added to the cart. |
|  [trackBannerClickedWire](./x-components.trackbannerclickedwire.md) | Tracks the tagging of the banner. |
|  [trackDisplayClickedWire](./x-components.trackdisplayclickedwire.md) | Performs a track of a display result being clicked. |
|  [trackElementDisplayedWire](./x-components.trackelementdisplayedwire.md) | Performs a track of a display element appearing. |
|  [trackNoResultsQueryWithFallbackWire](./x-components.tracknoresultsquerywithfallbackwire.md) | Performs a track of a query with no results that used related prompts or semantic queries as fallback. The totalHits will be changed to -1 if related prompts or semantic queries are found in order to differentiate it from scenarios where the user encounters a no-results page without any related prompts or semantic queries. |
|  [trackNoResultsQueryWithFallbackWireDebounced](./x-components.tracknoresultsquerywithfallbackwiredebounced.md) | . Debounced version of [trackNoResultsQueryWithFallbackWire](./x-components.tracknoresultsquerywithfallbackwire.md) |
|  [trackNoResultsQueryWithSemanticsWire](./x-components.tracknoresultsquerywithsemanticswire.md) | Performs a track of a query with no results that used semantic queries as fallback. The totalHits will be changed to -1 if semantic queries are found in order to differentiate it from scenarios where the user encounters a no-results page without any semantic queries. |
|  [trackNoResultsQueryWithSemanticsWireDebounced](./x-components.tracknoresultsquerywithsemanticswiredebounced.md) | Debounced version of [trackNoResultsQueryWithFallbackWire](./x-components.tracknoresultsquerywithfallbackwire.md) |
|  [trackPromotedClickedWire](./x-components.trackpromotedclickedwire.md) | Tracks the click on a promoted result. |
|  [trackQueryWire](./x-components.trackquerywire.md) | Tracks the tagging of the query. |
|  [trackRelatedPromptToolingDisplayClickWire](./x-components.trackrelatedprompttoolingdisplayclickwire.md) | Performs a track of a clicked related prompt. |
|  [trackResultClickedWire](./x-components.trackresultclickedwire.md) | Tracks the tagging of the result. |
|  [trackToolingAdd2CartWire](./x-components.tracktoolingadd2cartwire.md) | Performs a track of a display result being clicked. |
|  [trackToolingDisplayClickedWire](./x-components.tracktoolingdisplayclickedwire.md) | Performs a track of a display result being clicked. |
|  [typing](./x-components.typing.md) | Typing directive. |
|  [updateHistoryQueriesWithSearchResponse](./x-components.updatehistoryquerieswithsearchresponse.md) | Updates the history queries with the relevant info included in a search response. |
|  [UrlHandler](./x-components.urlhandler.md) | This component manages the browser URL parameters to preserve them through reloads and browser history navigation. It allow to configure the default url parameter names using its attributes. This component doesn't render elements to the DOM. |
|  [urlXModule](./x-components.urlxmodule.md) | URL [XModule](./x-components.xmodule.md) implementation. This module is auto-registered as soon as you import any component from the <code>url</code> entry point. |
|  [useGetter](./x-components.usegetter.md) | Function which returns the requested getter's properties as a dictionary. |
|  [useQueriesPreview](./x-components.usequeriespreview.md) | Composable helpers for the QueriesPreview module. |
|  [xPlugin](./x-components.xplugin.md) | Vue plugin that modifies each component instance, extending them with the [X Component API](./x-components.xcomponentapi.md)<!-- -->. |

## Type Aliases

|  Type Alias | Description |
|  --- | --- |
|  [ActionNamesFor](./x-components.actionnamesfor.md) | Returns the action names for a given module. They are the namespaced actions. |
|  [ActionsClass](./x-components.actionsclass.md) | Type for implementing actions for a module with a class. |
|  [ActionsDictionary](./x-components.actionsdictionary.md) | Util type for being used on generic constraints which will only accept an object containing actions. |
|  [ActionsTree](./x-components.actionstree.md) | Type-safe actions definition type. An object with this type is what it is needed to define [Vuex](https://vuex.vuejs.org/) actions. |
|  [AnyActionsTree](./x-components.anyactionstree.md) | Alias for any actions tree. Use only when you really don't care about the actions type. |
|  [AnyGettersTree](./x-components.anygetterstree.md) | Alias for any getters tree. Use only when you don't care about the type. |
|  [AnyMutationsTree](./x-components.anymutationstree.md) | Alias for any mutations tree. Use only when the concrete type does not matter. |
|  [AnySimpleStateSelector](./x-components.anysimplestateselector.md) | Alias for any simple state selector. |
|  [AnyStateSelector](./x-components.anystateselector.md) | Alias for any state selector. |
|  [AnyStoreEmitters](./x-components.anystoreemitters.md) | Alias for any store emitters. |
|  [AnyWire](./x-components.anywire.md) | Alias for a wire of any type. |
|  [AnyXModule](./x-components.anyxmodule.md) | Alias for any XModule. Use with caution. |
|  [AnyXStoreModule](./x-components.anyxstoremodule.md) | Alias for an [XStoreModule](./x-components.xstoremodule.md) with any type. Use only when the state, getters, mutations and actions are not relevant. |
|  [AnyXStoreModuleOption](./x-components.anyxstoremoduleoption.md) | Alias for any store module option. Use only when you don't care about the module concrete type. |
|  [ArrowKey](./x-components.arrowkey.md) | Union type containing the existing arrow keys. |
|  [DecoratorFor](./x-components.decoratorfor.md) | Creates a decorator that will only work for properties of the type passed. The decorator will only work if the property is public. |
|  [DeviceXModule](./x-components.devicexmodule.md) | Device [XModule](./x-components.xmodule.md) alias. |
|  [DeviceXStoreModule](./x-components.devicexstoremodule.md) | Device type safe store module. |
|  [DocumentDirection](./x-components.documentdirection.md) | The HTML document direction orientation. Possible values: ltr (left to right) or rtl (right to left). |
|  [EmpathizeXModule](./x-components.empathizexmodule.md) | Empathize [XModule](./x-components.xmodule.md) alias. |
|  [EmpathizeXStoreModule](./x-components.empathizexstoremodule.md) | Empathize type safe store module. |
|  [EventsForDirectionLimit](./x-components.eventsfordirectionlimit.md) | Events to emit when reaching the [direction](./x-components.arrowkey.md) limit. |
|  [ExperienceControlsActionContext](./x-components.experiencecontrolsactioncontext.md) | Alias type for actions context of the [ExperienceControlsXStoreModule](./x-components.experiencecontrolsxstoremodule.md)<!-- -->. |
|  [ExperienceControlsXModule](./x-components.experiencecontrolsxmodule.md) | Search [XModule](./x-components.xmodule.md) alias. |
|  [ExperienceControlsXStoreModule](./x-components.experiencecontrolsxstoremodule.md) | Experience Controls type safe store module. |
|  [ExtractActionPayload](./x-components.extractactionpayload.md) | Returns the payload for an action given the module name and the action name. |
|  [ExtractActionReturn](./x-components.extractactionreturn.md) | Flattens the (probably) chained promises of an action type. |
|  [ExtractActions](./x-components.extractactions.md) | Extracts the actions type from a XStoreModule. |
|  [ExtractGetters](./x-components.extractgetters.md) | Util type for extracting the getter type of a module. |
|  [ExtractMutationPayload](./x-components.extractmutationpayload.md) | Returns the payload for a mutation given the module name and the mutation name. |
|  [ExtractMutations](./x-components.extractmutations.md) | Extracts the mutations type from a XStoreModule. |
|  [ExtractPayload](./x-components.extractpayload.md) | Extracts the payload from any function with a single parameter. |
|  [ExtractState](./x-components.extractstate.md) | Util type for extracting the state type of a module. |
|  [ExtraParamsXModule](./x-components.extraparamsxmodule.md) | ExtraParams [XModule](./x-components.xmodule.md) alias. |
|  [ExtraParamsXStoreModule](./x-components.extraparamsxstoremodule.md) | ExtraParams type safe store module. |
|  [FacetsActionsContext](./x-components.facetsactionscontext.md) | The type of the context object for the facets module actions. |
|  [FacetsXModule](./x-components.facetsxmodule.md) | Facets [XModule](./x-components.xmodule.md) alias. |
|  [FacetsXStoreModule](./x-components.facetsxstoremodule.md) | Facets type safe store module. |
|  [FeatureLocation](./x-components.featurelocation.md) | Indicates where the feature is placed. |
|  [FiltersByFacet](./x-components.filtersbyfacet.md) | Dictionary grouping filters by facet id. |
|  [filtersStrategyForRequest](./x-components.filtersstrategyforrequest.md) | Type for the filter strategy to use when providing the selected filters. |
|  [FirstParameter](./x-components.firstparameter.md) | Alias to retrieve the first parameter type of a function. |
|  [GettersClass](./x-components.gettersclass.md) | Type for implementing getters for a module with a class. |
|  [GettersTree](./x-components.getterstree.md) | Type safe getters definition type. An object with this type is what it is needed to define [Vuex](https://vuex.vuejs.org/) getters. |
|  [GroupId](./x-components.groupid.md) | Alias for GroupId. |
|  [HistoryQueriesActionContext](./x-components.historyqueriesactioncontext.md) | Alias type for actions context of the [HistoryQueriesXStoreModule](./x-components.historyqueriesxstoremodule.md)<!-- -->. |
|  [HistoryQueriesXModule](./x-components.historyqueriesxmodule.md) | HistoryQueries [XModule](./x-components.xmodule.md) alias. |
|  [HistoryQueriesXStoreModule](./x-components.historyqueriesxstoremodule.md) | HistoryQueries type safe store module. |
|  [IdentifierResultsActionsContext](./x-components.identifierresultsactionscontext.md) | Alias type for actions context of the [IdentifierResultsXStoreModule](./x-components.identifierresultsxstoremodule.md)<!-- -->. |
|  [IdentifierResultsXModule](./x-components.identifierresultsxmodule.md) | IdentifierResults [XModule](./x-components.xmodule.md) alias. |
|  [IdentifierResultsXStoreModule](./x-components.identifierresultsxstoremodule.md) | IdentifierResults type safe store module. |
|  [ListItem](./x-components.listitem.md) | Type representing a grid item. It has to be an [Identifiable](./x-types.identifiable.md) object that can optionally contain a [modelName](./x-types.namedmodel.modelname.md)<!-- -->. |
|  [MaybeArray](./x-components.maybearray.md) | Alias for a type that might be an array or not. |
|  [MonadicFunction](./x-components.monadicfunction.md) | A function with a single parameter that can return anything. |
|  [MutationNamesFor](./x-components.mutationnamesfor.md) | Returns the mutation names for a given module. They are the namespaced mutations. |
|  [MutationsDictionary](./x-components.mutationsdictionary.md) | Util type for being used on generic constraints which will only accept an object containing mutations. |
|  [MutationsTree](./x-components.mutationstree.md) | Type-safe mutations definition type. An object with this type is what it is needed to define [Vuex](https://vuex.vuejs.org/) mutations. |
|  [NamespacedTimeSelector](./x-components.namespacedtimeselector.md) | Function type which receives the State and the Getters of the namespace [XStoreModule](./x-components.xstoremodule.md) to retrieve the time from there. |
|  [NamespacedTimeWireOperator](./x-components.namespacedtimewireoperator.md) | Function type which receives the wire to modify and the [NamespacedTimeSelector](./x-components.namespacedtimeselector.md) to retrieve the time from the [XStoreModule](./x-components.xstoremodule.md)<!-- -->. |
|  [NamespacedWireCommitPayload](./x-components.namespacedwirecommitpayload.md) | Namespaced payload to commit a mutation. Either a function that receives the [module state and getters](./x-components.storemodulestateandgetters.md) and returns the payload for the mutation, or a static action payload. |
|  [NamespacedWireCommitWithoutPayload](./x-components.namespacedwirecommitwithoutpayload.md) | Namespaced type for the [wireCommitWithoutPayload()](./x-components.wirecommitwithoutpayload.md) which creates a wire without payload associated. |
|  [NamespacedWireDispatchPayload](./x-components.namespacedwiredispatchpayload.md) | Namespaced payload to dispatch an action. Either a function that receives the [module state and getters](./x-components.storemodulestateandgetters.md) and returns the payload for the action, or a static action payload. |
|  [NamespacedWireDispatchWithoutPayload](./x-components.namespacedwiredispatchwithoutpayload.md) | Namespaced type for the [wireDispatchWithoutPayload()](./x-components.wiredispatchwithoutpayload.md) which creates a wire without payload associated. |
|  [NamespacedWiringData](./x-components.namespacedwiringdata.md) | Namespaced type safe which allows the access to the State, the Getters, the payload and metadata of a [XStoreModule](./x-components.xstoremodule.md)<!-- -->. |
|  [NextQueriesActionContext](./x-components.nextqueriesactioncontext.md) | Alias type for actions context of the [NextQueriesXStoreModule](./x-components.nextqueriesxstoremodule.md)<!-- -->. |
|  [NextQueriesXModule](./x-components.nextqueriesxmodule.md) | NextQueries [XModule](./x-components.xmodule.md) alias. |
|  [NextQueriesXStoreModule](./x-components.nextqueriesxstoremodule.md) | Next queries store module. |
|  [NiladicFunction](./x-components.niladicfunction.md) | A function with no parameters that can return anything. |
|  [NormalisedSnippetConfig](./x-components.normalisedsnippetconfig.md) | A normalised version of the snippet config. |
|  [Pair](./x-components.pair.md) | Represents a pair of values of the same type in an array. |
|  [PayloadFactoryData](./x-components.payloadfactorydata.md) | Type not safe which allows the access to the State, the Getters, the payload and metadata of a [XStoreModule](./x-components.xstoremodule.md)<!-- -->. |
|  [PopularSearchesActionContext](./x-components.popularsearchesactioncontext.md) | Alias type for actions context of the [PopularSearchesXStoreModule](./x-components.popularsearchesxstoremodule.md)<!-- -->. |
|  [PopularSearchesXModule](./x-components.popularsearchesxmodule.md) | PopularSearches [XModule](./x-components.xmodule.md) alias. |
|  [PopularSearchesXStoreModule](./x-components.popularsearchesxstoremodule.md) | Popular searches store module. |
|  [PrivateXModulesOptions](./x-components.privatexmodulesoptions.md) | Options for overriding the default store module and store emitters for each [XModule](./x-components.xmodule.md)<!-- -->. |
|  [PropsWithType](./x-components.propswithtype.md) | Extracts the name of the properties of an object that match a type. |
|  [QueriesPreviewActionContext](./x-components.queriespreviewactioncontext.md) | Alias type for actions context of the [QueriesPreviewXStoreModule](./x-components.queriespreviewxstoremodule.md)<!-- -->. |
|  [QueriesPreviewXModule](./x-components.queriespreviewxmodule.md) | QueriesPreview [XModule](./x-components.xmodule.md) alias. |
|  [QueriesPreviewXStoreModule](./x-components.queriespreviewxstoremodule.md) | QueriesPreview type safe store module. |
|  [QueryFeature](./x-components.queryfeature.md) | The name of the tool that generated the query. |
|  [QueryOrigin](./x-components.queryorigin.md) | Information to track the usefulness of the query in relation to the [QueryFeature](./x-components.queryfeature.md) that generated it, and the [FeatureLocation](./x-components.featurelocation.md) where it has been shown to the user. |
|  [QueryOriginInit](./x-components.queryorigininit.md) | Parameters to create a [QueryOrigin](./x-components.queryorigin.md) or [ResultOrigin](./x-components.resultorigin.md)<!-- -->. |
|  [QuerySuggestionsActionContext](./x-components.querysuggestionsactioncontext.md) | Alias type for actions context of the [QuerySuggestionsXStoreModule](./x-components.querysuggestionsxstoremodule.md)<!-- -->. |
|  [QuerySuggestionsXModule](./x-components.querysuggestionsxmodule.md) | QuerySuggestions [XModule](./x-components.xmodule.md) alias. |
|  [QuerySuggestionsXStoreModule](./x-components.querysuggestionsxstoremodule.md) | QuerySuggestions type safe store module. |
|  [RecommendationsActionContext](./x-components.recommendationsactioncontext.md) | Alias type for actions context of the [RecommendationsXStoreModule](./x-components.recommendationsxstoremodule.md)<!-- -->. |
|  [RecommendationsXModule](./x-components.recommendationsxmodule.md) | Recommendations [XModule](./x-components.xmodule.md) alias. |
|  [RecommendationsXStoreModule](./x-components.recommendationsxstoremodule.md) | Recommendations type safe store module. |
|  [RelatedPromptsActionContext](./x-components.relatedpromptsactioncontext.md) | Alias type for actions context of the [RelatedPromptsXStoreModule](./x-components.relatedpromptsxstoremodule.md)<!-- -->. |
|  [RelatedPromptsXModule](./x-components.relatedpromptsxmodule.md) | RelatedPrompts [XModule](./x-components.xmodule.md) alias. |
|  [RelatedPromptsXStoreModule](./x-components.relatedpromptsxstoremodule.md) | Related prompts store module. |
|  [RelatedTagsActionContext](./x-components.relatedtagsactioncontext.md) | Alias type for actions context of the [RelatedTagsXStoreModule](./x-components.relatedtagsxstoremodule.md)<!-- -->. |
|  [RelatedTagsXModule](./x-components.relatedtagsxmodule.md) | RelatedTags [XModule](./x-components.xmodule.md) alias. |
|  [RelatedTagsXStoreModule](./x-components.relatedtagsxstoremodule.md) | RelatedTags type safe store module. |
|  [RequestStatus](./x-components.requeststatus.md) | The possible status of a request: - Success: The request has resolved successfully. - Loading: The request is in process, waiting for a response. - Error: The request has failed. |
|  [ResultFeature](./x-components.resultfeature.md) | The name of the tool that generated the results. |
|  [ResultOrigin](./x-components.resultorigin.md) | Information to track the usefulness of a result in relation to the [ResultFeature](./x-components.resultfeature.md) that generated it, and the [FeatureLocation](./x-components.featurelocation.md) where it has been shown to the user. |
|  [Returns](./x-components.returns.md) | Extracts the return type of each property of the T object. |
|  [RootStoreStateAndGetters](./x-components.rootstorestateandgetters.md) | State and Getters Store type for [RootXStoreState](./x-components.rootxstorestate.md)<!-- -->. |
|  [ScrollDirection](./x-components.scrolldirection.md) | Types allow for values of scroll direction. |
|  [ScrollXModule](./x-components.scrollxmodule.md) | Scroll [XModule](./x-components.xmodule.md) alias. |
|  [ScrollXStoreModule](./x-components.scrollxstoremodule.md) | Scroll type safe store module. |
|  [SearchActionContext](./x-components.searchactioncontext.md) | Alias type for actions context of the [SearchXStoreModule](./x-components.searchxstoremodule.md)<!-- -->. |
|  [SearchBoxXModule](./x-components.searchboxxmodule.md) | SearchBox [XModule](./x-components.xmodule.md) alias. |
|  [SearchBoxXStoreModule](./x-components.searchboxxstoremodule.md) | SearchBox type safe store module. |
|  [SearchXModule](./x-components.searchxmodule.md) | Search [XModule](./x-components.xmodule.md) alias. |
|  [SearchXStoreModule](./x-components.searchxstoremodule.md) | Search type safe store module. |
|  [SemanticQueriesActionContext](./x-components.semanticqueriesactioncontext.md) | Alias type for actions context of the [SemanticQueriesXStoreModule](./x-components.semanticqueriesxstoremodule.md)<!-- -->. |
|  [SemanticQueriesXModule](./x-components.semanticqueriesxmodule.md) | SemanticQueries [XModule](./x-components.xmodule.md) alias. |
|  [SemanticQueriesXStoreModule](./x-components.semanticqueriesxstoremodule.md) | SemanticQueries type safe store module. |
|  [SimpleStateSelector](./x-components.simplestateselector.md) | Selects a part of the store state or getters (AKA "getter" inside [Vuex](https://vuex.vuejs.org/) watchers). |
|  [StoreEmitters](./x-components.storeemitters.md) | Dictionary where the key is a [XEvent](./x-components.xevent.md)<!-- -->, and the value is [SimpleStateSelector](./x-components.simplestateselector.md) or [StateSelector](./x-components.stateselector.md)<!-- -->. This [SimpleStateSelector](./x-components.simplestateselector.md) or [StateSelector](./x-components.stateselector.md) can only access the state and getters from the [XStoreModule](./x-components.xstoremodule.md) passed as param type. This dictionary is used to emits a [XEvent](./x-components.xevent.md) when the part of the store selected by [SimpleStateSelector](./x-components.simplestateselector.md) changes. |
|  [SubObject](./x-components.subobject.md) | Extracts a sub-type with the properties of <code>SomeObject</code> that have the <code>TargetPropertyType</code> type. |
|  [TaggingXModule](./x-components.taggingxmodule.md) | Tagging [XModule](./x-components.xmodule.md) alias. |
|  [TaggingXStoreModule](./x-components.taggingxstoremodule.md) | Tagging type safe store module. |
|  [TimeSelector](./x-components.timeselector.md) | Function type which receives the whole store as parameter and retrieve the time from there. |
|  [UrlActionContext](./x-components.urlactioncontext.md) | Alias type for actions context of the [UrlXStoreModule](./x-components.urlxstoremodule.md)<!-- -->. |
|  [UrlParamKey](./x-components.urlparamkey.md) | The key of the parameter to store in the URL. |
|  [UrlParamValue](./x-components.urlparamvalue.md) | The allowed values of the parameters to store in the URL. |
|  [UrlXModule](./x-components.urlxmodule.md) | URL [XModule](./x-components.xmodule.md) alias. |
|  [UrlXStoreModule](./x-components.urlxstoremodule.md) | URL type safe store module. |
|  [UseDeviceFlags](./x-components.usedeviceflags.md) | The device flags type of the Return type of the composable returned by <code>createUseDevice</code>. |
|  [UseDeviceReturn](./x-components.usedevicereturn.md) | The Return type of the composable returned by <code>createUseDevice</code>. |
|  [VueCSSClasses](./x-components.vuecssclasses.md) | Union type containing supported Vue dynamic classes. |
|  [Wire](./x-components.wire.md) | A Wire is a function that receives an observable, the store and the on function of the bus it will run in and returns a subscription. |
|  [WireForEvent](./x-components.wireforevent.md) | Alias for a wire with the type of the event payload. |
|  [Wiring](./x-components.wiring.md) | The Wiring is a record where each key is an EmpathyX event, and the value is a dictionary of wires. |
|  [XEvent](./x-components.xevent.md) | Name of all available events. |
|  [XEventListeners](./x-components.xeventlisteners.md) | Map type of every [XEvent](./x-components.xevent.md) and a callback with the payload and metadata for that event. |
|  [XEventPayload](./x-components.xeventpayload.md) | Extracts the payload type of an event. |
|  [XEventsOf](./x-components.xeventsof.md) | Selects events of the with a payload matching the provided type. |
|  [XModuleName](./x-components.xmodulename.md) | Names of all of the [XModules](./x-components.xmodule.md) available. |
|  [XModulesOptions](./x-components.xmodulesoptions.md) | Options for overriding the default config state and wiring for each [XModule](./x-components.xmodule.md)<!-- -->. |
|  [XStoreModuleOptions](./x-components.xstoremoduleoptions.md) | Options for overriding a default [XStoreModule](./x-components.xstoremodule.md)<!-- -->. |

