<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@empathyco/x-components](./x-components.md) &gt; [SearchMutations](./x-components.searchmutations.md)

## SearchMutations interface

Search store mutations.

**Signature:**

```typescript
export interface SearchMutations extends StatusMutations, QueryMutations, ConfigMutations<SearchState> 
```
**Extends:** [StatusMutations](./x-components.statusmutations.md)<!-- -->, [QueryMutations](./x-components.querymutations.md)<!-- -->, [ConfigMutations](./x-components.configmutations.md)<!-- -->&lt;[SearchState](./x-components.searchstate.md)<!-- -->&gt;

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [appendResults](./x-components.searchmutations.appendresults.md) |  | (results: Result\[\]) =&gt; void | Append the results to the results state. |
|  [resetState](./x-components.searchmutations.resetstate.md) |  | () =&gt; void | Resets the "resettable" part of the Search state to the initial state. See the [SearchXStoreModule](./x-components.searchxstoremodule.md) for details. |
|  [resetStateForReload](./x-components.searchmutations.resetstateforreload.md) |  | () =&gt; void | Resets the "resettable" part of the Search state like [SearchMutations.resetState](./x-components.searchmutations.resetstate.md) but maintains the values required to perform the search request again. |
|  [setBanners](./x-components.searchmutations.setbanners.md) |  | (banners: Banner\[\]) =&gt; void | Sets the banners of the module. |
|  [setDisplayTagging](./x-components.searchmutations.setdisplaytagging.md) |  | (DisplayTagging: TaggingRequest) =&gt; void | Sets the display tagging of the module. |
|  [setFacets](./x-components.searchmutations.setfacets.md) |  | (facets: Facet\[\]) =&gt; void | Sets the facets of the module. |
|  [setFromNoResultsWithFilters](./x-components.searchmutations.setfromnoresultswithfilters.md) |  | (fromNoResultsWithFilters: boolean) =&gt; void | Sets the <code>fromNoResultsWithFilters</code> flag value. |
|  [setIsAppendResults](./x-components.searchmutations.setisappendresults.md) |  | (isAppendResults: boolean) =&gt; void | Set the <code>isAppendResuls</code> flag value. |
|  [setIsNoResults](./x-components.searchmutations.setisnoresults.md) |  | (isNoResults: boolean) =&gt; void | Sets the <code>isNoResults</code> flag value. |
|  [setOrigin](./x-components.searchmutations.setorigin.md) |  | (origin: [QueryOrigin](./x-components.queryorigin.md) \| undefined \| null) =&gt; void | Sets the origin of the module. |
|  [setPage](./x-components.searchmutations.setpage.md) |  | (page: number) =&gt; void | Sets the page of the module. |
|  [setParams](./x-components.searchmutations.setparams.md) |  | (params: Dictionary&lt;unknown&gt;) =&gt; void | Sets the extra params of the module. |
|  [setPartialResults](./x-components.searchmutations.setpartialresults.md) |  | (partialResults: PartialResult\[\]) =&gt; void | Sets the partial results of the module. |
|  [setPromoteds](./x-components.searchmutations.setpromoteds.md) |  | (promoteds: Promoted\[\]) =&gt; void | Sets the promoteds of the module. |
|  [setQueryTagging](./x-components.searchmutations.setquerytagging.md) |  | (queryTagging: TaggingRequest) =&gt; void | Sets the query tagging of the module, which is used to track the query. |
|  [setRedirections](./x-components.searchmutations.setredirections.md) |  | (redirections: Redirection\[\]) =&gt; void | Sets the redirection of the module. |
|  [setRelatedTags](./x-components.searchmutations.setrelatedtags.md) |  | (relatedTags: RelatedTag\[\]) =&gt; void | Sets the related tags of the module. |
|  [setResults](./x-components.searchmutations.setresults.md) |  | (results: Result\[\]) =&gt; void | Sets the results of the module. |
|  [setSelectedFilters](./x-components.searchmutations.setselectedfilters.md) |  | (selectedFilters: Filter\[\]) =&gt; void | Sets the selected filters of the module. |
|  [setSort](./x-components.searchmutations.setsort.md) |  | (sort: Sort) =&gt; void | Sets the selected sort option of the module. |
|  [setSpellcheck](./x-components.searchmutations.setspellcheck.md) |  | (spellcheckedQuery: string) =&gt; void | Sets the spellcheckedQuery of the module. |
|  [setStats](./x-components.searchmutations.setstats.md) |  | (stats: Stats) =&gt; void | Sets the stats of the module. |
|  [setTotalResults](./x-components.searchmutations.settotalresults.md) |  | (totalResults: number) =&gt; void | Sets the total results of the module. |
|  [updateResult](./x-components.searchmutations.updateresult.md) |  | (result: Partial&lt;Result&gt; &amp; Pick&lt;Result, 'id'&gt;) =&gt; void | Updates a result with new fields. |

