<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@empathyco/x-components](./x-components.md) &gt; [SearchState](./x-components.searchstate.md)

## SearchState interface

Search store state.

**Signature:**

```typescript
export interface SearchState extends StatusState, QueryState 
```
**Extends:** [StatusState](./x-components.statusstate.md)<!-- -->, [QueryState](./x-components.querystate.md)

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [banners](./x-components.searchstate.banners.md) |  | Banner\[\] | The list of the banners, related to the <code>query</code> property of the state. |
|  [config](./x-components.searchstate.config.md) |  | [SearchConfig](./x-components.searchconfig.md) | The configuration of the search module. |
|  [displayTagging](./x-components.searchstate.displaytagging.md) |  | TaggingRequest | The display tagging used to track the search events. |
|  [facets](./x-components.searchstate.facets.md) |  | Facet\[\] | The list of the facets, related to the <code>query</code> property of the state. |
|  [fromNoResultsWithFilters](./x-components.searchstate.fromnoresultswithfilters.md) |  | boolean | Flag indicating if there is a no results situation with filters selected. |
|  [isAppendResults](./x-components.searchstate.isappendresults.md) |  | boolean | A flag to indicate if new results are append to the current instead of replacing them. |
|  [isNoResults](./x-components.searchstate.isnoresults.md) |  | boolean | Flag indicating if there is a no results situation. |
|  [origin](./x-components.searchstate.origin.md) |  | [QueryOrigin](./x-components.queryorigin.md) \| null | The origin property of the request. |
|  [page](./x-components.searchstate.page.md) |  | number | The current page of the request. |
|  [params](./x-components.searchstate.params.md) |  | Dictionary&lt;unknown&gt; | The extra params property of the state. |
|  [partialResults](./x-components.searchstate.partialresults.md) |  | PartialResult\[\] | The list of the partial results, related to the <code>query</code> property of the state. |
|  [promoteds](./x-components.searchstate.promoteds.md) |  | Promoted\[\] | The list of the promoted, related to the <code>query</code> property of the state. |
|  [queryTagging](./x-components.searchstate.querytagging.md) |  | TaggingRequest | The query tagging used to track the search events. |
|  [redirections](./x-components.searchstate.redirections.md) |  | Redirection\[\] | The redirections associated to the <code>query</code>. |
|  [relatedTags](./x-components.searchstate.relatedtags.md) |  | RelatedTag\[\] | The list of the related tags, related to the <code>query</code> property of the state. |
|  [results](./x-components.searchstate.results.md) |  | Result\[\] | The list of the results, related to the <code>query</code> property of the state. |
|  [selectedFilters](./x-components.searchstate.selectedfilters.md) |  | Dictionary&lt;Filter\[\]&gt; | The dictionary of selected filters, used to perform the search request. The key is the facet id, and the value the list of filters for that facet. |
|  [sort](./x-components.searchstate.sort.md) |  | Sort | The way of ordering the results. |
|  [spellcheckedQuery](./x-components.searchstate.spellcheckedquery.md) |  | string | The spellcheckedQuery property of the state. |
|  [stats](./x-components.searchstate.stats.md) |  | Stats | The stats of the results. |
|  [totalResults](./x-components.searchstate.totalresults.md) |  | number | The total number of results, related to the <code>query</code> property of the state. |

