<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@empathyco/x-components](./x-components.md) &gt; [SearchXEvents](./x-components.searchxevents.md)

## SearchXEvents interface

Dictionary of the events of Search XModule, where each key is the event name, and the value is the event payload type or `void` if it has no payload.

**Signature:**

```typescript
export interface SearchXEvents 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [FacetsChanged](./x-components.searchxevents.facetschanged.md) |  | Facet\[\] | The facets have changed. Payload: The [facets](./x-types.facet.md) array. |
|  [PageChanged](./x-components.searchxevents.pagechanged.md) |  | number | Page has been changed. Payload: The new page number. |
|  [ReloadSearchRequested](./x-components.searchxevents.reloadsearchrequested.md) |  | void | Reload the current search has been requested. |
|  [ResultsChanged](./x-components.searchxevents.resultschanged.md) |  | Result\[\] | Results have been changed. Payload: The new [results](./x-types.result.md)<!-- -->. |
|  [SearchRequestChanged](./x-components.searchxevents.searchrequestchanged.md) |  | [InternalSearchRequest](./x-components.internalsearchrequest.md) \| null | Any property of the search request has changed. Payload: The new search request or <code>null</code> if there is not enough data in the state to conform a valid request. |
|  [SearchRequestUpdated](./x-components.searchxevents.searchrequestupdated.md) |  | [InternalSearchRequest](./x-components.internalsearchrequest.md) \| null | Any property of the search request has been updated. Payload: The new search request or <code>null</code> if there is not enough data in the state to conform a valid request. |
|  [SearchResponseChanged](./x-components.searchxevents.searchresponsechanged.md) |  | [InternalSearchResponse](./x-components.internalsearchresponse.md) | A search response has been provided. Payload: The provided internal response object. |
|  [SearchTaggingChanged](./x-components.searchxevents.searchtaggingchanged.md) |  | TaggingRequest | Query tagging has been changed. Payload: The new query tagging object. |
|  [SelectedSortProvided](./x-components.searchxevents.selectedsortprovided.md) |  | Sort | A new selected sort has been provided. Payload: The sort option that has been provided. |
|  [SortChanged](./x-components.searchxevents.sortchanged.md) |  | string | Sort has been changed. Payload: The new sort string. |
|  [SpellcheckChanged](./x-components.searchxevents.spellcheckchanged.md) |  | string | Spellcheck has been changed. Payload: The new spellcheckedQuery string. |
|  [UserClickedABanner](./x-components.searchxevents.userclickedabanner.md) |  | Banner | The user has clicked a banner. Payload: The clicked banner. |
|  [UserClickedAbortARedirection](./x-components.searchxevents.userclickedabortaredirection.md) |  | void | The user has aborted a redirection. |
|  [UserClickedAPromoted](./x-components.searchxevents.userclickedapromoted.md) |  | Promoted | The user has clicked a promoted. Payload: The clicked promoted. |
|  [UserClickedARedirection](./x-components.searchxevents.userclickedaredirection.md) |  | Redirection | The user has clicked a redirection. Payload: The clicked redirection. |
|  [UserClickedASort](./x-components.searchxevents.userclickedasort.md) |  | Sort | The user has clicked one of the sorts. Payload: The sort option that the user has selected. |
|  [UserClickedPartialQuery](./x-components.searchxevents.userclickedpartialquery.md) |  | string | Partial query has been set. Payload: The new query string. |
|  [UserReachedResultsListEnd](./x-components.searchxevents.userreachedresultslistend.md) |  | void | The user reached the limit of the scrollable content in a results list. |
|  [UserSelectedAPage](./x-components.searchxevents.userselectedapage.md) |  | number | The user has selected a page. |

