<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@empathyco/x-components](./x-components.md) &gt; [TaggingXEvents](./x-components.taggingxevents.md)

## TaggingXEvents interface

Dictionary of the events of Tagging XModule, where each key is the event name, and the value is the event payload type or `void` if it has no payload.

**Signature:**

```typescript
export interface TaggingXEvents 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [ConsentChanged](./x-components.taggingxevents.consentchanged.md) |  | boolean | Consent has changed. Payload: The new consent value. |
|  [ConsentProvided](./x-components.taggingxevents.consentprovided.md) |  | boolean | Consent has been provided. Payload: The new consent value. |
|  [PDPIsLoaded](./x-components.taggingxevents.pdpisloaded.md) |  | string | A product description page has been loaded. Payload: the id of the product. |
|  [ResultURLTrackingEnabled](./x-components.taggingxevents.resulturltrackingenabled.md) |  | string | StorageKey has been configured to use the [result](./x-types.result.md) url. Payload: The new storageKey. |
|  [SearchTaggingReceived](./x-components.taggingxevents.searchtaggingreceived.md) |  | TaggingRequest | Query tagging info has changed. Payload: The new query tagging info. |
|  [TaggingConfigProvided](./x-components.taggingxevents.taggingconfigprovided.md) |  | [TaggingConfig](./x-components.taggingconfig.md) | The configuration for the tagging has been provided. Payload: The tagging configuration. |
|  [TrackableElementDisplayed](./x-components.taggingxevents.trackableelementdisplayed.md) |  | Taggable | Display trackable element has appeared in the viewport. Payload: The display tagging info. |
|  [UserClickedPDPAddToCart](./x-components.taggingxevents.userclickedpdpaddtocart.md) |  | string \| undefined | The user has clicked on the add to cart button from PDP. Payload: The id of the [result](./x-types.result.md) that the user clicked. |

