<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@empathyco/x-components](./x-components.md) &gt; [throttle](./x-components.throttle.md)

## throttle() function

Creates a throttled [Wire](./x-components.wire.md)<!-- -->. Being throttled means that it will only be executed once every couple of milliseconds given by the `timeInMs` parameter.

**Signature:**

```typescript
export declare function throttle<Payload>(wire: Wire<Payload>, timeInMs: TimeSelector | number, options?: TimedWireOperatorOptions): Wire<Payload>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  wire | [Wire](./x-components.wire.md)<!-- -->&lt;Payload&gt; | The wire to throttle. |
|  timeInMs | [TimeSelector](./x-components.timeselector.md) \| number | The time in milliseconds to throttle the wire execution or a function to retrieve it from the store. |
|  options | [TimedWireOperatorOptions](./x-components.timedwireoperatoroptions.md) | _(Optional)_ Options to configure this wire with, like an event to force it or cancel it. |

**Returns:**

[Wire](./x-components.wire.md)<!-- -->&lt;Payload&gt;

The Wire function with a throttle timing.

