<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@empathyco/x-components](./x-components.md) &gt; [UseAliasAPI](./x-components.usealiasapi.md)

## UseAliasAPI interface

Alias to facilitate retrieving values from the store.

**Signature:**

```typescript
export interface UseAliasAPI 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [device](./x-components.usealiasapi.device.md) | <code>readonly</code> | string \| null | The [DeviceXModule](./x-components.devicexmodule.md) detected device. |
|  [facets](./x-components.usealiasapi.facets.md) | <code>readonly</code> | Record&lt;Facet\['id'\], Facet&gt; | The [FacetsXModule](./x-components.facetsxmodule.md) facets. |
|  [fromNoResultsWithFilters](./x-components.usealiasapi.fromnoresultswithfilters.md) | <code>readonly</code> | Readonly&lt;boolean&gt; | The [SearchXModule](./x-components.searchxmodule.md) no results with filters flag. |
|  [fullHistoryQueries](./x-components.usealiasapi.fullhistoryqueries.md) | <code>readonly</code> | ReadonlyArray&lt;HistoryQuery&gt; | The [HistoryQueriesXModule](./x-components.historyqueriesxmodule.md) history queries. |
|  [fullQuerySuggestions](./x-components.usealiasapi.fullquerysuggestions.md) | <code>readonly</code> | ReadonlyArray&lt;Suggestion&gt; | The [QuerySuggestionsXModule](./x-components.querysuggestionsxmodule.md) query suggestions. |
|  [historyQueries](./x-components.usealiasapi.historyqueries.md) | <code>readonly</code> | ReadonlyArray&lt;HistoryQuery&gt; | The [HistoryQueriesXModule](./x-components.historyqueriesxmodule.md) history queries matching the query. |
|  [historyQueriesWithResults](./x-components.usealiasapi.historyquerieswithresults.md) | <code>readonly</code> | ReadonlyArray&lt;HistoryQuery&gt; | The [HistoryQueriesXModule](./x-components.historyqueriesxmodule.md) history queries with 1 or more results. |
|  [identifierResults](./x-components.usealiasapi.identifierresults.md) | <code>readonly</code> | ReadonlyArray&lt;Result&gt; | The [IdentifierResultsXModule](./x-components.identifierresultsxmodule.md) results. |
|  [isEmpathizeOpen](./x-components.usealiasapi.isempathizeopen.md) | <code>readonly</code> | boolean | The [Empathize](./x-components.empathize.md) is open state. |
|  [isHistoryQueriesEnabled](./x-components.usealiasapi.ishistoryqueriesenabled.md) | <code>readonly</code> | Readonly&lt;boolean&gt; | The [HistoryQueriesXModule](./x-components.historyqueriesxmodule.md) history queries enabled flag. |
|  [nextQueries](./x-components.usealiasapi.nextqueries.md) | <code>readonly</code> | ReadonlyArray&lt;NextQuery&gt; | The [NextQueriesXModule](./x-components.nextqueriesxmodule.md) next queries. |
|  [noResults](./x-components.usealiasapi.noresults.md) | <code>readonly</code> | boolean | The [SearchXModule](./x-components.searchxmodule.md) no results situation. |
|  [partialResults](./x-components.usealiasapi.partialresults.md) | <code>readonly</code> | ReadonlyArray&lt;PartialResult&gt; | The [SearchXModule](./x-components.searchxmodule.md) partial results. |
|  [popularSearches](./x-components.usealiasapi.popularsearches.md) | <code>readonly</code> | ReadonlyArray&lt;Suggestion&gt; | The [PopularSearchesXModule](./x-components.popularsearchesxmodule.md) popular searches. |
|  [priceStats](./x-components.usealiasapi.pricestats.md) | <code>readonly</code> | { min: number; max: number; } | The [SearchXModule](./x-components.searchxmodule.md) price specific stats. |
|  [query](./x-components.usealiasapi.query.md) | <code>readonly</code> | [UseAliasQueryAPI](./x-components.usealiasqueryapi.md) | The query value of the different modules. |
|  [querySuggestions](./x-components.usealiasapi.querysuggestions.md) | <code>readonly</code> | ReadonlyArray&lt;Suggestion&gt; | The [QuerySuggestionsXModule](./x-components.querysuggestionsxmodule.md) query suggestions that should be displayed. |
|  [recommendations](./x-components.usealiasapi.recommendations.md) | <code>readonly</code> | ReadonlyArray&lt;Result&gt; | The [RecommendationsXModule](./x-components.recommendationsxmodule.md) recommendations. |
|  [redirections](./x-components.usealiasapi.redirections.md) | <code>readonly</code> | ReadonlyArray&lt;Redirection&gt; | The [SearchXModule](./x-components.searchxmodule.md) redirections. |
|  [relatedTags](./x-components.usealiasapi.relatedtags.md) | <code>readonly</code> | ReadonlyArray&lt;RelatedTag&gt; | The [RelatedTagsXModule](./x-components.relatedtagsxmodule.md) related tags (Both selected and deselected). |
|  [results](./x-components.usealiasapi.results.md) | <code>readonly</code> | ReadonlyArray&lt;Result&gt; | The [SearchXModule](./x-components.searchxmodule.md) search results. |
|  [scroll](./x-components.usealiasapi.scroll.md) | <code>readonly</code> | Record&lt;string, [ScrollComponentState](./x-components.scrollcomponentstate.md)<!-- -->&gt; | The [ScrollXModule](./x-components.scrollxmodule.md) data state. |
|  [searchBoxStatus](./x-components.usealiasapi.searchboxstatus.md) | <code>readonly</code> | InputStatus \| undefined | The [SearchBoxXModule](./x-components.searchboxxmodule.md) input status. |
|  [selectedFilters](./x-components.usealiasapi.selectedfilters.md) | <code>readonly</code> | Filter\[\] | The [FacetsXModule](./x-components.facetsxmodule.md) selected filters. |
|  [selectedRelatedTags](./x-components.usealiasapi.selectedrelatedtags.md) | <code>readonly</code> | ReadonlyArray&lt;RelatedTag&gt; | The [RelatedTagsXModule](./x-components.relatedtagsxmodule.md) selected related tags. |
|  [selectedSort](./x-components.usealiasapi.selectedsort.md) | <code>readonly</code> | string | The [SearchXModule](./x-components.searchxmodule.md) selected sort. |
|  [semanticQueries](./x-components.usealiasapi.semanticqueries.md) | <code>readonly</code> | ReadonlyArray&lt;SemanticQuery&gt; | The [SemanticQueriesXModule](./x-components.semanticqueriesxmodule.md) queries. |
|  [spellcheckedQuery](./x-components.usealiasapi.spellcheckedquery.md) | <code>readonly</code> | string \| null | The [SearchXModule](./x-components.searchxmodule.md) spellchecked query. |
|  [status](./x-components.usealiasapi.status.md) | <code>readonly</code> | [UseAliasStatusAPI](./x-components.usealiasstatusapi.md) | The status value of the different modules. |
|  [totalResults](./x-components.usealiasapi.totalresults.md) | <code>readonly</code> | number | The [SearchXModule](./x-components.searchxmodule.md) total results. |

