---

title: SnippetCallbacks

---

# SnippetCallbacks

This component subscribes to any XEvent with a custom callbacks provided by the snippet
configuration.

## Events

The `SnippetCallbacks` will emit these events:

- [`SnippetCallbackExecuted`](https://github.com/empathyco/x/blob/main/packages/x-components/src/wiring/events.types.ts):
  each time a callback provided by the snippetConfig is fired.

## See it in action

This component does not render anything. Its only responsibility is to receive any callback that
will be triggered once its listened event is emitted.

```vue
<template>
  <SnippetCallbacks />
</template>

<script>
import { SnippetCallbacks } from '@empathyco/x-components'
export default {
  name: 'SnippetCallbacksTest',
  components: {
    SnippetCallbacks,
  },
}
</script>
```
