---

title: ExtraParams

---

# ExtraParams

It emits a ExtraParamsXEvents.ExtraParamsProvided with the values
received as a prop.

## Props

| Name                | Description | Type                             | Default       |
| ------------------- | ----------- | -------------------------------- | ------------- |
| <code>values</code> |             | <code>Dictionary<unknown></code> | <code></code> |

## Events

- [`ExtraParamsProvided`](https://github.com/empathyco/x/blob/main/packages/x-components/src/wiring/events.types.ts)

## See it in action

_See how the event is triggered when the component is rendered._

```vue
<template>
  <ExtraParams :values="values" />
</template>

<script>
import { ExtraParams } from '@empathyco/x-components/extra-params'

export default {
  name: 'ExtraParamsDemo',
  components: {
    ExtraParams,
  },
  data() {
    return {
      values: {
        warehouse: 1234,
      },
    }
  },
}
</script>
```
