---

title: RenderlessExtraParam

---

# RenderlessExtraParam

It emits a ExtraParamsXEvents.UserChangedExtraParams when the `updateValue`
is called.

## Props

| Name              | Description | Type                | Default       |
| ----------------- | ----------- | ------------------- | ------------- |
| <code>name</code> |             | <code>string</code> | <code></code> |

## Examples

Renders default slot content. It binds to the default slot the name of the extra parameter and the
default value of it.

### Basic usage

```vue
<template>
  <RenderlessExtraParam #default="{ value, updateValue }" name="store">
    <BaseDropdown @update:modelValue="updateValue" :modelValue="value" :items="items" />
  </RenderlessExtraParam>
</template>

<script>
import { RenderlessExtraParams } from '@empathyco/x-components/extra-params'
import { BaseDropdown } from '@empathyco/x-components'

export default {
  name: 'RenderlessExtraParamsDemo',
  components: {
    RenderlessExtraParams,
    BaseDropdown,
  },
  props: ['name'],
  data() {
    return {
      items: ['spain', 'portugal'],
    }
  },
}
</script>
```
