---

title: RelatedPromptsTagList

---

# RelatedPromptsTagList

This component shows the list of `RelatedPrompts` components.

If the default slot is reimplemented in the consumer, `onSelect` function will be
necessary to handle the selection of the related prompt and to trigger the stagger-fade-slide animation.

## Props

| Name                               | Description                                                                                                                                                                         | Type                  | Default           |
| ---------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------- | ----------------- |
| <code>buttonClass</code>           | The CSS class for the left and right button of the sliding panel.                                                                                                                   | <code>string</code>   | <code></code>     |
| <code>showButtons</code>           | The boolean prop to handle the visiblity of sliding pannel buttons.                                                                                                                 | <code>boolean</code>  | <code>true</code> |
| <code>scrollContainerClass</code>  | The CSS class for the wrapper of all the related prompt wrapper elements.                                                                                                           | <code>string</code>   | <code></code>     |
| <code>tagClass</code>              | The CSS class for all the related prompt wrapper elements.                                                                                                                          | <code>string</code>   | <code></code>     |
| <code>tagColors</code>             | Array of colors to apply to the related prompts. It will be applied to tag<br />elements cyclically according to their index in the nex way: `tagColors[index % tagColors.length]`. | <code>string[]</code> | <code></code>     |
| <code>animationDurationInMs</code> | The duration of the total animation in milliseconds.                                                                                                                                | <code>number</code>   | <code>700</code>  |

## Slots

| Name                                      | Description                                                        | Bindings<br />(name - type - description) |
| ----------------------------------------- | ------------------------------------------------------------------ | ----------------------------------------- |
| <code>sliding-panel-left-button</code>    | The button to be displayed on the left side of the sliding panel.  | None                                      |
| <code>default</code>                      | - The slot to render related prompt information.                   | <br /><br />                              |
| <code>related-prompt-extra-content</code> |                                                                    |                                           |
| <code>sliding-panel-right-button</code>   | The button to be displayed on the right side of the sliding panel. | None                                      |
