import { defineComponent } from 'vue';
import { useCollapseAnimation } from './use-collapse-animation.js';

/**
 * Renders a transition wrapping the element passed in the default slot and animating
 * it with a height animation.
 *
 * @public
 */
var _sfc_main = defineComponent({
    name: 'CollapseHeight',
    props: {
        /**
         * Indicates if the transition must be applied on the initial render of the node.
         */
        appear: {
            type: Boolean,
            default: true,
        },
    },
    setup() {
        return useCollapseAnimation('height');
    },
    // TODO Add support for extending enter, after-enter and leave transitions
});

export { _sfc_main as default };
//# sourceMappingURL=collapse-height.vue2.js.map
