import { defineComponent } from 'vue';
import { useDisableAnimation } from './use-disable-animation.js';

/**
 * Renders a transition group wrapping the elements passed in the default slot and animating
 * them with a fade and slide animation.
 *
 * @public
 */
var _sfc_main = defineComponent({
    name: 'FadeAndSlide',
    props: {
        /**
         * HTML Element that the transition-group children will be wrapped in.
         */
        tag: String,
        /**
         * Indicates if the transition must be applied on the initial render of the node.
         */
        appear: {
            type: Boolean,
            default: true,
        },
    },
    setup() {
        /**
         * The name of the animation.
         */
        const animationName = 'x-fade-and-slide-';
        const { name } = useDisableAnimation(animationName);
        return { name };
    },
});

export { _sfc_main as default };
//# sourceMappingURL=fade-and-slide.vue2.js.map
