import { defineComponent } from 'vue';
import { AnimationProp } from '../../types/animation-prop.js';
import _sfc_main$1 from '../../x-modules/scroll/components/main-scroll.vue.js';
import Scroll from '../../x-modules/scroll/components/scroll.vue.js';
import { animateTranslate } from '../animations/animate-translate/animate-translate.factory.js';
import BaseIdModal from '../modals/base-id-modal.vue.js';
import BaseScroll from '../scroll/base-scroll.vue.js';

/**
 * Component for use as Layout to be filled with the rest of the Components.
 *
 * @deprecated - The layout has been deprecated in favor of using new XDS layout.
 *
 * @public
 */
var _sfc_main = defineComponent({
    name: 'SingleColumnLayout',
    components: { BaseIdModal, BaseScroll, MainScroll: _sfc_main$1, Scroll },
    props: {
        /** The animation used for the Main Aside. */
        asideAnimation: {
            type: AnimationProp,
            default: () => animateTranslate('right'),
        },
        /** Enables the devMode, which shows the available slots to use with its names. */
        devMode: Boolean,
    },
});

export { _sfc_main as default };
//# sourceMappingURL=single-column-layout.vue2.js.map
