import { defineComponent, computed } from 'vue';
import BaseEventButton from '../base-event-button.vue.js';

/**
 * Component contains an event button that emits {@link XEventsTypes.UserClickedOpenEventsModal}
 * when clicked. It has a default slot to customize its contents.
 *
 * @public
 */
var _sfc_main = defineComponent({
    components: {
        BaseEventButton,
    },
    props: {
        /**
         * Event name to use for opening the modal.
         *
         * @public
         */
        openingEvent: {
            type: String,
            default: 'UserClickedOpenEventsModal',
        },
    },
    setup(props) {
        const events = computed(() => ({ [props.openingEvent]: undefined }));
        return {
            events,
        };
    },
});

export { _sfc_main as default };
//# sourceMappingURL=base-events-modal-open.vue2.js.map
