import { useAliasApi } from './use-alias-api.js';
import { useXBus } from './use-x-bus.js';

/**
 * Function which returns the `$x` object from the current component instance.
 *
 * @returns The `$x` object from the current component instance.
 *
 * @public
 */
function use$x() {
    const xAliasAPI = useAliasApi();
    const xBusAPI = useXBus();
    return Object.assign(xAliasAPI, xBusAPI);
}

export { use$x };
//# sourceMappingURL=use-_x.js.map
