import { XPriorityBus } from '@empathyco/x-bus';
import { logDevtoolsXEvent } from './devtools/timeline.devtools.js';

/**
 * Default XBus implementation.
 *
 * @public
 */
const bus = new XPriorityBus({
    priorities: {
        Updated: 2,
        Changed: 4,
        FromUrl: 8,
        User: 16,
        External: 32,
        Initialized: 64,
        Provided: 128,
        DataReceived: 256,
        ModuleRegistered: 512,
    },
    emitCallbacks: [logDevtoolsXEvent],
});

export { bus };
//# sourceMappingURL=x-bus.js.map
