/**
 * Sets the request config. Can be used as a mutation.
 *
 * @param state - The {@link https://vuex.vuejs.org/guide/state.html | state} provided by Vuex.
 * @param config - The new config.
 *
 * @public
 */
function setConfig(state, config) {
    state.config = config;
}
/**
 * Merges a new config with the current one. Can be used as a mutation.
 *
 * @param state - The {@link https://vuex.vuejs.org/guide/state.html | state} provided by Vuex.
 * @param config - The config to be merged.
 *
 * @public
 */
function mergeConfig(state, config) {
    Object.assign(state.config, config);
}

export { mergeConfig, setConfig };
//# sourceMappingURL=config-store.utils.js.map
