import { namespacedWireCommit } from '../../wiring/namespaced-wires.factory.js';
import { createWiring } from '../../wiring/wiring.utils.js';

/**
 * WireCommit for {@link DeviceXModule}.
 *
 * @internal
 */
const wireCommit = namespacedWireCommit('device');
/**
 * Sets the device of the {@link DeviceXModule}.
 *
 * @public
 */
const setName = wireCommit('setName');
/**
 * Wiring configuration for the {@link DeviceXModule | device module}.
 *
 * @internal
 */
const deviceWiring = createWiring({
    DeviceProvided: {
        setName,
    },
});

export { deviceWiring, setName };
//# sourceMappingURL=wiring.js.map
