import { XPlugin } from '../../plugins/x-plugin.js';
import { deviceEmitters } from './store/emitters.js';
import { deviceXStoreModule } from './store/module.js';
import { deviceWiring } from './wiring.js';

/**
 * Device {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `device` entry point.
 *
 * @public
 */
const deviceXModule = {
    name: 'device',
    storeModule: deviceXStoreModule,
    storeEmitters: deviceEmitters,
    wiring: deviceWiring,
};
XPlugin.registerXModule(deviceXModule);

export { deviceXModule };
//# sourceMappingURL=x-module.js.map
