import { namespacedWireCommit } from '../../wiring/namespaced-wires.factory.js';
import { createWiring } from '../../wiring/wiring.utils.js';

/**
 * Sets the empathize state `isOpen` to true.
 *
 * @public
 */
const setIsOpen = namespacedWireCommit('empathize')('setIsOpen', true);
/**
 * Sets the empathize state `isOpen` to false.
 *
 * @public
 */
const setIsNotOpen = namespacedWireCommit('empathize')('setIsOpen', false);
/**
 * Wiring configuration for the {@link EmpathizeXModule | empathize module}.
 *
 * @internal
 */
const empathizeWiring = createWiring({
    EmpathizeOpened: {
        setIsOpen,
    },
    EmpathizeClosed: {
        setIsNotOpen,
    },
});

export { empathizeWiring };
//# sourceMappingURL=wiring.js.map
