import { XPlugin } from '../../plugins/x-plugin.js';
import { empathizeEmitters } from './store/emitters.js';
import { empathizeXStoreModule } from './store/module.js';
import { empathizeWiring } from './wiring.js';

/**
 * Empathize {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `empathize` entry point.
 *
 * @public
 */
const empathizeXModule = {
    name: 'empathize',
    storeModule: empathizeXStoreModule,
    storeEmitters: empathizeEmitters,
    wiring: empathizeWiring,
};
XPlugin.registerXModule(empathizeXModule);

export { empathizeXModule };
//# sourceMappingURL=x-module.js.map
