import { XPlugin } from '../../../../plugins/x-plugin.js';

/**
 * Default implementation for the {@link ExperienceControlsActions.fetchExperienceControlsResponse}.
 *
 * @param _context - The {@link https://vuex.vuejs.org/guide/actions.html | context} of the actions,
 * provided by Vuex.
 * @param request - The experience controls request to make.
 * @returns The experience controls response.
 *
 * @public
 */
const fetchExperienceControlsResponse = async (_context, request) => {
    return request
        ? XPlugin.adapter.experienceControls(request).then(response => response)
        : {};
};

export { fetchExperienceControlsResponse };
//# sourceMappingURL=fetch-experience-controls.action.js.map
