import { setStatus } from '../../../store/utils/status-store.utils.js';
import { fetchAndSaveExperienceControlsResponse, cancelFetchAndSaveControls } from './actions/fetch-and-save-experience-controls.action.js';
import { fetchExperienceControlsResponse } from './actions/fetch-experience-controls.action.js';
import { experienceControlsRequest } from './getters/experience-controls-results-request.getter.js';

/**.
 * {@link XStoreModule} For the experience-controls module.
 *
 * @internal
 */
const experienceControlsXStoreModule = {
    state: () => ({
        controls: {},
        events: {},
        status: 'initial',
        params: {},
    }),
    getters: {
        experienceControlsRequest,
    },
    mutations: {
        setControls(state, controls) {
            state.controls = controls;
        },
        setEvents(state, events) {
            state.events = events;
        },
        setParams(state, params) {
            state.params = params;
        },
        setStatus,
    },
    actions: {
        fetchExperienceControlsResponse,
        fetchAndSaveExperienceControlsResponse,
        cancelFetchAndSaveControls,
    },
};

export { experienceControlsXStoreModule };
//# sourceMappingURL=module.js.map
