import { namespacedWireCommit, namespacedWireDispatch } from '../../wiring/namespaced-wires.factory.js';
import { createWiring } from '../../wiring/wiring.utils.js';

const moduleName = 'experienceControls';
/**
 * WireCommit for {@link ExperienceControlsXModule}.
 *
 * @internal
 */
const wireCommit = namespacedWireCommit(moduleName);
/**
 * WireDispatch for {@link ExperienceControlsXModule}.
 *
 * @internal
 */
const wireDispatch = namespacedWireDispatch(moduleName);
/**
 * WireCommit for {@link ExperienceControlsXModule}.
 *
 * @internal
 */
const setParamsWire = wireCommit('setParams');
/**
 * Requests and stores a new set of controls results.
 *
 * @public
 */
const fetchAndSaveExperienceControlsWire = wireDispatch('fetchAndSaveExperienceControlsResponse');
/**
 * Wiring configuration for the {@link ExperienceControlsXModule | experience-controls module}.
 *
 * @internal
 */
const experienceControlsWiring = createWiring({
    ExtraParamsChanged: {
        setParamsWire,
    },
    ExperienceControlsRequestUpdated: {
        fetchAndSaveExperienceControlsWire,
    },
});

export { experienceControlsWiring, fetchAndSaveExperienceControlsWire, setParamsWire };
//# sourceMappingURL=wiring.js.map
