import '@vue/devtools-api';
import '../../plugins/devtools/timeline.devtools.js';
import '@empathyco/x-utils';
import 'rxjs/operators';
import 'rxjs';
import '../../plugins/devtools/colors.utils.js';
import '../../plugins/x-bus.js';
import { XPlugin } from '../../plugins/x-plugin.js';
import { experienceControlsEmitters } from './store/emitters.js';
import { experienceControlsXStoreModule } from './store/module.js';
import { experienceControlsWiring } from './wiring.js';

/**
 * Search {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `x-controls` entry point.
 *
 * @public
 */
const experienceControlsXModule = {
    name: 'experienceControls',
    storeModule: experienceControlsXStoreModule,
    storeEmitters: experienceControlsEmitters,
    wiring: experienceControlsWiring,
};
XPlugin.registerXModule(experienceControlsXModule);

export { experienceControlsXModule };
//# sourceMappingURL=x-module.js.map
