import { defineComponent, watch } from 'vue';
import { use$x } from '../../../composables/use-_x.js';
import { useState } from '../../../composables/use-state.js';
import { extraParamsXModule } from '../x-module.js';

/**
 * It emits a {@link ExtraParamsXEvents.ExtraParamsProvided} with the values
 * received as a prop.
 *
 * @public
 */
var _sfc_main = defineComponent({
    name: 'ExtraParams',
    xModule: extraParamsXModule.name,
    props: {
        values: {
            type: Object,
            required: true,
        },
    },
    setup(props) {
        const params = useState('extraParams').params;
        const $x = use$x();
        $x.emit('ExtraParamsInitialized', { ...props.values });
        $x.emit('ExtraParamsProvided', { ...params.value, ...props.values });
        watch(() => props.values, values => {
            $x.emit('ExtraParamsProvided', { ...values });
        }, { deep: true });
        return () => { };
    },
});

export { _sfc_main as default };
//# sourceMappingURL=extra-params.vue.js.map
