import { namespacedWireCommit } from '../../wiring/namespaced-wires.factory.js';
import 'rxjs/operators';
import 'rxjs';
import { createWiring } from '../../wiring/wiring.utils.js';

/**
 * WireCommit for {@link ExtraParamsXModule}.
 *
 * @internal
 */
const wireCommit = namespacedWireCommit('extraParams');
/**
 * Sets the extra params of the {@link ExtraParamsXModule}.
 *
 * @public
 */
const setExtraParams = wireCommit('setParams');
/**
 * Wiring configuration for the {@link ExtraParamsXModule | extraParams module}.
 *
 * @internal
 */
const extraParamsWiring = createWiring({
    UserChangedExtraParams: {
        setExtraParams,
    },
    ExtraParamsProvided: {
        setExtraParams,
    },
    ExtraParamsLoadedFromUrl: {
        setExtraParams,
    },
});

export { extraParamsWiring, setExtraParams };
//# sourceMappingURL=wiring.js.map
