import '@vue/devtools-api';
import '../../plugins/devtools/timeline.devtools.js';
import '@empathyco/x-utils';
import 'rxjs/operators';
import 'rxjs';
import '../../plugins/devtools/colors.utils.js';
import '../../plugins/x-bus.js';
import { XPlugin } from '../../plugins/x-plugin.js';
import { extraParamsEmitters } from './store/emitters.js';
import { extraParamsXStoreModule } from './store/module.js';
import { extraParamsWiring } from './wiring.js';

/**
 * ExtraParams {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `extraParams` entry point.
 *
 * @public
 */
const extraParamsXModule = {
    name: 'extraParams',
    storeModule: extraParamsXStoreModule,
    storeEmitters: extraParamsEmitters,
    wiring: extraParamsWiring,
};
XPlugin.registerXModule(extraParamsXModule);

export { extraParamsXModule };
//# sourceMappingURL=x-module.js.map
