import _sfc_main from './hierarchical-filter.vue2.js';
import { resolveComponent, openBlock, createElementBlock, createVNode, withCtx, renderSlot, normalizeProps, guardReactiveProps, createElementVNode, normalizeClass, createTextVNode, toDisplayString } from 'vue';
import _export_sfc from '../../../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = {
  class: "x-hierarchical-filter-container",
  "data-test": "hierarchical-filter-container"
};
const _hoisted_2 = ["aria-checked", "disabled", "onClick"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_RenderlessFilter = resolveComponent("RenderlessFilter");
  const _component_HierarchicalFilter = resolveComponent("HierarchicalFilter", true);
  const _component_FiltersList = resolveComponent("FiltersList");
  return openBlock(), createElementBlock("div", _hoisted_1, [
    createVNode(_component_RenderlessFilter, {
      filter: _ctx.filter,
      "click-events": _ctx.innerClickEvents,
      "css-classes": _ctx.innerCssClasses
    }, {
      default: withCtx(({ filter: filterBinding, clickFilter, cssClasses: cssClassesBinding, isDisabled }) => [
        renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({ filter: filterBinding, clickFilter, cssClasses: cssClassesBinding, isDisabled })), () => [
          createElementVNode("button", {
            "aria-checked": filterBinding.selected.toString(),
            class: normalizeClass([cssClassesBinding, _ctx.filterItemClass]),
            disabled: isDisabled,
            "data-test": "filter",
            role: "checkbox",
            onClick: clickFilter
          }, [
            renderSlot(_ctx.$slots, "label", { filter: filterBinding }, () => [
              createTextVNode(
                toDisplayString(filterBinding.label),
                1
                /* TEXT */
              )
            ])
          ], 10, _hoisted_2)
        ])
      ]),
      _: 3
      /* FORWARDED */
    }, 8, ["filter", "click-events", "css-classes"]),
    createVNode(_component_FiltersList, {
      animation: _ctx.childrenAnimation,
      filters: _ctx.renderedChildrenFilters,
      "parent-id": _ctx.filter.id,
      class: normalizeClass(["x-hierarchical-filter__children", _ctx.childrenFiltersClass]),
      "data-test": "children-filters"
    }, {
      default: withCtx(({ filter: childFilter }) => [
        createVNode(_component_HierarchicalFilter, {
          "children-animation": _ctx.childrenAnimation,
          filter: childFilter,
          "click-events": _ctx.getChildFilterClickEvents(childFilter),
          "children-filters-class": _ctx.childrenFiltersClass,
          "filter-item-class": _ctx.filterItemClass
        }, {
          default: withCtx(({
            filter: filterBinding,
            clickFilter,
            cssClasses: cssClassesBinding,
            isDisabled
          }) => [
            renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({
              filter: filterBinding,
              clickFilter,
              cssClasses: cssClassesBinding,
              isDisabled
            })))
          ]),
          label: withCtx(({ filter: filterBinding }) => [
            renderSlot(_ctx.$slots, "label", { filter: filterBinding })
          ]),
          _: 2
          /* DYNAMIC */
        }, 1032, ["children-animation", "filter", "click-events", "children-filters-class", "filter-item-class"])
      ]),
      _: 3
      /* FORWARDED */
    }, 8, ["animation", "filters", "parent-id", "class"])
  ]);
}
var hierarchicalFilter = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { hierarchicalFilter as default };
//# sourceMappingURL=hierarchical-filter.vue.js.map
