/**
 * The base class for any Modifier. It delegates to the `entity` methods by default.
 *
 * @internal
 */
class BaseFilterEntityModifier {
    constructor(store, entity) {
        this.store = store;
        this.entity = entity;
    }
    /**
     * Selects the filter passed by parameter.
     *
     * @param filter - The filter to select.
     */
    select(filter) {
        this.entity.select(filter);
    }
    /**
     * Deselects the filter passed by parameter.
     *
     * @param filter - The filter to deselect.
     * @param metadata - The event metadata.
     */
    deselect(filter, metadata) {
        this.entity.deselect(filter, metadata);
    }
}

export { BaseFilterEntityModifier };
//# sourceMappingURL=types.js.map
