/**
 * This function flattens the Hierarchical Filters, returning an array with all filters including
 * the children.
 *
 * @param hierarchicalFilters - The list of Hierarchical Filters to flatten.
 * @returns An array with all the Hierarchical filters.
 *
 * @public
 */
function flatHierarchicalFilters(hierarchicalFilters) {
    return hierarchicalFilters.reduce(function flat(flattenedFilters, filter) {
        flattenedFilters.push(filter);
        return filter?.children?.reduce(flat, flattenedFilters) ?? flattenedFilters;
    }, []);
}

export { flatHierarchicalFilters };
//# sourceMappingURL=utils.js.map
