import { XPlugin } from '../../plugins/x-plugin.js';
import { facetsEmitters } from './store/emitters.js';
import { facetsXStoreModule } from './store/module.js';
import { facetsWiring } from './wiring.js';

/**
 * Facets {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `facets` entry point.
 *
 * @public
 */
const facetsXModule = {
    name: 'facets',
    storeModule: facetsXStoreModule,
    storeEmitters: facetsEmitters,
    wiring: facetsWiring,
};
XPlugin.registerXModule(facetsXModule);

export { facetsXModule };
//# sourceMappingURL=x-module.js.map
