import { defineComponent } from 'vue';
import BaseSuggestions from '../../../components/suggestions/base-suggestions.vue.js';
import { useGetter } from '../../../composables/use-getter.js';
import { historyQueriesXModule } from '../x-module.js';
import HistoryQuery from './history-query.vue.js';

/**
 * This component renders a list of suggestions coming from the user queries history.
 * Allows the user to select one of them, emitting the needed events. A history query is just
 * another type of suggestion that contains a query that the user has made in the past.
 *
 * @public
 */
var _sfc_main = defineComponent({
    name: 'HistoryQueries',
    xModule: historyQueriesXModule.name,
    components: {
        BaseSuggestions,
        HistoryQuery,
    },
    setup() {
        /**
         * The filtered list of history queries.
         *
         * @internal
         */
        const { historyQueriesWithResults } = useGetter('historyQueries');
        return {
            historyQueriesWithResults,
        };
    },
});

export { _sfc_main as default };
//# sourceMappingURL=history-queries.vue2.js.map
