/**
 * Default implementation for the {@link HistoryQueriesGetters.sessionHistoryQueries} getter.
 *
 * @param state - Current {@link https://vuex.vuejs.org/guide/state.html | state} of the history
 * queries module.
 * @returns The history queries that have been made in the current session.
 * @public
 */
const sessionHistoryQueries = ({ sessionTimeStampInMs, historyQueries }) => {
    return historyQueries.filter(historyQuery => historyQuery.timestamp > sessionTimeStampInMs);
};

export { sessionHistoryQueries };
//# sourceMappingURL=session-history-queries.getter.js.map
