import { XPlugin } from '../../plugins/x-plugin.js';
import { historyQueriesEmitters } from './store/emitters.js';
import { historyQueriesXStoreModule } from './store/module.js';
import { historyQueriesWiring } from './wiring.js';

/**
 * HistoryQueries {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `history-queries` entry point.
 *
 * @public
 */
const historyQueriesXModule = {
    name: 'historyQueries',
    storeModule: historyQueriesXStoreModule,
    storeEmitters: historyQueriesEmitters,
    wiring: historyQueriesWiring,
};
XPlugin.registerXModule(historyQueriesXModule);

export { historyQueriesXModule };
//# sourceMappingURL=x-module.js.map
