import { createFetchAndSaveActions } from '../../../../store/utils/fetch-and-save-action.utils.js';

const { fetchAndSave, cancelPrevious } = createFetchAndSaveActions({
    async fetch({ dispatch, state: { origin } }, request) {
        if (request && origin) {
            request.origin = origin;
        }
        return dispatch('fetchIdentifierResults', request);
    },
    onSuccess({ commit }, identifierResults) {
        commit('setIdentifierResults', identifierResults);
    },
});
/**
 * Default implementation for {@link IdentifierResultsActions.fetchAndSaveIdentifierResults} action.
 *
 * @public
 */
const fetchAndSaveIdentifierResults = fetchAndSave;
/**
 * Default implementation for {@link IdentifierResultsActions.cancelFetchAndSaveIdentifierResults}
 * action.
 *
 * @public
 */
const cancelFetchAndSaveIdentifierResults = cancelPrevious;

export { cancelFetchAndSaveIdentifierResults, fetchAndSaveIdentifierResults };
//# sourceMappingURL=fetch-and-save-identifier-results.action.js.map
