import '@empathyco/x-utils';
import { createStoreEmitters } from '../../../store/utils/store-emitters.utils.js';
import { createEmitterArrayFilter } from '../../../utils/array.js';
import { identifierResultsXStoreModule } from './module.js';

/**
 * {@link StoreEmitters} For the identifier-results module.
 *
 * @internal
 */
const identifierResultsEmitters = createStoreEmitters(identifierResultsXStoreModule, {
    IdentifierResultsChanged: {
        selector: state => state.identifierResults,
        filter: createEmitterArrayFilter('id'),
    },
    IdentifierResultsRequestUpdated: (_, getters) => getters.identifierResultsRequest,
});

export { identifierResultsEmitters };
//# sourceMappingURL=emitters.js.map
