import { XPlugin } from '../../plugins/x-plugin.js';
import { identifierResultsEmitters } from './store/emitters.js';
import { identifierResultsXStoreModule } from './store/module.js';
import { identifierResultsWiring } from './wiring.js';

/**
 * IdentifierResults {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `identifier-results` entry point.
 *
 * @public
 */
const identifierResultsXModule = {
    name: 'identifierResults',
    storeModule: identifierResultsXStoreModule,
    storeEmitters: identifierResultsEmitters,
    wiring: identifierResultsWiring,
};
XPlugin.registerXModule(identifierResultsXModule);

export { identifierResultsXModule };
//# sourceMappingURL=x-module.js.map
