import '@empathyco/x-utils';
import { createStoreEmitters } from '../../../store/utils/store-emitters.utils.js';
import { createEmitterArrayFilter } from '../../../utils/array.js';
import { nextQueriesXStoreModule } from './module.js';

/**
 * {@link StoreEmitters} For the next-queries module.
 *
 * @internal
 */
const nextQueriesEmitters = createStoreEmitters(nextQueriesXStoreModule, {
    NextQueriesChanged: {
        selector: (_, getters) => getters.nextQueries,
        filter: createEmitterArrayFilter('query'),
    },
    NextQueriesRequestUpdated: (_, getters) => getters.request,
});

export { nextQueriesEmitters };
//# sourceMappingURL=emitters.js.map
