import { XPlugin } from '../../plugins/x-plugin.js';
import { nextQueriesEmitters } from './store/emitters.js';
import { nextQueriesXStoreModule } from './store/module.js';
import { nextQueriesWiring } from './wiring.js';

/**
 * Next queries {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `next-queries` entry point.
 *
 * @public
 */
const nextQueriesXModule = {
    name: 'nextQueries',
    storeModule: nextQueriesXStoreModule,
    storeEmitters: nextQueriesEmitters,
    wiring: nextQueriesWiring,
};
XPlugin.registerXModule(nextQueriesXModule);

export { nextQueriesXModule };
//# sourceMappingURL=x-module.js.map
