import { defineComponent } from 'vue';
import BaseSuggestions from '../../../components/suggestions/base-suggestions.vue.js';
import { useGetter } from '../../../composables/use-getter.js';
import { popularSearchesXModule } from '../x-module.js';
import PopularSearch from './popular-search.vue.js';

/**
 * Simple popular-searches component that renders a list of suggestions, allowing the user to
 * select one of them, and emitting the needed events.
 * A popular search is just a query that has been searched a lot in a certain period and may
 * optionally have associated a set of filters.
 *
 * @public
 */
var _sfc_main = defineComponent({
    name: 'PopularSearches',
    xModule: popularSearchesXModule.name,
    components: {
        PopularSearch,
        BaseSuggestions,
    },
    setup() {
        /**
         * The list of popular searches.
         *
         * @internal
         */
        const { popularSearches } = useGetter('popularSearches');
        return { popularSearches };
    },
});

export { _sfc_main as default };
//# sourceMappingURL=popular-searches.vue2.js.map
