import { XPlugin } from '../../plugins/x-plugin.js';
import { popularSearchesEmitters } from './store/emitters.js';
import { popularSearchesXStoreModule } from './store/module.js';
import { popularSearchesWiring } from './wiring.js';

/**
 * Popular searches {@link XModule} implementation. This module is auto-registered as soon as
 * you import any component from the `popular-searches` entry point.
 *
 * @public
 */
const popularSearchesXModule = {
    name: 'popularSearches',
    storeModule: popularSearchesXStoreModule,
    storeEmitters: popularSearchesEmitters,
    wiring: popularSearchesWiring,
};
XPlugin.registerXModule(popularSearchesXModule);

export { popularSearchesXModule };
//# sourceMappingURL=x-module.js.map
