import { XPlugin } from '../../plugins/x-plugin.js';
import { queriesPreviewEmitters } from './store/emitters.js';
import { queriesPreviewXStoreModule } from './store/module.js';
import { queriesPreviewWiring } from './wiring.js';

/**
 * QueriesPreview {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `queries-preview` entry point.
 *
 * @public
 */
const queriesPreviewXModule = {
    name: 'queriesPreview',
    storeModule: queriesPreviewXStoreModule,
    storeEmitters: queriesPreviewEmitters,
    wiring: queriesPreviewWiring,
};
XPlugin.registerXModule(queriesPreviewXModule);

export { queriesPreviewXModule };
//# sourceMappingURL=x-module.js.map
