import { defineComponent } from 'vue';
import BaseSuggestions from '../../../components/suggestions/base-suggestions.vue.js';
import '../../../composables/create-use-device.js';
import '@vue/devtools-api';
import '../../../plugins/devtools/timeline.devtools.js';
import '@empathyco/x-utils';
import 'rxjs/operators';
import 'rxjs';
import '../../../plugins/devtools/colors.utils.js';
import '../../../plugins/x-bus.js';
import '../../../plugins/x-plugin.js';
import 'vuex';
import { useGetter } from '../../../composables/use-getter.js';
import '@vueuse/core';
import { querySuggestionsXModule } from '../x-module.js';
import QuerySuggestion from './query-suggestion.vue.js';

/**
 * This component renders a list of possible search queries to select from as a query is entered
 * in the input field. By default, this is a list of
 * [`QuerySuggestion`](./x-components.query-suggestion.md) components.
 *
 * @public
 */
var _sfc_main = defineComponent({
    name: 'QuerySuggestions',
    xModule: querySuggestionsXModule.name,
    components: { BaseSuggestions, QuerySuggestion },
    setup() {
        /** The module's list of suggestions. */
        const { querySuggestions } = useGetter('querySuggestions');
        return { suggestions: querySuggestions };
    },
});

export { _sfc_main as default };
//# sourceMappingURL=query-suggestions.vue2.js.map
