import '@vue/devtools-api';
import '../../../../plugins/devtools/timeline.devtools.js';
import '@empathyco/x-utils';
import 'rxjs/operators';
import 'rxjs';
import '../../../../plugins/devtools/colors.utils.js';
import '../../../../plugins/x-bus.js';
import { XPlugin } from '../../../../plugins/x-plugin.js';

/**
 * Default implementation for the {@link QuerySuggestionsActions.fetchSuggestions}.
 *
 * @param _context - The {@link https://vuex.vuejs.org/guide/actions.html | context} of the actions,
 * provided by Vuex.
 * @param request - The query suggestions request to make.
 *
 * @returns A `void` promise that resolves when it fetches suggestions.
 *
 * @public
 */
const fetchSuggestions = async (_context, request) => {
    return request
        ? XPlugin.adapter.querySuggestions(request).then(({ suggestions }) => suggestions)
        : [];
};

export { fetchSuggestions };
//# sourceMappingURL=fetch-suggestions.action.js.map
