import { XPlugin } from '../../plugins/x-plugin.js';
import { querySuggestionsEmitters } from './store/emitters.js';
import { querySuggestionsXStoreModule } from './store/module.js';
import { querySuggestionsWiring } from './wiring.js';

/**
 * QuerySuggestions {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `query-suggestions` entry point.
 *
 * @public
 */
const querySuggestionsXModule = {
    name: 'querySuggestions',
    storeModule: querySuggestionsXStoreModule,
    storeEmitters: querySuggestionsEmitters,
    wiring: querySuggestionsWiring,
};
XPlugin.registerXModule(querySuggestionsXModule);

export { querySuggestionsXModule };
//# sourceMappingURL=x-module.js.map
