import '@vue/devtools-api';
import '../../../../plugins/devtools/timeline.devtools.js';
import '@empathyco/x-utils';
import 'rxjs/operators';
import 'rxjs';
import '../../../../plugins/devtools/colors.utils.js';
import '../../../../plugins/x-bus.js';
import { XPlugin } from '../../../../plugins/x-plugin.js';

/**
 * Default implementation for the {@link RecommendationsActions.fetchRecommendations}.
 *
 * @param _context - The {@link https://vuex.vuejs.org/guide/actions.html | context} of the actions,
 * provided by Vuex.
 * @param request - The recommendations request to make.
 * @returns A `void` promise that resolves when it fetches recommendations.
 *
 * @public
 */
const fetchRecommendations = async (_context, request) => {
    return request ? XPlugin.adapter.recommendations(request).then(({ results }) => results) : [];
};

export { fetchRecommendations };
//# sourceMappingURL=fetch-recommendations.action.js.map
