import { XPlugin } from '../../plugins/x-plugin.js';
import { recommendationsEmitters } from './store/emitters.js';
import { recommendationsXStoreModule } from './store/module.js';
import { recommendationsWiring } from './wiring.js';

/**
 * Recommendations {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `recommendations` entry point.
 *
 * @public
 */
const recommendationsXModule = {
    name: 'recommendations',
    storeModule: recommendationsXStoreModule,
    storeEmitters: recommendationsEmitters,
    wiring: recommendationsWiring,
};
XPlugin.registerXModule(recommendationsXModule);

export { recommendationsXModule };
//# sourceMappingURL=x-module.js.map
