import { defineComponent } from 'vue';
import CrossTinyIcon from '../../../components/icons/cross-tiny.vue.js';
import PlusIcon from '../../../components/icons/plus.vue.js';
import { typing } from '../../../directives/typing.js';

/**
 * This component shows a suggested related prompt.
 */
var _sfc_main = defineComponent({
    name: 'RelatedPrompt',
    directives: {
        typing,
    },
    components: {
        CrossTinyIcon,
        PlusIcon,
    },
    props: {
        relatedPrompt: {
            type: Object,
            required: true,
        },
        selected: {
            type: Boolean,
            default: false,
        },
    },
});

export { _sfc_main as default };
//# sourceMappingURL=related-prompt.vue2.js.map
