import { XPlugin } from '../../plugins/x-plugin.js';
import { relatedPromptsStoreEmitters } from './store/emitters.js';
import { relatedPromptsXStoreModule } from './store/module.js';
import { relatedPromptsWiring } from './wiring.js';

/**
 * Related Prompts {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `related-prompts` entry point.
 *
 * @public
 */
const relatedPromptsXModule = {
    name: 'relatedPrompts',
    storeModule: relatedPromptsXStoreModule,
    storeEmitters: relatedPromptsStoreEmitters,
    wiring: relatedPromptsWiring,
};
XPlugin.registerXModule(relatedPromptsXModule);

export { relatedPromptsXModule };
//# sourceMappingURL=x-module.js.map
