import { createFetchAndSaveActions } from '../../../../store/utils/fetch-and-save-action.utils.js';

const { fetchAndSave, cancelPrevious } = createFetchAndSaveActions({
    async fetch({ dispatch }, request) {
        return dispatch('fetchRelatedTags', request);
    },
    onSuccess({ commit }, relatedTags) {
        commit('setRelatedTags', relatedTags);
    },
});
/**
 * Default implementation for {@link RelatedTagsActions.fetchAndSaveRelatedTags} action.
 *
 * @public
 */
const fetchAndSaveRelatedTags = fetchAndSave;
/**
 * Default implementation for {@link RelatedTagsActions.fetchAndSaveRelatedTags} action.
 *
 * @public
 */
const cancelFetchAndSaveRelatedTags = cancelPrevious;

export { cancelFetchAndSaveRelatedTags, fetchAndSaveRelatedTags };
//# sourceMappingURL=fetch-and-save-related-tags.action.js.map
