/**
 * Default implementation for the {@link RelatedTagsActions.toggleRelatedTag}.
 *
 * @param context - The {@link https://vuex.vuejs.org/guide/actions.html | context} of the actions,
 * provided by Vuex.
 * @param relatedTag - The selected related tag.
 * @public
 */
const toggleRelatedTag = ({ commit, state: { selectedRelatedTags } }, relatedTag) => {
    const isRelatedTagSelected = selectedRelatedTags.includes(relatedTag);
    if (isRelatedTagSelected) {
        commit('setSelectedRelatedTags', selectedRelatedTags.filter(rt => rt !== relatedTag));
        commit('setRelatedTags', [relatedTag]);
    }
    else {
        commit('setSelectedRelatedTags', [...selectedRelatedTags, relatedTag]);
        commit('setRelatedTags', []);
    }
};

export { toggleRelatedTag };
//# sourceMappingURL=toggle-related-tag.action.js.map
