import '@empathyco/x-utils';
import { createStoreEmitters } from '../../../store/utils/store-emitters.utils.js';
import { createEmitterArrayFilter } from '../../../utils/array.js';
import { relatedTagsXStoreModule } from './module.js';

/**
 * {@link StoreEmitters} For the related-tags module.
 *
 * @internal
 */
const relatedTagsEmitters = createStoreEmitters(relatedTagsXStoreModule, {
    RelatedTagsChanged: state => state.relatedTags,
    RelatedTagsRequestUpdated: (_, getters) => getters.request,
    SelectedRelatedTagsChanged: {
        selector: state => state.selectedRelatedTags,
        filter: createEmitterArrayFilter('tag'),
    },
});

export { relatedTagsEmitters };
//# sourceMappingURL=emitters.js.map
