import { XPlugin } from '../../plugins/x-plugin.js';
import { relatedTagsEmitters } from './store/emitters.js';
import { relatedTagsXStoreModule } from './store/module.js';
import { relatedTagsWiring } from './wiring.js';

/**
 * RelatedTags {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `related-tags` entry point.
 *
 * @public
 */
const relatedTagsXModule = {
    name: 'relatedTags',
    storeModule: relatedTagsXStoreModule,
    storeEmitters: relatedTagsEmitters,
    wiring: relatedTagsWiring,
};
XPlugin.registerXModule(relatedTagsXModule);

export { relatedTagsXModule };
//# sourceMappingURL=x-module.js.map
