import { XPlugin } from '../../plugins/x-plugin.js';
import { scrollEmitters } from './store/emitters.js';
import { scrollXStoreModule } from './store/module.js';
import { scrollWiring } from './wiring.js';

/**
 * Scroll {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `empathize` entry point.
 *
 * @public
 */
const scrollXModule = {
    name: 'scroll',
    storeModule: scrollXStoreModule,
    storeEmitters: scrollEmitters,
    wiring: scrollWiring,
};
XPlugin.registerXModule(scrollXModule);

export { scrollXModule };
//# sourceMappingURL=x-module.js.map
