import '@empathyco/x-utils';
import { createStoreEmitters } from '../../../store/utils/store-emitters.utils.js';
import { isStringEmpty } from '../../../utils/string.js';
import { searchBoxXStoreModule } from './module.js';

/**
 * {@link StoreEmitters} For the search-box module.
 *
 * @internal
 */
const searchBoxEmitters = createStoreEmitters(searchBoxXStoreModule, {
    SearchBoxQueryChanged: (_, getters) => getters.trimmedQuery,
    UserClearedQuery: { selector: state => state.query, filter: isStringEmpty },
});

export { searchBoxEmitters };
//# sourceMappingURL=emitters.js.map
