import { setQuery } from '../../../store/utils/query.utils.js';
import { setInputStatus } from './actions/set-input-status.action.js';
import { setUrlParams } from './actions/set-url-params.action.js';

/**
 * {@link XStoreModule} For the search-box module.
 *
 * @internal
 */
const searchBoxXStoreModule = {
    state: () => ({
        query: '',
        inputStatus: 'initial',
    }),
    getters: {
        trimmedQuery(state) {
            return state.query.trim();
        },
    },
    mutations: {
        setQuery,
        setInputStatus(state, status) {
            state.inputStatus = status;
        },
    },
    actions: {
        setUrlParams,
        setInputStatus,
    },
};

export { searchBoxXStoreModule };
//# sourceMappingURL=module.js.map
