import { XPlugin } from '../../plugins/x-plugin.js';
import { searchBoxEmitters } from './store/emitters.js';
import { searchBoxXStoreModule } from './store/module.js';
import { searchBoxWiring } from './wiring.js';

/**
 * SearchBox {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `search-box` entry point.
 *
 * @public
 */
const searchBoxXModule = {
    name: 'searchBox',
    storeModule: searchBoxXStoreModule,
    storeEmitters: searchBoxEmitters,
    wiring: searchBoxWiring,
};
XPlugin.registerXModule(searchBoxXModule);

export { searchBoxXModule };
//# sourceMappingURL=x-module.js.map
