import { XPlugin } from '../../../../plugins/x-plugin.js';

/**
 * Default implementation for the {@link SearchActions.fetchSearchResponse}.
 *
 * @param _context - The {@link https://vuex.vuejs.org/guide/actions.html | context} of the actions,
 * provided by Vuex.
 * @param request - The search request to make.
 * @returns A Promise of search response that resolves when it fetches search response.
 *
 * @public
 */
const fetchSearchResponse = async (_context, request) => XPlugin.adapter.search(request);

export { fetchSearchResponse };
//# sourceMappingURL=fetch-search-response.action.js.map
