import { createOrigin } from '../../../../utils/origin.js';

/**
 * Default implementation for the {@link SearchActions.saveOrigin}.
 *
 * @param context - The {@link https://vuex.vuejs.org/guide/actions.html | context} of the actions,
 * provided by Vuex.
 * @param queryOriginInit - The object to create the {@link QueryOrigin} with.
 * @public
 */
const saveOrigin = ({ commit }, queryOriginInit) => {
    commit('setOrigin', createOrigin(queryOriginInit));
};

export { saveOrigin };
//# sourceMappingURL=save-origin.action.js.map
