import { createRelatedTagsQueryGetter } from '../../../../store/utils/query.utils.js';

/**
 * Default implementation for the search query getter.
 *
 * @param state - Current {@link https://vuex.vuejs.org/guide/state.html | state} of the related
 * tags' module.
 *
 * @returns The query with the selected related tags concatenated.
 *
 * @public
 */
const query = createRelatedTagsQueryGetter({
    getRelatedTags: state => state.relatedTags,
});

export { query };
//# sourceMappingURL=query.getter.js.map
