import { XPlugin } from '../../plugins/x-plugin.js';
import { searchEmitters } from './store/emitters.js';
import { searchXStoreModule } from './store/module.js';
import { searchWiring } from './wiring.js';

/**
 * Search {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `search` entry point.
 *
 * @public
 */
const searchXModule = {
    name: 'search',
    storeModule: searchXStoreModule,
    storeEmitters: searchEmitters,
    wiring: searchWiring,
};
XPlugin.registerXModule(searchXModule);

export { searchXModule };
//# sourceMappingURL=x-module.js.map
