import { XPlugin } from '../../plugins/x-plugin.js';
import { semanticQueriesEmitters } from './store/emitters.js';
import { semanticQueriesXStoreModule } from './store/module.js';
import { semanticQueriesWiring } from './wiring.js';

/**
 * SemanticQueries {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `semantic-queries`entry point.
 *
 * @public
 */
const semanticQueriesXModule = {
    name: 'semanticQueries',
    storeModule: semanticQueriesXStoreModule,
    storeEmitters: semanticQueriesEmitters,
    wiring: semanticQueriesWiring,
};
XPlugin.registerXModule(semanticQueriesXModule);

export { semanticQueriesXModule };
//# sourceMappingURL=x-module.js.map
