import { createStoreEmitters } from '../../../store/utils/store-emitters.utils.js';
import { taggingXStoreModule } from './module.js';

/**
 * {@link StoreEmitters} For the tagging module.
 *
 * @internal
 */
const taggingEmitters = createStoreEmitters(taggingXStoreModule, {
    ConsentChanged: state => state.consent,
    SearchTaggingReceived: state => state.queryTaggingInfo,
    ResultURLTrackingEnabled: {
        selector: state => state.config.storageKey,
        filter: newValue => newValue === 'url',
    },
});

export { taggingEmitters };
//# sourceMappingURL=emitters.js.map
