import { setConfig, mergeConfig } from '../../../store/utils/config-store.utils.js';
import { track } from './actions/track.action.js';

/**
 * {@link XStoreModule} For the tagging module.
 *
 * @internal
 */
const taggingXStoreModule = {
    state: () => ({
        config: {
            sessionTTLMs: 30 * 60 * 1000,
            queryTaggingDebounceMs: 2000,
            storageKey: null,
            storageTTLMs: null,
        },
        consent: null,
        noResultsTaggingEnabled: false,
        queryTaggingInfo: null,
        toolingTaggingInfo: {
            toolingDisplayClick: null,
            toolingDisplayAdd2Cart: null,
        },
    }),
    getters: {},
    mutations: {
        setConsent(state, consent) {
            state.consent = consent;
        },
        setQueryTaggingInfo(state, queryTaggingInfo) {
            state.queryTaggingInfo = queryTaggingInfo;
        },
        setNoResultsTaggingEnabled(state, module) {
            if (module === 'semanticQueries' || module === 'relatedPrompts') {
                state.noResultsTaggingEnabled = true;
            }
        },
        setConfig,
        mergeConfig,
    },
    actions: {
        track,
    },
};

export { taggingXStoreModule };
//# sourceMappingURL=module.js.map
