import { XPlugin } from '../../plugins/x-plugin.js';
import { taggingEmitters } from './store/emitters.js';
import { taggingXStoreModule } from './store/module.js';
import { taggingWiring } from './wiring.js';

/**
 * Tagging {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `empathize` entry point.
 *
 * @public
 */
const taggingXModule = {
    name: 'tagging',
    storeModule: taggingXStoreModule,
    storeEmitters: taggingEmitters,
    wiring: taggingWiring,
};
XPlugin.registerXModule(taggingXModule);

export { taggingXModule };
//# sourceMappingURL=x-module.js.map
