import '@vue/devtools-api';
import '../../plugins/devtools/timeline.devtools.js';
import '@empathyco/x-utils';
import 'rxjs/operators';
import 'rxjs';
import '../../plugins/devtools/colors.utils.js';
import '../../plugins/x-bus.js';
import { XPlugin } from '../../plugins/x-plugin.js';
import { urlEmitters } from './store/emitters.js';
import { urlXStoreModule } from './store/module.js';
import { urlWiring } from './wiring.js';

/**
 * URL {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `url` entry point.
 *
 * @public
 */
const urlXModule = {
    name: 'url',
    storeModule: urlXStoreModule,
    storeEmitters: urlEmitters,
    wiring: urlWiring,
};
XPlugin.registerXModule(urlXModule);

export { urlXModule };
//# sourceMappingURL=x-module.js.map
