import type { SearchResponse } from '@empathyco/x-types';
export declare const mockedApiUrl = "https://api.empathy.co";
export declare const getIdentifierResultsEndpoint: string;
export declare const getRecommendationsEndpoint: string;
export declare const getQuerySuggestionsEndpoint: string;
export declare const getRelatedTagsEndpoint: string;
export declare const getPopularSearchesEndpoint: string;
export declare const getNextQueriesEndpoint: string;
export declare const searchEndpoint: string;
export declare const trackEndpoint: string;
export declare const getSemanticQueriesEndpoint: string;
export declare const mockedResponses: {
    'identifier-results': {
        results: import("@empathyco/x-types").Result[];
    };
    'next-queries': {
        nextQueries: import("@empathyco/x-types").NextQuery[];
    };
    'popular-searches': {
        suggestions: import("@empathyco/x-types").Suggestion[];
    };
    'query-suggestions': {
        suggestions: import("@empathyco/x-types").Suggestion[];
    };
    recommendations: {
        results: import("@empathyco/x-types").Result[];
    };
    search: SearchResponse;
    'semantic-queries': {
        semanticQueries: import("@empathyco/x-types").SemanticQuery[];
    };
    'related-tags': {
        relatedTags: import("@empathyco/x-types").RelatedTag[];
    };
    'related-prompts': {
        relatedPrompts: import("@empathyco/x-types").RelatedPrompt[];
    };
};
/**
 * Creates a search response.
 *
 * @param partial - Partial search response to override default fields.
 *
 * @returns A complete search response object.
 */
export declare function createSearchResponse(partial?: Partial<SearchResponse>): SearchResponse;
//# sourceMappingURL=mocked-responses.d.ts.map