import type { DefineComponent } from 'vue';
export type AnimationOrigin = 'top' | 'bottom' | 'top-to-bottom' | 'bottom-to-top' | 'left' | 'right' | 'left-to-right' | 'right-to-left';
/**
 * Abstract Factory to create animations Factory. The returned animation factory uses the
 * `animationName` parameter to create a Transition Component with that name.
 *
 * @param animationName - The name to use in the Transition Component of animation.
 * @returns The animation factory configured.
 *
 * @internal
 */
export declare function createDirectionalAnimationFactory(animationName: string): (animationOrigin?: AnimationOrigin) => DefineComponent;
//# sourceMappingURL=create-directional-animation-factory.d.ts.map