/**
 * Renders a transition group wrapping the elements passed in the default slot and animating
 * them with a staggered fade and slide animation.
 *
 * @public
 */
declare const __default__: import("vue").DefineComponent<{
    /** Indicates if the transition must be applied on the initial render of the node. */
    appear: {
        type: BooleanConstructor;
        default: boolean;
    };
    /** The tag of the node to render to the DOM. */
    tag: {
        type: StringConstructor;
        default: string;
    };
    /** The time in ms to stagger each item. */
    stagger: {
        type: NumberConstructor;
        default: number;
    };
}, {
    name: import("vue").ComputedRef<string>;
    onEnter: (el: Element, done: () => void) => void;
    onAfterEnter: (el: Element) => void;
    transitionDurationInMs: string;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** Indicates if the transition must be applied on the initial render of the node. */
    appear: {
        type: BooleanConstructor;
        default: boolean;
    };
    /** The tag of the node to render to the DOM. */
    tag: {
        type: StringConstructor;
        default: string;
    };
    /** The time in ms to stagger each item. */
    stagger: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    appear: boolean;
    tag: string;
    stagger: number;
}, {}>;
export default __default__;
//# sourceMappingURL=staggered-fade-and-slide.vue?vue&type=script&lang.d.ts.map