/**
 * Type options for the property that will be animated.
 */
type AnimatedProperty = 'height' | 'width';
/**
 * Returns parametrized methods to use in a component to allow the collapsing of the provided
 * property.
 *
 * @param property - The property that will be animated.
 * @returns Composable for the module.
 * @public
 */
export declare function useCollapseAnimation(property: AnimatedProperty): {
    expand: (element: HTMLElement) => void;
    cleanUpAnimationStyles: (element: HTMLElement) => void;
    collapse: (element: HTMLElement) => void;
};
export {};
//# sourceMappingURL=use-collapse-animation.d.ts.map