/**
 * Rating component. This component renders a set of elements filled based on the value passed as
 * prop.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Numeric value used to calculates the width of the filled elements.
     *
     * @public
     */
    value: {
        type: NumberConstructor;
        required: true;
    };
    /**
     * Maximum number of elements to paint.
     *
     * @public
     */
    max: {
        type: NumberConstructor;
        default: number;
    };
}, {
    calculateFilledWrapperWidth: import("vue").ComputedRef<string>;
    ariaLabel: import("vue").ComputedRef<string>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Numeric value used to calculates the width of the filled elements.
     *
     * @public
     */
    value: {
        type: NumberConstructor;
        required: true;
    };
    /**
     * Maximum number of elements to paint.
     *
     * @public
     */
    max: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    max: number;
}, {}>;
export default _default;
//# sourceMappingURL=base-rating.vue?vue&type=script&lang.d.ts.map