import type { PropType } from 'vue';
/**
 * This component implements a range slider and prints the selected values.
 * It receives a threshold prop to set the limits and uses v-model to get and set
 * the selected values.
 *
 * It makes use of the nouslider library @see https://refreshless.com/nouislider/
 * for the slider implementation.
 *
 */
declare const _default: import("vue").DefineComponent<{
    /** The threshold prop sets the limits for the slider. */
    threshold: {
        type: PropType<{
            min: number;
            max: number;
        }>;
        default: () => {
            min: number;
            max: number;
        };
    };
    /** The modelValue prop sets the initial values for the slider. */
    modelValue: {
        type: PropType<{
            min: number;
            max: number;
        }>;
        required: true;
    };
    /** Class to be able to customize slider styles. */
    contentClass: {
        type: StringConstructor;
        default: string;
    };
}, {
    slider: import("vue").Ref<HTMLElement | undefined>;
    rangeSelected: import("vue").ComputedRef<number[]>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** The threshold prop sets the limits for the slider. */
    threshold: {
        type: PropType<{
            min: number;
            max: number;
        }>;
        default: () => {
            min: number;
            max: number;
        };
    };
    /** The modelValue prop sets the initial values for the slider. */
    modelValue: {
        type: PropType<{
            min: number;
            max: number;
        }>;
        required: true;
    };
    /** Class to be able to customize slider styles. */
    contentClass: {
        type: StringConstructor;
        default: string;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    threshold: {
        min: number;
        max: number;
    };
    contentClass: string;
}, {}>;
export default _default;
//# sourceMappingURL=base-slider.vue?vue&type=script&lang.d.ts.map