import type { PropType } from 'vue';
declare const _default: import("vue").DefineComponent<{
    /** The element or css selector to which the component will be teleported. */
    target: {
        type: PropType<string | Element>;
        required: true;
    };
    /**
     * The position relative to the target
     * - `beforebegin`: Before the target element.
     * - `afterbegin`: Inside the target element, before its first child.
     * - `beforeend`: Inside the target element, after its last child.
     * - `afterend`: After the target element.
     * - `onlychild`: Adds it as child and hides all other children of the target element.
     */
    position: {
        type: PropType<"beforebegin" | "afterbegin" | "beforeend" | "afterend" | "onlychild">;
        default: string;
    };
    /** If disabled, the slot content will not be teleported */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    teleportHost: import("vue").Ref<Element | undefined>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** The element or css selector to which the component will be teleported. */
    target: {
        type: PropType<string | Element>;
        required: true;
    };
    /**
     * The position relative to the target
     * - `beforebegin`: Before the target element.
     * - `afterbegin`: Inside the target element, before its first child.
     * - `beforeend`: Inside the target element, after its last child.
     * - `afterend`: After the target element.
     * - `onlychild`: Adds it as child and hides all other children of the target element.
     */
    position: {
        type: PropType<"beforebegin" | "afterbegin" | "beforeend" | "afterend" | "onlychild">;
        default: string;
    };
    /** If disabled, the slot content will not be teleported */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    position: "beforebegin" | "afterbegin" | "beforeend" | "afterend" | "onlychild";
    disabled: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=base-teleport.vue?vue&type=script&lang.d.ts.map