import type { PropType } from 'vue';
import type { ListItem } from '../utils/types';
/**
 * The `BaseVariableColumnGrid` component is a wrapper of the `BaseGrid` component that listens to
 * the `UserClickedColumnPicker` and the `ColumnsNumberProvided` events and passes the
 * selected number of columns to the grid. It also allows to customize the grid items using the
 * available `scopedSlots`.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Animation component that will be used to animate the grid.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * The list of items to be rendered.
     *
     * @remarks The items must have an id property.
     *
     * @public
     */
    items: PropType<ListItem[]>;
    /**
     * The columns to render by default in the grid. This property is used when the user has not
     * selected any value in the column picker.
     *
     * @internal
     */
    columns: {
        type: NumberConstructor;
        default: number;
    };
}, {
    columnsToRender: import("vue").ComputedRef<number>;
    slots: Readonly<{
        [name: string]: import("vue").Slot<any> | undefined;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Animation component that will be used to animate the grid.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * The list of items to be rendered.
     *
     * @remarks The items must have an id property.
     *
     * @public
     */
    items: PropType<ListItem[]>;
    /**
     * The columns to render by default in the grid. This property is used when the user has not
     * selected any value in the column picker.
     *
     * @internal
     */
    columns: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    animation: string | Function | Record<string, any>;
    columns: number;
}, {}>;
export default _default;
//# sourceMappingURL=base-variable-column-grid.vue?vue&type=script&lang.d.ts.map