import type { PropType } from 'vue';
import type Vue from 'vue';
/**
 * Column picker dropdown component renders {@link BaseDropdown} component which
 * options are the different columns you can set for a grid.
 *
 * It emits {@link XEventsTypes.UserClickedColumnPicker} on dropdown
 * input.
 *
 * @public
 */
declare const _default: Vue.DefineComponent<{
    /** An array of numbers that represents the number of columns to render. */
    columns: {
        type: PropType<number[]>;
        required: true;
    };
    /** The value of the selected columns number. */
    modelValue: NumberConstructor;
    /** The transition to use for opening and closing the dropdown. */
    animation: PropType<string | typeof Vue>;
}, {
    emitEvents: (column: number) => void;
    hasToggleSlot: boolean;
    selectedColumns: Vue.Ref<number>;
}, unknown, {}, {}, Vue.ComponentOptionsMixin, Vue.ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", Vue.PublicProps, Readonly<Vue.ExtractPropTypes<{
    /** An array of numbers that represents the number of columns to render. */
    columns: {
        type: PropType<number[]>;
        required: true;
    };
    /** The value of the selected columns number. */
    modelValue: NumberConstructor;
    /** The transition to use for opening and closing the dropdown. */
    animation: PropType<string | typeof Vue>;
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {}, {}>;
export default _default;
//# sourceMappingURL=base-column-picker-dropdown.vue?vue&type=script&lang.d.ts.map