import type { PropType } from 'vue';
import type { VueCSSClasses } from '../../utils/types';
import type { XEventsTypes } from '../../wiring';
interface ColumnPickerItem {
    column: number;
    cssClasses: VueCSSClasses;
    events: Partial<XEventsTypes>;
    isSelected: boolean;
}
/**
 * Column picker list component renders a list of buttons to choose the columns number.
 *
 * Additionally, this component exposes the following props to modify the classes of the
 * elements: `buttonClass`.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** An array of numbers that represents the number of columns to render. */
    columns: {
        type: PropType<number[]>;
        required: true;
    };
    /** The value of the selected columns number. */
    modelValue: NumberConstructor;
    /** Class inherited by each button. */
    buttonClass: StringConstructor;
}, {
    columnsWithCssClasses: import("vue").ComputedRef<ColumnPickerItem[]>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** An array of numbers that represents the number of columns to render. */
    columns: {
        type: PropType<number[]>;
        required: true;
    };
    /** The value of the selected columns number. */
    modelValue: NumberConstructor;
    /** Class inherited by each button. */
    buttonClass: StringConstructor;
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {}, {}>;
export default _default;
//# sourceMappingURL=base-column-picker-list.vue?vue&type=script&lang.d.ts.map