import type { RangeValue } from '@empathyco/x-types';
import type { PropType } from 'vue';
/**
 * Renders a label for a price filter, allowing to select different messages depending on the
 * value of the filter.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** The filter data for get min and max value. */
    filter: {
        type: PropType<{
            range: RangeValue;
        }>;
        required: true;
    };
    /** Configuration for show the label. */
    format: {
        type: StringConstructor;
    };
    /**
     * Message shown when the filter hasn't got the min value defined.
     *
     * @public
     */
    lessThan: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Message shown when the filter has both the min and max values defined.
     *
     * @public
     */
    fromTo: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Message shown when the filter hasn't got max value defined.
     *
     * @public
     */
    from: {
        type: StringConstructor;
        required: true;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** The filter data for get min and max value. */
    filter: {
        type: PropType<{
            range: RangeValue;
        }>;
        required: true;
    };
    /** Configuration for show the label. */
    format: {
        type: StringConstructor;
    };
    /**
     * Message shown when the filter hasn't got the min value defined.
     *
     * @public
     */
    lessThan: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Message shown when the filter has both the min and max values defined.
     *
     * @public
     */
    fromTo: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Message shown when the filter hasn't got max value defined.
     *
     * @public
     */
    from: {
        type: StringConstructor;
        required: true;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=base-price-filter-label.vue?vue&type=script&lang.d.ts.map