import type { PropType } from 'vue';
import type { ListItem } from '../utils/types';
/**
 * It renders a list of {@link ListItem} providing a slot for each `slotName` which depends on
 * the `modelName`of the item.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** Animation component that will be used to animate the list. */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /** List of items. */
    items: {
        type: PropType<ListItem[]>;
        required: true;
    };
    /** Item's classes. */
    itemClass: StringConstructor;
}, {
    computedItems: import("vue").ComputedRef<{
        dataTest: string;
        class: (string | undefined)[];
        slotName: string;
        id: string | number;
        modelName: string;
    }[]>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** Animation component that will be used to animate the list. */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /** List of items. */
    items: {
        type: PropType<ListItem[]>;
        required: true;
    };
    /** Item's classes. */
    itemClass: StringConstructor;
}>>, {
    animation: string | Function | Record<string, any>;
}, {}>;
export default _default;
//# sourceMappingURL=items-list.vue?vue&type=script&lang.d.ts.map