/**
 * Component containing a modal expecting a required prop, named `modalId`. It reacts to
 * `UserClickedOpenModal`, `UserClickedCloseModal` and `UserClickedOutOfModal` events, when their
 * payload matches the component's 'modalId' prop, to handle its open/close state. The default
 * slot offers the possibility to customise the modal content.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Animation to use for opening/closing the modal.
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
    };
    /**
     * The modalId to use for the open and close event listeners.
     */
    modalId: {
        type: StringConstructor;
        required: true;
    };
}, {
    el: import("vue").Ref<HTMLElement | undefined>;
    isOpen: import("vue").Ref<boolean>;
    emitClickOutOfModal: (event: MouseEvent | FocusEvent) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Animation to use for opening/closing the modal.
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
    };
    /**
     * The modalId to use for the open and close event listeners.
     */
    modalId: {
        type: StringConstructor;
        required: true;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=base-id-modal.vue?vue&type=script&lang.d.ts.map