import type { PropType } from 'vue';
/**
 * A specialised version of a modal component, made to contain a full search application.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Animation to use for opening/closing the modal.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
    };
    /**
     * Events to listen for closing the main modal.
     */
    closeEvents: {
        type: PropType<(keyof import("../../wiring/events.types").XEventsTypes)[]>;
        default: () => string[];
    };
    /**
     * Determines if the focused element changes to one inside the modal when it opens. Either the
     * first element with a positive tabindex or just the first focusable element.
     */
    focusOnOpen: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Events to listen for opening the main modal.
     */
    openEvents: {
        type: PropType<(keyof import("../../wiring/events.types").XEventsTypes)[]>;
        default: () => string[];
    };
    /**
     * Event to be emitted by the modal when clicked out of its content.
     */
    outOfModalClickEvent: {
        type: PropType<keyof import("../../wiring/events.types").XEventsTypes>;
        default: string;
    };
}, unknown, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Animation to use for opening/closing the modal.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
    };
    /**
     * Events to listen for closing the main modal.
     */
    closeEvents: {
        type: PropType<(keyof import("../../wiring/events.types").XEventsTypes)[]>;
        default: () => string[];
    };
    /**
     * Determines if the focused element changes to one inside the modal when it opens. Either the
     * first element with a positive tabindex or just the first focusable element.
     */
    focusOnOpen: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Events to listen for opening the main modal.
     */
    openEvents: {
        type: PropType<(keyof import("../../wiring/events.types").XEventsTypes)[]>;
        default: () => string[];
    };
    /**
     * Event to be emitted by the modal when clicked out of its content.
     */
    outOfModalClickEvent: {
        type: PropType<keyof import("../../wiring/events.types").XEventsTypes>;
        default: string;
    };
}>>, {
    closeEvents: (keyof import("../../wiring/events.types").XEventsTypes)[];
    focusOnOpen: boolean;
    openEvents: (keyof import("../../wiring/events.types").XEventsTypes)[];
    outOfModalClickEvent: keyof import("../../wiring/events.types").XEventsTypes;
}, {}>;
export default _default;
//# sourceMappingURL=main-modal.vue?vue&type=script&lang.d.ts.map