import type { PropType } from 'vue';
import type { VueCSSClasses } from '../utils/types';
import type { XEventsTypes } from '../wiring';
/**
 * Component that renders a text with the number of rendered results and
 * the remaining ones and a `<BaseEventButton>` with the logic of emitting
 * the event "UserReachedResultsListEnd" to load more results on click.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * CSS classes to customize the loader button.
     *
     * @internal
     */
    buttonClasses: {
        type: PropType<VueCSSClasses>;
        default: string;
    };
    /**
     * Events to customize what will be emitted by the loader button.
     *
     * @internal
     */
    buttonEvents: {
        type: PropType<Partial<XEventsTypes>>;
    };
}, {
    resultsLength: import("vue").ComputedRef<number>;
    totalResults: import("vue").ComputedRef<number>;
    events: import("vue").ComputedRef<Partial<XEventsTypes>>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * CSS classes to customize the loader button.
     *
     * @internal
     */
    buttonClasses: {
        type: PropType<VueCSSClasses>;
        default: string;
    };
    /**
     * Events to customize what will be emitted by the loader button.
     *
     * @internal
     */
    buttonEvents: {
        type: PropType<Partial<XEventsTypes>>;
    };
}>>, {
    buttonClasses: VueCSSClasses;
}, {}>;
export default _default;
//# sourceMappingURL=page-loader-button.vue?vue&type=script&lang.d.ts.map