import type { XEventsTypes } from '../../wiring/events.types';
/**
 * Component containing an event button that emits
 * {@link XEventsTypes.UserClickedPanelToggleButton} when clicked with
 * the panelId as payload.
 *
 * It has a default slot to customize its contents.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The panelId to use for the toggle event listeners.
     */
    panelId: {
        type: StringConstructor;
        required: true;
    };
}, {
    isPanelOpen: import("vue").Ref<boolean>;
    events: import("vue").ComputedRef<Partial<XEventsTypes>>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The panelId to use for the toggle event listeners.
     */
    panelId: {
        type: StringConstructor;
        required: true;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=base-id-toggle-panel-button.vue?vue&type=script&lang.d.ts.map