/**
 * Simple panel that could receives its initial open state via prop, if not the default is opens
 * and a required prop, named `panelId`, which are responsible of rendering default slot
 * inside a configurable transition.
 *
 * It reacts to `UserClickedPanelToggleButton` event, when their payload matches the component's
 * 'panelId' prop, to handle its open/close state.
 *
 * The default slot offers the possibility to customise the modal content.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** Shows the panel open at the beginning or not, depending on its state. */
    startOpen: {
        type: BooleanConstructor;
        default: boolean;
    };
    /** Animation component that will be used to animate the panel content. */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: () => import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    };
    /**
     * The id to link with the BaseIdTogglePanelButton.
     * Both components must use the same Id to make them interact.
     */
    panelId: {
        type: StringConstructor;
        required: true;
    };
}, {
    isOpen: import("vue").Ref<boolean>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** Shows the panel open at the beginning or not, depending on its state. */
    startOpen: {
        type: BooleanConstructor;
        default: boolean;
    };
    /** Animation component that will be used to animate the panel content. */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: () => import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    };
    /**
     * The id to link with the BaseIdTogglePanelButton.
     * Both components must use the same Id to make them interact.
     */
    panelId: {
        type: StringConstructor;
        required: true;
    };
}>>, {
    startOpen: boolean;
    animation: string | Function | Record<string, any>;
}, {}>;
export default _default;
//# sourceMappingURL=base-id-toggle-panel.vue?vue&type=script&lang.d.ts.map