/**
 * Base Tabs Panel.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Animation component that will be used to animate the tabs list.
     *
     * @public
     */
    tabsAnimation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * Animation component that will be used to animate the selected tab content.
     *
     * @public
     */
    contentAnimation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: () => import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    };
    /**
     * The tab to be initially selected.
     *
     * @public
     */
    initialTab: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Allows the tabs to be unselected.
     *
     * @public
     */
    allowTabDeselect: {
        type: BooleanConstructor;
        default: boolean;
    };
    /** Class inherited by content element. */
    activeTabClass: StringConstructor;
    /** Class inherited by content element. */
    contentClass: StringConstructor;
    /** Class inherited by content element. */
    tabClass: StringConstructor;
    /** Class inherited by content element. */
    tabsListClass: StringConstructor;
}, {
    selectedTab: import("vue").Ref<string>;
    slots: Readonly<{
        [name: string]: import("vue").Slot<any> | undefined;
    }>;
    getTabs: () => string[];
    selectTab: (tab: string) => void;
    tabIsSelected: (tab: string) => boolean;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Animation component that will be used to animate the tabs list.
     *
     * @public
     */
    tabsAnimation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * Animation component that will be used to animate the selected tab content.
     *
     * @public
     */
    contentAnimation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: () => import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    };
    /**
     * The tab to be initially selected.
     *
     * @public
     */
    initialTab: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Allows the tabs to be unselected.
     *
     * @public
     */
    allowTabDeselect: {
        type: BooleanConstructor;
        default: boolean;
    };
    /** Class inherited by content element. */
    activeTabClass: StringConstructor;
    /** Class inherited by content element. */
    contentClass: StringConstructor;
    /** Class inherited by content element. */
    tabClass: StringConstructor;
    /** Class inherited by content element. */
    tabsListClass: StringConstructor;
}>>, {
    tabsAnimation: string | Function | Record<string, any>;
    contentAnimation: string | Function | Record<string, any>;
    initialTab: string;
    allowTabDeselect: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=base-tabs-panel.vue?vue&type=script&lang.d.ts.map