/**
 * Simple panel that receives its open state via prop, which is responsible of rendering
 * default slot inside a configurable transition.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Handles if the panel is rendered. It is used with v-if instead of v-show to get better
     * performance.
     *
     * @public
     */
    open: {
        type: BooleanConstructor;
        required: true;
    };
    /**
     * Animation component that will be used to animate the panel content.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
}, unknown, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Handles if the panel is rendered. It is used with v-if instead of v-show to get better
     * performance.
     *
     * @public
     */
    open: {
        type: BooleanConstructor;
        required: true;
    };
    /**
     * Animation component that will be used to animate the panel content.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
}>>, {
    animation: string | Function | Record<string, any>;
}, {}>;
export default _default;
//# sourceMappingURL=base-toggle-panel.vue?vue&type=script&lang.d.ts.map