import type { Result } from '@empathyco/x-types';
import type { PropType } from 'vue';
import type { XEventsTypes } from '../../wiring/events.types';
import type { WireMetadata } from '../../wiring/index';
/**
 * Renders a button with a default slot. It receives the result with the data and emits
 * {@link XEventsTypes.UserClickedResultAddToCart} to the bus on click mouse event.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * (Required) The {@link @empathyco/x-types#Result} information.
     *
     * @public
     */
    result: {
        type: PropType<Result>;
        required: true;
    };
}, {
    events: import("vue").ComputedRef<Partial<XEventsTypes>>;
    metadata: Omit<WireMetadata, "moduleName" | "origin" | "location">;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * (Required) The {@link @empathyco/x-types#Result} information.
     *
     * @public
     */
    result: {
        type: PropType<Result>;
        required: true;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=base-result-add-to-cart.vue?vue&type=script&lang.d.ts.map