import type { Result } from '@empathyco/x-types';
import type { PropType } from 'vue';
/**
 * Component to be reused that renders an `<a>` wrapping the result contents.
 *
 * @remarks
 * It has the logic to emit {@link XEventsTypes.UserClickedAResult} to the bus on click mouse
 * events. Additionally, this component may be injected other events to be emitted on click
 * event, so, depending on where it's used its father component may provide this events.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * (Required) The {@link @empathyco/x-types#Result} information.
     *
     * @public
     */
    result: {
        type: PropType<Result>;
        required: true;
    };
}, {
    el: import("vue").Ref<HTMLElement | null | undefined>;
    emitUserClickedAResult: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * (Required) The {@link @empathyco/x-types#Result} information.
     *
     * @public
     */
    result: {
        type: PropType<Result>;
        required: true;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=base-result-link.vue?vue&type=script&lang.d.ts.map