import type { Result, ResultVariant } from '@empathyco/x-types';
import type { Ref } from 'vue';
/**
 * Component to show and select the available variants of a product for a given nest level.
 * TODO: Log warning on mount when result is not injected.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** The nest level of the variants to be rendered. */
    level: {
        type: NumberConstructor;
        default: number;
    };
}, {
    result: Ref<Result> | undefined;
    variants: import("vue").ComputedRef<ResultVariant[] | undefined>;
    variantIsSelected: (variant: ResultVariant) => boolean;
    selectVariant: (variant: ResultVariant) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** The nest level of the variants to be rendered. */
    level: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    level: number;
}, {}>;
export default _default;
//# sourceMappingURL=result-variant-selector.vue?vue&type=script&lang.d.ts.map