import type { Suggestion } from '@empathyco/x-types';
import type { PropType } from 'vue';
/**
 * Paints a list of suggestions passed in by prop. Requires a component for a single suggestion
 * in the default slot for working.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The list of suggestions to render.
     *
     * @public
     */
    suggestions: {
        type: PropType<Suggestion[]>;
        required: true;
    };
    /**
     * Animation component that will be used to animate the suggestion.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * Number of suggestions to be rendered.
     *
     * @public
     */
    maxItemsToRender: NumberConstructor;
    /**
     * Boolean value to indicate if the facets should be rendered.
     *
     * @public
     */
    showFacets: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * When `showFacets` property of `BaseSuggestions` component is true, it indicates if the suggestion without
     * filter should be rendered.
     *
     * @public
     */
    showPlainSuggestion: {
        type: BooleanConstructor;
        default: boolean;
    };
    /** Class inherited by content element. */
    suggestionItemClass: StringConstructor;
}, {
    suggestionsToRender: import("vue").ComputedRef<Suggestion[]>;
    suggestionsKeys: import("vue").ComputedRef<string[]>;
    getSuggestionFilter: (suggestion: Suggestion) => import("@empathyco/x-types").Filter | undefined;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The list of suggestions to render.
     *
     * @public
     */
    suggestions: {
        type: PropType<Suggestion[]>;
        required: true;
    };
    /**
     * Animation component that will be used to animate the suggestion.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * Number of suggestions to be rendered.
     *
     * @public
     */
    maxItemsToRender: NumberConstructor;
    /**
     * Boolean value to indicate if the facets should be rendered.
     *
     * @public
     */
    showFacets: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * When `showFacets` property of `BaseSuggestions` component is true, it indicates if the suggestion without
     * filter should be rendered.
     *
     * @public
     */
    showPlainSuggestion: {
        type: BooleanConstructor;
        default: boolean;
    };
    /** Class inherited by content element. */
    suggestionItemClass: StringConstructor;
}>>, {
    animation: string | Function | Record<string, any>;
    showFacets: boolean;
    showPlainSuggestion: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=base-suggestions.vue?vue&type=script&lang.d.ts.map