import type { ComputedRef } from 'vue';
import type { ExtractState, XModuleName } from '../x-modules/x-modules.types';
/**
 * Function which returns the requested state's properties as a dictionary.
 * @param module - The {@link XModuleName} of the getter.
 * @returns A dictionary of computed state properties of the module.
 *
 * @public
 */
export declare function useState<Module extends XModuleName, State = ExtractState<Module>>(module: Module): {
    [P in keyof State]: ComputedRef<State[P]>;
};
//# sourceMappingURL=use-state.d.ts.map