import type { Directive } from 'vue';
/**
 * TypingOptions interface.
 *
 * @public
 */
export interface TypingOptions {
    /**
     * The text (plain or html) that will be typed into the target element.
     */
    text: string;
    /**
     * The typing speed in milliseconds per character.
     *
     */
    speed?: number;
    /**
     * The attribute of the HTML element where the typed text will be placed.
     * If not specified, the text will be set as content (innerHTML).
     *
     * @example 'placeholder'
     */
    targetAttr?: string;
}
interface TypingHTMLElement extends HTMLElement {
    __timeoutId?: number;
}
/**
 * Typing directive.
 *
 * @public
 */
export declare const typing: Directive<TypingHTMLElement, TypingOptions>;
export {};
//# sourceMappingURL=typing.d.ts.map