import type { InspectorNodeTag } from '@vue/devtools-api';
import type { XModuleName } from '../../x-modules/x-modules.types';
/** Unique text and background colors for each module. */
type ModuleColors = Record<XModuleName, Pick<InspectorNodeTag, 'textColor' | 'backgroundColor'>>;
/**
 * Unique color values for the text and background of each module.
 *
 * @internal
 */
export declare const moduleColors: ModuleColors;
/**
 * Transforms HSL values into a hex number.
 *
 * @param hue - The hue value, from 0 to 360.
 * @param saturation - The saturation value, from 0 to 100.
 * @param lightness - The lightness value, from 0 to 100.
 * @returns The hex value of the color.
 * @internal
 */
export declare function hslToHex(hue: number, saturation: number, lightness: number): number;
export {};
//# sourceMappingURL=colors.utils.d.ts.map