import type { Dictionary } from '@empathyco/x-utils';
import type { DevtoolsPluginApi } from '@vue/devtools-api';
import type { XEvent, XEventPayload } from '../../wiring/events.types';
import type { WirePayload } from '../../wiring/wiring.types';
/**
 * Configures Vue's devtools timeline with new rows for {@link XEvent}s.
 *
 * @param api - Vue's devtools API.
 * @internal
 */
export declare function setupTimelinePlugin(api: DevtoolsPluginApi<Dictionary>): void;
/**
 * Sends the emission of an {@link XEvent} to the devtools.
 *
 * @param event - The emitted {@link XEvent}.
 * @param value - An object containing both the event payload and its metadata.
 * @internal
 */
export declare function logDevtoolsXEvent<Event extends XEvent>(event: Event, value: WirePayload<XEventPayload<Event>>): void;
//# sourceMappingURL=timeline.devtools.d.ts.map