import type { Dictionary } from '@empathyco/x-utils';
import type { DevtoolsPluginApi } from '@vue/devtools-api';
import type { Wiring } from '../../wiring/wiring.types';
import type { XModuleName } from '../../x-modules/x-modules.types';
/**
 * Setups an inspector in Vue's devtools to show the wiring.
 *
 * @param api - Vue's devtools API.
 * @internal
 */
export declare function setupWiringDevtools(api: DevtoolsPluginApi<Dictionary<unknown>>): void;
/**
 * Sends the module wiring to Vue's devtools inspector. Additionally, it modifies each wire, adding
 * a filter function to let it be enabled/disabled from the devtools.
 *
 * @param module - The module name this wiring belongs too.
 * @param wiring - The wiring to save.
 * @internal
 */
export declare function sendWiringToDevtools(module: XModuleName, wiring: Partial<Wiring>): void;
//# sourceMappingURL=wiring.devtools.d.ts.map