import type { ExtractGetters, XModuleName } from '../x-modules/x-modules.types';
import type { XPluginOptions } from './x-plugin.types';
/**
 * Asserts that the passed options object is valid, providing helpful error messages.
 *
 * @param options - The options to check if they are valid.
 * @public
 */
export declare function assertXPluginOptionsAreValid(options: XPluginOptions | undefined): asserts options is XPluginOptions;
/**
 * Generates a getter path string with the module and getter name.
 *
 * @param moduleName - The module name the getter belongs to.
 * @param getterName - The getter name.
 * @returns A string representing the getter path.
 * @public
 */
export declare function getGetterPath<ModuleName extends XModuleName>(moduleName: ModuleName, getterName: keyof ExtractGetters<ModuleName>): string;
//# sourceMappingURL=x-plugin.utils.d.ts.map