import type { ThrottleFunction } from './types';
/**
 * Util function that returns a throttled version of the function passed as parameter.
 *
 * @param fn - Function to be debounced.
 * @param throttleTimeMs - The time of throttle in ms.
 * @returns A new function with the throttle.
 *
 * @public
 */
export declare const throttle: <Params extends any[]>(fn: (...args: Params) => void, throttleTimeMs: number) => ThrottleFunction<Params>;
//# sourceMappingURL=throttle.d.ts.map