import type { XModuleName } from '../x-modules/x-modules.types';
import type { NamespacedWireCommit, NamespacedWireCommitWithoutPayload, NamespacedWireDispatch, NamespacedWireDispatchWithoutPayload } from './namespaced-wiring.types';
/**
 * Creates a namespaced {@link (wireCommit:1)} for the module name passed.
 *
 * @param moduleName - The module name for scoping the {@link (wireCommit:1)}.
 * @returns A function which creates a namespaced wire for the {@link (wireCommit:1)}.
 *
 * @public
 */
export declare function namespacedWireCommit<ModuleName extends XModuleName>(moduleName: ModuleName): NamespacedWireCommit<ModuleName>;
/**
 * Creates a namespaced {@link wireCommitWithoutPayload} for the module name passed.
 *
 * @param moduleName - The module name for scoping the {@link wireCommitWithoutPayload}.
 * @returns A function which creates a namespaced wire for the {@link wireCommitWithoutPayload}.
 *
 * @public
 */
export declare function namespacedWireCommitWithoutPayload<ModuleName extends XModuleName>(moduleName: ModuleName): NamespacedWireCommitWithoutPayload<ModuleName>;
/**
 * Creates a namespaced {@link (wireDispatch:1)} for the module name passed.
 *
 * @param moduleName - The module name for scoping the {@link (wireDispatch:1)}.
 * @returns A function which creates a namespaced wire for the {@link (wireDispatch:1)}.
 *
 * @public
 */
export declare function namespacedWireDispatch<ModuleName extends XModuleName>(moduleName: ModuleName): NamespacedWireDispatch<ModuleName>;
/**
 * Creates a namespaced {@link wireDispatchWithoutPayload} for the module name passed.
 *
 * @param moduleName - The module name for scoping the {@link wireDispatchWithoutPayload}.
 * @returns A function which creates a namespaced wire for the {@link wireDispatchWithoutPayload}.
 *
 * @public
 */
export declare function namespacedWireDispatchWithoutPayload<ModuleName extends XModuleName>(moduleName: ModuleName): NamespacedWireDispatchWithoutPayload<ModuleName>;
//# sourceMappingURL=namespaced-wires.factory.d.ts.map