import type { PropType } from 'vue';
/**
 * This component helps to detect or setting a device, that can be used later to create
 * different layouts optimized for different devices. This detected device is available under
 * the {@link XComponentAliasAPI.device} property.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Record of the device name, that can be whatever you want `xs`, `mobile`, `big`... And
     * the max width in pixels for that device.
     *
     * @public
     */
    breakpoints: {
        type: PropType<Record<string, number>>;
        default: () => {};
    };
    /**
     * Forces a device, ignoring the breakpoints prop.
     *
     * @public
     */
    force: PropType<string>;
    /**
     * Time in milliseconds to throttle the resize events used to detect the device.
     *
     * @public
     */
    throttleMs: {
        type: NumberConstructor;
        default: number;
    };
}, {
    throttledStoreWindowWidth: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Record of the device name, that can be whatever you want `xs`, `mobile`, `big`... And
     * the max width in pixels for that device.
     *
     * @public
     */
    breakpoints: {
        type: PropType<Record<string, number>>;
        default: () => {};
    };
    /**
     * Forces a device, ignoring the breakpoints prop.
     *
     * @public
     */
    force: PropType<string>;
    /**
     * Time in milliseconds to throttle the resize events used to detect the device.
     *
     * @public
     */
    throttleMs: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    breakpoints: Record<string, number>;
    throttleMs: number;
}, {}>;
export default _default;
//# sourceMappingURL=device-detector.vue?vue&type=script&lang.d.ts.map