import type { PropType } from 'vue';
/**
 * Component containing the empathize. It has a required slot to define its content and two props
 * to define when to open and close it: `eventsToOpenEmpathize` and `eventsToCloseEmpathize`.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** Array of {@link XEvent} to open the empathize. */
    eventsToOpenEmpathize: {
        type: PropType<(keyof import("../../../wiring").XEventsTypes)[]>;
        default: () => string[];
    };
    /** Array of {@link XEvent} to close the empathize. */
    eventsToCloseEmpathize: {
        type: PropType<(keyof import("../../../wiring").XEventsTypes)[]>;
        default: () => string[];
    };
    /** Animation component that will be used to animate the empathize. */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: () => import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    };
}, {
    close: () => void;
    empathizeRef: import("vue").Ref<HTMLDivElement | undefined>;
    hasContent: import("vue").ComputedRef<boolean>;
    isOpen: import("vue").Ref<boolean>;
    open: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** Array of {@link XEvent} to open the empathize. */
    eventsToOpenEmpathize: {
        type: PropType<(keyof import("../../../wiring").XEventsTypes)[]>;
        default: () => string[];
    };
    /** Array of {@link XEvent} to close the empathize. */
    eventsToCloseEmpathize: {
        type: PropType<(keyof import("../../../wiring").XEventsTypes)[]>;
        default: () => string[];
    };
    /** Animation component that will be used to animate the empathize. */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: () => import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    };
}>>, {
    eventsToOpenEmpathize: (keyof import("../../../wiring").XEventsTypes)[];
    eventsToCloseEmpathize: (keyof import("../../../wiring").XEventsTypes)[];
    animation: string | Function | Record<string, any>;
}, {}>;
export default _default;
//# sourceMappingURL=empathize.vue?vue&type=script&lang.d.ts.map