import type { Facet } from '@empathyco/x-types';
import type { PropType } from 'vue';
/**
 * This component allows to provide facets by prop, to add them to the state of the
 * `Facets X-Module`. These facets will be added to the `Facets X-Module` state together with
 * the facets emitted by the `Search X-Module` through the {@link SearchXEvents.FacetsChanged}
 * event.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * An facet group identifier to distinguish the provided facets from other facets like the
     * `Search X-Module` facets.
     *
     * @public
     */
    groupId: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The facets to provide to the `Facets X-Module` state. They have to include the
     * {@link @empathyco/x-types#Filter}.
     *
     * @internal
     */
    facets: {
        type: PropType<Facet[]>;
        required: true;
    };
}, () => string, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * An facet group identifier to distinguish the provided facets from other facets like the
     * `Search X-Module` facets.
     *
     * @public
     */
    groupId: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The facets to provide to the `Facets X-Module` state. They have to include the
     * {@link @empathyco/x-types#Filter}.
     *
     * @internal
     */
    facets: {
        type: PropType<Facet[]>;
        required: true;
    };
}>>, {
    groupId: string;
}, {}>;
export default _default;
//# sourceMappingURL=facets-provider.vue?vue&type=script&lang.d.ts.map