import type { Facet } from '@empathyco/x-types';
import type { PropType } from 'vue';
import type { XEventsTypes } from '../../../../wiring/events.types';
/**
 * This component receives a required `facet` with
 * {@link @empathyco/x-types#BooleanFilter} as prop and renders a button, which
 * on clicked emits the {@link FacetsXEvents.UserClickedAllFilter} event. By default
 * the rendered button displays a message with the facet label but this content is customizable
 * through the default slot.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** The facet data. */
    facet: {
        type: PropType<Facet>;
        required: true;
    };
}, {
    clickEvent: import("vue").ComputedRef<Partial<XEventsTypes>>;
    cssClasses: import("vue").ComputedRef<{
        'x-selected x-all-filter--is-selected': boolean;
    }>;
    isSelected: import("vue").ComputedRef<boolean>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** The facet data. */
    facet: {
        type: PropType<Facet>;
        required: true;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=all-filter.vue?vue&type=script&lang.d.ts.map