import type { NumberRangeFilter as NumberRangeFilterModel } from '@empathyco/x-types';
import type { Dictionary } from '@empathyco/x-utils';
import type { PropType } from 'vue';
import type { XEventsTypes } from '../../../../wiring/events.types';
/**
 * Renders a number range filter, emitting the needed events when clicked.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** The filter data to render. */
    filter: {
        type: PropType<NumberRangeFilterModel>;
        required: true;
    };
    /**
     * Additional events, with their payload, to emit when the filter is clicked.
     *
     * @public
     */
    clickEvents: PropType<Partial<XEventsTypes>>;
    /** Inheritance CSS classes. */
    cssClasses: {
        type: PropType<(string | Dictionary<boolean>)[]>;
        default: () => never[];
    };
}, {
    innerClickEvents: import("vue").ComputedRef<any>;
    innerCssClasses: import("vue").ComputedRef<any[]>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** The filter data to render. */
    filter: {
        type: PropType<NumberRangeFilterModel>;
        required: true;
    };
    /**
     * Additional events, with their payload, to emit when the filter is clicked.
     *
     * @public
     */
    clickEvents: PropType<Partial<XEventsTypes>>;
    /** Inheritance CSS classes. */
    cssClasses: {
        type: PropType<(string | Dictionary<boolean>)[]>;
        default: () => never[];
    };
}>>, {
    cssClasses: (string | Dictionary<boolean>)[];
}, {}>;
export default _default;
//# sourceMappingURL=number-range-filter.vue?vue&type=script&lang.d.ts.map