import type { BooleanFilter } from '@empathyco/x-types';
import type { Dictionary } from '@empathyco/x-utils';
import type { PropType } from 'vue';
import type { XEventsTypes } from '../../../../wiring/events.types';
/**
 * Renders default slot content. It binds to the default slot a
 * {@link @empathyco/x-types#BooleanFilter}, the {@link XEvent}
 * that will be emitted when clicking the content, the CSS classes and if the content should be
 * deactivated.
 *
 * @remarks The default slot expects a root element, if it receives a list of elements, it will
 * render the first element.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** The filter data to render. */
    filter: {
        type: PropType<BooleanFilter>;
        required: true;
    };
    /** Additional events with its payload to emit when the filter is clicked. */
    clickEvents: PropType<Partial<XEventsTypes>>;
    /** Inheritance CSS classes. */
    cssClasses: {
        type: PropType<(string | Dictionary<boolean>)[]>;
        default: () => never[];
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | "", unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** The filter data to render. */
    filter: {
        type: PropType<BooleanFilter>;
        required: true;
    };
    /** Additional events with its payload to emit when the filter is clicked. */
    clickEvents: PropType<Partial<XEventsTypes>>;
    /** Inheritance CSS classes. */
    cssClasses: {
        type: PropType<(string | Dictionary<boolean>)[]>;
        default: () => never[];
    };
}>>, {
    cssClasses: (string | Dictionary<boolean>)[];
}, {}>;
export default _default;
//# sourceMappingURL=renderless-filter.vue?vue&type=script&lang.d.ts.map