import type { Filter } from '@empathyco/x-types';
import type { PropType } from 'vue';
/**
 * The `ExcludeFiltersWithNoResults` component filters the provided list of filters, excluding
 * those which have the `totalResults` property exactly equal to `0`. It won't remove filters with
 * no `totalResults` property.
 *
 * The new list of filters is bound to the default scoped slot. As this component does not render
 * no root element, this default slot must contain a single root node.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** The list of filters to be rendered as slots. */
    filters: PropType<Filter[]>;
    /**
     * This prop is used in the `HierarchicalFilter` component and only in that case. It is necessary
     * to make the `renderedFilters` to return only the filters of each level of the hierarchy.
     */
    parentId: {
        type: PropType<string | number>;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> | "", unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** The list of filters to be rendered as slots. */
    filters: PropType<Filter[]>;
    /**
     * This prop is used in the `HierarchicalFilter` component and only in that case. It is necessary
     * to make the `renderedFilters` to return only the filters of each level of the hierarchy.
     */
    parentId: {
        type: PropType<string | number>;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=exclude-filters-with-no-results.vue?vue&type=script&lang.d.ts.map