import type { Filter } from '@empathyco/x-types';
import type { PropType } from 'vue';
import type { VueCSSClasses } from '../../../../utils/types';
/**
 * Renders a list with a list item per each
 * {@link @empathyco/x-types#BooleanFilter} in the filters prop array.
 * Each list item has a scoped slot, passing the filter as slot prop.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The list of filters to be rendered as slots.
     *
     * @public
     */
    filters: PropType<Filter[]>;
    /**
     * This prop is used in the `HierarchicalFilter` component and only in that case. It is necessary
     * to make the `renderedFilters` to return only the filters of each level of the hierarchy.
     *
     * @public
     */
    parentId: {
        type: PropType<string | number>;
        required: false;
    };
    /**
     * Animation component that will be used to animate the base filters.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
}, {
    hasFiltersToRender: import("vue").ComputedRef<boolean>;
    cssClasses: import("vue").ComputedRef<VueCSSClasses>;
    renderedFilters: import("vue").ComputedRef<Filter[]>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The list of filters to be rendered as slots.
     *
     * @public
     */
    filters: PropType<Filter[]>;
    /**
     * This prop is used in the `HierarchicalFilter` component and only in that case. It is necessary
     * to make the `renderedFilters` to return only the filters of each level of the hierarchy.
     *
     * @public
     */
    parentId: {
        type: PropType<string | number>;
        required: false;
    };
    /**
     * Animation component that will be used to animate the base filters.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
}>>, {
    animation: string | Function | Record<string, any>;
}, {}>;
export default _default;
//# sourceMappingURL=filters-list.vue?vue&type=script&lang.d.ts.map