import type { Filter } from '@empathyco/x-types';
import type { PropType } from 'vue';
import type { VueCSSClasses } from '../../../../utils/types';
/**
 * Renders the filters sifted with the input query.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The list of filters to be rendered as slots.
     *
     * @public
     */
    filters: PropType<Filter[]>;
    /**
     * This prop is used in the `HierarchicalFilter` component and only in that case. It is necessary
     * to make the `renderedFilters` to return only the filters of each level of the hierarchy.
     *
     * @public
     */
    parentId: {
        type: PropType<string | number>;
        required: false;
    };
    /** The debounce time for applying the filter sifting. */
    debounceInMs: {
        type: NumberConstructor;
        default: number;
    };
}, {
    clearQuery: () => void;
    setQuery: (query: string) => void;
    cssClasses: import("vue").ComputedRef<VueCSSClasses>;
    siftedFilters: import("vue").ComputedRef<Filter[]>;
    query: import("vue").Ref<string>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The list of filters to be rendered as slots.
     *
     * @public
     */
    filters: PropType<Filter[]>;
    /**
     * This prop is used in the `HierarchicalFilter` component and only in that case. It is necessary
     * to make the `renderedFilters` to return only the filters of each level of the hierarchy.
     *
     * @public
     */
    parentId: {
        type: PropType<string | number>;
        required: false;
    };
    /** The debounce time for applying the filter sifting. */
    debounceInMs: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    debounceInMs: number;
}, {}>;
export default _default;
//# sourceMappingURL=filters-search.vue?vue&type=script&lang.d.ts.map