import type { PropType } from 'vue';
/**
 * Provides a scoped slot with the selected filters from every facet, or from the facet which
 * facet id is passed as property.
 *
 * The default slot renders the length of the selected filters array.
 * The property "alwaysVisible" handles if the component is rendered if no filters are selected.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** Array of facets ids used to get the selected filters for those facets. */
    facetsIds: PropType<(string | number)[]>;
    /** Flag to render the component even if there are no filters selected. */
    alwaysVisible: BooleanConstructor;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> | "", unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** Array of facets ids used to get the selected filters for those facets. */
    facetsIds: PropType<(string | number)[]>;
    /** Flag to render the component even if there are no filters selected. */
    alwaysVisible: BooleanConstructor;
}>>, {
    alwaysVisible: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=selected-filters.vue?vue&type=script&lang.d.ts.map