import type { Filter } from '@empathyco/x-types';
import type { PropType } from 'vue';
import type { VueCSSClasses } from '../../../../utils';
/**
 * Component that slices a list of filters and returns them using the default scoped slot,
 * allowing the user to show the full list of them or slicing them again using the
 * show more/less buttons.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The list of filters to be rendered as slots.
     *
     * @public
     */
    filters: PropType<Filter[]>;
    /**
     * This prop is used in the `HierarchicalFilter` component and only in that case. It is necessary
     * to make the `renderedFilters` to return only the filters of each level of the hierarchy.
     */
    parentId: {
        type: PropType<string | number>;
        required: false;
    };
    /** The maximum number of filters to show. */
    max: {
        type: NumberConstructor;
        required: true;
    };
    buttonClass: StringConstructor;
}, {
    cssClasses: import("vue").ComputedRef<VueCSSClasses>;
    toggleShowMoreFilters: (event: MouseEvent) => void;
    showButton: import("vue").ComputedRef<boolean>;
    difference: import("vue").ComputedRef<number>;
    slicedFilters: import("vue").ComputedRef<Filter[]>;
    showMoreFilters: import("vue").Ref<boolean>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("click:show-less" | "click:show-more")[], "click:show-less" | "click:show-more", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The list of filters to be rendered as slots.
     *
     * @public
     */
    filters: PropType<Filter[]>;
    /**
     * This prop is used in the `HierarchicalFilter` component and only in that case. It is necessary
     * to make the `renderedFilters` to return only the filters of each level of the hierarchy.
     */
    parentId: {
        type: PropType<string | number>;
        required: false;
    };
    /** The maximum number of filters to show. */
    max: {
        type: NumberConstructor;
        required: true;
    };
    buttonClass: StringConstructor;
}>> & {
    "onClick:show-less"?: ((...args: any[]) => any) | undefined;
    "onClick:show-more"?: ((...args: any[]) => any) | undefined;
}, {}, {}>;
export default _default;
//# sourceMappingURL=sliced-filters.vue?vue&type=script&lang.d.ts.map