import type { Filter } from '@empathyco/x-types';
import type { PropType } from 'vue';
/**
 * Component that sorts a list of filters and returns them using the default scoped slot.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The list of filters to be rendered as slots.
     *
     * @public
     */
    filters: PropType<Filter[]>;
    /**
     * This prop is used in the `HierarchicalFilter` component and only in that case. It is necessary
     * to make the `renderedFilters` to return only the filters of each level of the hierarchy.
     *
     * @public
     */
    parentId: {
        type: PropType<string | number>;
        required: false;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> | "", unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The list of filters to be rendered as slots.
     *
     * @public
     */
    filters: PropType<Filter[]>;
    /**
     * This prop is used in the `HierarchicalFilter` component and only in that case. It is necessary
     * to make the `renderedFilters` to return only the filters of each level of the hierarchy.
     *
     * @public
     */
    parentId: {
        type: PropType<string | number>;
        required: false;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=sorted-filters.vue?vue&type=script&lang.d.ts.map