import type { Facet, Filter } from '@empathyco/x-types';
import type { ComputedRef } from 'vue';
import type { FiltersByFacet } from '../store/types';
/**
 * Composable to share Facets logic.
 *
 * @param props - Composable props.
 * @returns Composable.
 * @public
 */
export declare function useFacets(props: {
    /** Array of facets ids used to get the selected filters for those facets. */
    facetsIds?: Array<Facet['id']>;
    /** Flag to render the component even if there are no filters selected. */
    alwaysVisible?: boolean;
}): {
    selectedFiltersByFacet: ComputedRef<FiltersByFacet>;
    selectedFilters: ComputedRef<Filter[]>;
    hasSelectedFilters: ComputedRef<boolean>;
    isVisible: ComputedRef<boolean>;
};
//# sourceMappingURL=use-facets.d.ts.map