import type { Filter } from '@empathyco/x-types';
/**
 * Composable to share filters injection logic.
 *
 * @param props - Composable props.
 * @returns An array of filters.
 * @public
 */
export declare function useFiltersInjection(props: {
    /** The list of filters to be rendered as slots. */
    filters?: Filter[];
    /**
      This prop is used in the `HierarchicalFilter` component and only in that case. It is necessary
     to make the `renderedFilters` to return only the filters of each level of the hierarchy.
     */
    parentId?: Filter['id'];
}): import("vue").ComputedRef<Filter[]>;
//# sourceMappingURL=use-filters-injection.d.ts.map