import type { Filter } from '@empathyco/x-types';
import type { Store } from 'vuex';
import type { FilterEntity } from './types';
import { isRawFilter } from '@empathyco/x-types';
/**
 * Allows selecting and deselecting a filter of {@link @empathyco/x-types#RawFilter | RawFilter}.
 *
 * @internal
 */
export declare class RawFilterEntity implements FilterEntity {
    protected store: Store<unknown>;
    static accepts: typeof isRawFilter;
    constructor(store: Store<unknown>);
    /**
     * It deselects the {@link @empathyco/x-types#RawFilter | RawFilter}.
     *
     * @param filterParam - The filter to deselect.
     * @remarks As the {@link @empathyco/x-types#RawFilter.selected} is always true,
     * the deselection just removes the filter from the store.
     */
    deselect(filterParam: Filter): void;
    /**
     * It selects the {@link @empathyco/x-types#RawFilter | RawFilter}.
     *
     * @param filterParam - The filter to select.
     * @remarks As the {@link @empathyco/x-types#RawFilter.selected} is always true,
     * there is no need to set this property.
     */
    select(filterParam: Filter): void;
}
//# sourceMappingURL=raw-filter.entity.d.ts.map