import type { Filter } from '@empathyco/x-types';
import type { Store } from 'vuex';
import type { RootXStoreState } from '../../../store/store.types';
import type { FilterEntity } from './types';
import { isSimpleFilter } from '@empathyco/x-types';
/**
 * Allows selecting and deselecting a filter of {@link SimpleFilter}.
 *
 * @internal
 */
export declare class SimpleFilterEntity implements FilterEntity {
    protected store: Store<RootXStoreState>;
    static accepts: typeof isSimpleFilter;
    constructor(store: Store<RootXStoreState>);
    /**
     * Deselects and saves to the store the given filter.
     *
     * @param filterParam - The filter to deselect.
     */
    deselect(filterParam: Filter): void;
    /**
     * Selects and saves to the store the given filter.
     *
     * @param filterParam - The filter to select.
     */
    select(filterParam: Filter): void;
}
//# sourceMappingURL=simple-filter.entity.d.ts.map