import type { FacetsXStoreModule } from '../types';
/**
 * Default implementation for the {@link FacetsGetters.selectedFiltersByFacet} getter.
 *
 * @param state - Current {@link https://vuex.vuejs.org/guide/state.html | state} of the facets
 * module.
 * @param getters - Current {@link https://vuex.vuejs.org/guide/getters.html | getters} of the
 * facets' module.
 *
 * @returns A record containing the selected filters indexed by its facet id.
 * @remarks If there are filters without facetId (RawFilter), they will be grouped under
 * the UNKNOWN_FACET_KEY constant.
 *
 * @public
 */
export declare const selectedFiltersByFacet: FacetsXStoreModule['getters']['selectedFiltersByFacet'];
//# sourceMappingURL=selected-filters-by-facet.getter.d.ts.map