import type { Facet } from '@empathyco/x-types';
import type { UrlParams } from '../../types/url-params';
/**
 * Sets the filters of the facets module from a queryPreview's filters.
 *
 * @public
 */
export declare const setSelectedFiltersFromPreview: import("../../wiring/wiring.types").AnyWire;
/**
 * Sets the filters of the facets module from a selectedHistoryQuery's filters.
 *
 * @public
 */
export declare const setFiltersFromHistoryQueries: import("../../wiring/wiring.types").AnyWire;
/**
 * Sets the query of the facets module from a queryPreview.
 *
 * @public
 */
export declare const setQueryFromPreview: import("../../wiring/wiring.types").AnyWire;
/**
 * Wiring configuration for the {@link FacetsXModule | facets module}.
 *
 * @internal
 */
export declare const facetsWiring: {
    ParamsLoadedFromUrl: {
        clearAllFiltersWire: import("../../wiring/wiring.types").AnyWire;
        setFiltersFromUrl: import("../../wiring/wiring.types").Wire<UrlParams>;
    };
    PreselectedFiltersProvided: {
        updatePreselectedFilters: import("../../wiring/wiring.types").Wire<import("@empathyco/x-types").Filter[]>;
    };
    FacetsChanged: {
        updateFacetsGroupWithSearchFacetsWire: import("../../wiring/wiring.types").Wire<Facet[]>;
    };
    FacetsGroupProvided: {
        setFacetsGroupWire: import("../../wiring/wiring.types").Wire<import("./service").FacetsGroup>;
    };
    UserAcceptedAQuery: {
        setQuery: import("../../wiring/wiring.types").Wire<string>;
    };
    FacetsQueryChanged: {
        clearAllFiltersOnSecondQuery: import("../../wiring/wiring.types").Wire<any>;
    };
    UserChangedExtraParams: {
        clearAllFiltersButStickyWire: import("../../wiring/wiring.types").AnyWire;
    };
    UserClickedAFilter: {
        toggleFilterWire: import("../../wiring/wiring.types").Wire<import("@empathyco/x-types").Filter>;
    };
    UserClickedClearAllFilters: {
        clearFiltersWire: import("../../wiring/wiring.types").Wire<(string | number)[] | undefined>;
    };
    UserModifiedEditableNumberRangeFilter: {
        selectFilterWire: import("../../wiring/wiring.types").Wire<import("@empathyco/x-types").Filter | import("@empathyco/x-types").Filter[]>;
    };
    UserClickedAllFilter: {
        clearFiltersWire: import("../../wiring/wiring.types").Wire<(string | number)[] | undefined>;
    };
    UserClearedQuery: {
        clearAllFiltersButStickyWire: import("../../wiring/wiring.types").AnyWire;
        setQuery: import("../../wiring/wiring.types").Wire<string>;
    };
    UserClickedOpenX: {
        selectPreselectedFilterWire: import("../../wiring/wiring.types").Wire<undefined>;
    };
    SearchResponseChanged: {
        clearStickyFilters: import("../../wiring/wiring.types").Wire<import("../search").InternalSearchResponse>;
    };
    UserAcceptedAQueryPreview: {
        setQueryFromPreview: import("../../wiring/wiring.types").AnyWire;
        setSelectedFiltersFromPreview: import("../../wiring/wiring.types").AnyWire;
    };
    UserSelectedAHistoryQuery: {
        setFiltersFromHistoryQueries: import("../../wiring/wiring.types").AnyWire;
    };
};
//# sourceMappingURL=wiring.d.ts.map