import type { HistoryQuery as HistoryQueryModel } from '@empathyco/x-types';
import type { PropType } from 'vue';
import type { XEventsTypes } from '../../../wiring/events.types';
/**
 * This component renders a history query suggestion combining two buttons: one for selecting this
 * suggestion as the search query, and another one to remove this query suggestion from the
 * history queries.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The history query suggestion to render.
     *
     * @public
     */
    suggestion: {
        type: PropType<HistoryQueryModel>;
        required: true;
    };
    /** Class inherited by content element. */
    removeButtonClass: StringConstructor;
    /** Class inherited by content element. */
    suggestionClass: StringConstructor;
}, {
    query: import("vue").ComputedRef<string>;
    suggestionSelectedEvents: import("vue").ComputedRef<Partial<XEventsTypes>>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "click"[], "click", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The history query suggestion to render.
     *
     * @public
     */
    suggestion: {
        type: PropType<HistoryQueryModel>;
        required: true;
    };
    /** Class inherited by content element. */
    removeButtonClass: StringConstructor;
    /** Class inherited by content element. */
    suggestionClass: StringConstructor;
}>> & {
    onClick?: ((...args: any[]) => any) | undefined;
}, {}, {}>;
export default _default;
//# sourceMappingURL=history-query.vue?vue&type=script&lang.d.ts.map