import type { HistoryQuery as HistoryQueryType } from '@empathyco/x-types';
import type { Dictionary } from '@empathyco/x-utils';
/**
 * The component renders the full history of user searched queries grouped by the day
 * they were performed.
 *
 * @remarks
 *
 * Allows the user to select one of them, emitting the needed events.
 * A history query is just another type of suggestion that contains a query that the user has
 * made in the past.
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Animation component that will be used to animate the suggestions.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * The current locale.
     *
     * @public
     */
    locale: {
        type: StringConstructor;
        default: string;
    };
    /** Class inherited by content element. */
    queriesListClass: StringConstructor;
}, {
    hasHistoryQueries: import("vue").ComputedRef<boolean>;
    groupByDate: import("vue").ComputedRef<Dictionary<HistoryQueryType[]>>;
    historyQueries: import("vue").ComputedRef<HistoryQueryType[]>;
    formatTime: (timestamp: number) => string;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Animation component that will be used to animate the suggestions.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * The current locale.
     *
     * @public
     */
    locale: {
        type: StringConstructor;
        default: string;
    };
    /** Class inherited by content element. */
    queriesListClass: StringConstructor;
}>>, {
    animation: string | Function | Record<string, any>;
    locale: string;
}, {}>;
export default _default;
//# sourceMappingURL=my-history.vue?vue&type=script&lang.d.ts.map