import type { HistoryQuery } from '@empathyco/x-types';
import type { PropType } from 'vue';
import type { XEventsTypes } from '../../../wiring/events.types';
/**
 * Button that when it is pressed emits the
 * {@link HistoryQueriesXEvents.UserPressedRemoveHistoryQuery} event, expressing the user
 * intention to remove a query in the history.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The historyQuery that will be removed when clicking the clear button.
     *
     * @public
     */
    historyQuery: {
        type: PropType<HistoryQuery>;
        required: true;
    };
}, {
    removeHistoryQueryEvent: import("vue").ComputedRef<Partial<XEventsTypes>>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The historyQuery that will be removed when clicking the clear button.
     *
     * @public
     */
    historyQuery: {
        type: PropType<HistoryQuery>;
        required: true;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=remove-history-query.vue?vue&type=script&lang.d.ts.map