import type { HistoryQueriesXStoreModule } from '../types';
/**
 * Default implementation for the
 * {@link HistoryQueriesActions.updateHistoryQueriesWithSearchResponse} action.
 *
 * The matching history query will only be updated on the following scenarios:
 * 1. If it is part of a previous session, not the current one.
 * 2. If its total results count has not been registered yet.
 * 3. If there is a new search response.
 *
 * @param context - The {@link https://vuex.vuejs.org/guide/actions.html | context} of the actions,
 * provided by Vuex.
 * @param searchResponse - The search response to update history queries with.
 * @returns A `void` promise that resolves when the history query finishes updating.
 * @public
 */
export declare const updateHistoryQueriesWithSearchResponse: HistoryQueriesXStoreModule['actions']['updateHistoryQueriesWithSearchResponse'];
//# sourceMappingURL=update-history-queries-with-search-response.action.d.ts.map