import type { Result } from '@empathyco/x-types';
/**
 * Paints the list of identifier results stored in the state. Each identifier result should be
 * represented by a {@link IdentifierResult} component besides any
 * other component.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Animation component that will be used to animate the identifier results.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * Number of identifier results to render.
     *
     * @public
     */
    maxItemsToRender: NumberConstructor;
}, {
    identifierResults: import("vue").ComputedRef<Result[]>;
    identifierResultsToRender: import("vue").ComputedRef<Result[]>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Animation component that will be used to animate the identifier results.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * Number of identifier results to render.
     *
     * @public
     */
    maxItemsToRender: NumberConstructor;
}>>, {
    animation: string | Function | Record<string, any>;
}, {}>;
export default _default;
//# sourceMappingURL=identifier-results.vue?vue&type=script&lang.d.ts.map