/**
 * Sets the identifier-results module query.
 *
 * @public
 */
export declare const setIdentifierResultsQuery: import("../..").Wire<string>;
/**
 * Sets the identifier-results module query from a selectedQueryPreview's query.
 *
 * @public
 */
export declare const setIdentifierResultsQueryFromPreview: import("../..").AnyWire;
/**
 * Clears the identifier-results module query.
 *
 * @public
 */
export declare const clearIdentifierResultsQuery: import("../..").AnyWire;
/**
 * Requests and stores a new set of identifier results for the query.
 *
 * @public
 */
export declare const fetchAndSaveIdentifierResultsWire: import("../..").Wire<import("@empathyco/x-types").IdentifierResultsRequest | null>;
/**
 * Cancels the {@link IdentifierResultsActions.fetchAndSaveIdentifierResults} request promise.
 *
 * @public
 */
export declare const cancelFetchAndSaveIdentifierResultsWire: import("../..").AnyWire;
/**
 * Sets the identifier results state `origin`.
 *
 * @public
 */
export declare const saveIdentifierResultsOriginWire: import("../..").AnyWire;
/**
 * Sets the identifier result state `params`.
 *
 * @public
 */
export declare const setIdentifierResultsExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
/**
 * Default wiring for the {@link IdentifierResultsXModule} module.
 *
 * @internal
 */
export declare const identifierResultsWiring: {
    ParamsLoadedFromUrl: {
        setUrlParams: import("../..").AnyWire;
        saveIdentifierResultsOriginWire: import("../..").AnyWire;
    };
    UserIsTypingAQuery: {
        setIdentifierResultsQueryDebounce: import("../..").Wire<string>;
    };
    UserAcceptedAQuery: {
        setIdentifierResultsQuery: import("../..").Wire<string>;
        saveIdentifierResultsOriginWire: import("../..").AnyWire;
    };
    UserClearedQuery: {
        clearIdentifierResultsQuery: import("../..").AnyWire;
        cancelFetchAndSaveIdentifierResultsWire: import("../..").AnyWire;
    };
    IdentifierResultsRequestUpdated: {
        fetchAndSaveIdentifierResultsWire: import("../..").Wire<import("@empathyco/x-types").IdentifierResultsRequest | null>;
    };
    ExtraParamsChanged: {
        setIdentifierResultsExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
    };
    UserClickedCloseX: {
        clearIdentifierResultsQuery: import("../..").AnyWire;
    };
    UserClickedOutOfMainModal: {
        clearIdentifierResultsQuery: import("../..").AnyWire;
    };
    UserAcceptedAQueryPreview: {
        setIdentifierResultsQueryFromPreview: import("../..").AnyWire;
        saveIdentifierResultsOriginWire: import("../..").AnyWire;
    };
};
//# sourceMappingURL=wiring.d.ts.map