/**
 * Component that inserts groups of next queries in different positions of the injected search
 * items list, based on the provided configuration.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** Animation component that will be used to animate the next queries groups. */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /** The first index to insert a group of next queries at. */
    offset: {
        type: NumberConstructor;
        default: number;
    };
    /** The items cycle size to keep inserting next queries groups at. */
    frequency: {
        type: NumberConstructor;
        default: number;
    };
    /** The maximum amount of next queries to add in a single group. */
    maxNextQueriesPerGroup: {
        type: NumberConstructor;
        default: number;
    };
    /** The maximum number of groups to insert into the injected list items list. */
    maxGroups: NumberConstructor;
    /**
     * Determines if a group is added to the injected items list in case the number
     * of items is smaller than the offset.
     */
    showOnlyAfterOffset: {
        type: BooleanConstructor;
        default: boolean;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** Animation component that will be used to animate the next queries groups. */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /** The first index to insert a group of next queries at. */
    offset: {
        type: NumberConstructor;
        default: number;
    };
    /** The items cycle size to keep inserting next queries groups at. */
    frequency: {
        type: NumberConstructor;
        default: number;
    };
    /** The maximum amount of next queries to add in a single group. */
    maxNextQueriesPerGroup: {
        type: NumberConstructor;
        default: number;
    };
    /** The maximum number of groups to insert into the injected list items list. */
    maxGroups: NumberConstructor;
    /**
     * Determines if a group is added to the injected items list in case the number
     * of items is smaller than the offset.
     */
    showOnlyAfterOffset: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    animation: string | Function | Record<string, any>;
    offset: number;
    frequency: number;
    maxNextQueriesPerGroup: number;
    showOnlyAfterOffset: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=next-queries-list.vue?vue&type=script&lang.d.ts.map