import type { NextQuery as NextQueryModel } from '@empathyco/x-types';
import type { PropType } from 'vue';
/**
 * Simple next-queries component that renders a list of
 * [`BaseSuggestions`](./x-components.base-suggestions.md),
 * allowing the user to select one of them, and emitting the needed events. A next query is a
 * suggestion for a new search, related to your previous query. I.e. If people normally search
 * for `shirts`, and then `trousers`, `trousers` would be a next query of `shirts`.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Flag to indicate if the curated next queries should be displayed different.
     *
     * @public
     */
    highlightCurated: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * NextQueries list to be used instead of state NextQueries.
     *
     * @public
     */
    suggestions: PropType<NextQueryModel[]>;
}, {
    renderedNextQueries: import("vue").ComputedRef<NextQueryModel[]>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Flag to indicate if the curated next queries should be displayed different.
     *
     * @public
     */
    highlightCurated: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * NextQueries list to be used instead of state NextQueries.
     *
     * @public
     */
    suggestions: PropType<NextQueryModel[]>;
}>>, {
    highlightCurated: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=next-queries.vue?vue&type=script&lang.d.ts.map