import type { NextQuery, PreviewResults } from '@empathyco/x-types';
import type { PropType } from 'vue';
/**
 * Retrieves a preview of the results of a next query and exposes them in the default slot,
 * along with the next query and the totalResults of the search request.
 * By default, it renders the names of the results.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The next query to retrieve the results preview.
     *
     * @public
     */
    suggestion: {
        type: PropType<NextQuery>;
        required: true;
    };
    /**
     * Number of suggestion results to be rendered.
     *
     * @public
     */
    maxItemsToRender: NumberConstructor;
}, {
    suggestionResults: import("vue").ComputedRef<PreviewResults | undefined>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The next query to retrieve the results preview.
     *
     * @public
     */
    suggestion: {
        type: PropType<NextQuery>;
        required: true;
    };
    /**
     * Number of suggestion results to be rendered.
     *
     * @public
     */
    maxItemsToRender: NumberConstructor;
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=next-query-preview.vue?vue&type=script&lang.d.ts.map