import type { NextQuery as NextQueryModel } from '@empathyco/x-types';
import type { PropType } from 'vue';
import type { XEventsTypes } from '../../../wiring/events.types';
/**
 * Renders a next query item which receives the suggestion that will be rendered as a prop. It
 * exposes a default slot to change the next query content. If the slot is not overridden,
 * it will render the suggestion query by default.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The suggestion to render and use in the default slot.
     *
     * @public
     */
    suggestion: {
        type: PropType<NextQueryModel>;
        required: true;
    };
    /**
     * Indicates if the curated next query should be highlighted.
     *
     * @public
     */
    highlightCurated: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    events: import("vue").ComputedRef<Partial<XEventsTypes>>;
    shouldHighlightCurated: import("vue").ComputedRef<boolean>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The suggestion to render and use in the default slot.
     *
     * @public
     */
    suggestion: {
        type: PropType<NextQueryModel>;
        required: true;
    };
    /**
     * Indicates if the curated next query should be highlighted.
     *
     * @public
     */
    highlightCurated: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    highlightCurated: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=next-query.vue?vue&type=script&lang.d.ts.map