/**
 * Sets the next queries state `query`.
 *
 * @public
 */
export declare const setNextQueriesQuery: import("../..").Wire<string>;
/**
 * Sets the next queries state `relatedTags`.
 *
 * @public
 */
export declare const setNextQueriesRelatedTags: import("../..").Wire<import("@empathyco/x-types").RelatedTag[]>;
/**
 * Sets the next queries state `query` with a selectedQueryPreview's query.
 *
 * @public
 */
export declare const setNextQueriesQueryFromPreview: import("../..").AnyWire;
/**
 * Sets the next queries state `params`.
 *
 * @public
 */
export declare const setNextQueriesExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
/**
 * Sets the next queries state `params` with a selectedQueryPreview's extraParams.
 *
 * @public
 */
export declare const setNextQueriesExtraParamsFromPreview: import("../..").AnyWire;
/**
 * Requests and stores the next queries.
 *
 * @public
 */
export declare const fetchAndSaveNextQueriesWire: import("../..").Wire<import("@empathyco/x-types").NextQueriesRequest | null>;
/**
 * Sets the next queries state `query` with the last query in history queries.
 *
 * @public
 */
export declare const setQueryFromLastHistoryQueryWire: import("../..").Wire<import("@empathyco/x-types").HistoryQuery[]>;
/**
 * Requests and store the next query preview results.
 *
 * @public
 */
export declare const fetchAndSaveNextQueryPreviewWire: import("../..").AnyWire;
/**
 * Resets the next query preview results.
 *
 * @public
 */
export declare const resetResultsPreviewWire: import("../..").AnyWire;
/**
 * Sets the next queries state `searchedQueries` with the list of history queries.
 *
 * @public
 */
export declare const setSearchedQueries: import("../..").Wire<import("@empathyco/x-types").HistoryQuery[]>;
/**
 * Wiring configuration for the {@link NextQueriesXModule | next queries module}.
 *
 * @internal
 */
export declare const nextQueriesWiring: {
    ParamsLoadedFromUrl: {
        setUrlParams: import("../..").Wire<import("../..").UrlParams>;
    };
    NextQueriesChanged: {
        resetResultsPreviewWire: import("../..").AnyWire;
    };
    UserAcceptedAQuery: {
        setNextQueriesQuery: import("../..").Wire<string>;
    };
    SelectedRelatedTagsChanged: {
        setNextQueriesRelatedTags: import("../..").Wire<import("@empathyco/x-types").RelatedTag[]>;
    };
    SessionHistoryQueriesChanged: {
        setSearchedQueries: import("../..").Wire<import("@empathyco/x-types").HistoryQuery[]>;
        setQueryFromLastHistoryQueryWire: import("../..").Wire<import("@empathyco/x-types").HistoryQuery[]>;
    };
    NextQueriesRequestUpdated: {
        fetchAndSaveNextQueriesWire: import("../..").Wire<import("@empathyco/x-types").NextQueriesRequest | null>;
    };
    ExtraParamsChanged: {
        setNextQueriesExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
    };
    NextQueryPreviewMountedHook: {
        fetchAndSaveNextQueryPreviewWire: import("../..").AnyWire;
    };
    UserAcceptedAQueryPreview: {
        setNextQueriesQueryFromPreview: import("../..").AnyWire;
        setNextQueriesExtraParamsFromPreview: import("../..").AnyWire;
    };
};
//# sourceMappingURL=wiring.d.ts.map