import type { Suggestion } from '@empathyco/x-types';
import type { PropType } from 'vue';
import type { XEventsTypes } from '../../../wiring/events.types';
/**
 * Renders a popular search item which receives the suggestion that will be rendered as a prop. It
 * exposes a default slot to change the popular search content. If the slot is not overridden,
 * it will render the suggestion query by default.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The suggestion to render and use in the default slot.
     *
     * @public
     */
    suggestion: {
        type: PropType<Suggestion>;
        required: true;
    };
}, {
    events: import("vue").ComputedRef<Partial<XEventsTypes>>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The suggestion to render and use in the default slot.
     *
     * @public
     */
    suggestion: {
        type: PropType<Suggestion>;
        required: true;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=popular-search.vue?vue&type=script&lang.d.ts.map