import type { PropType } from 'vue';
import type { XEventsTypes } from '../../../wiring/events.types';
import type { WireMetadata } from '../../../wiring/index';
import type { QueryPreviewInfo } from '../store/types';
/**
 * Component containing an event button that emits
 * {@link QueriesPreviewXEvents.UserAcceptedAQueryPreview} when clicked with
 * the full query preview info as payload.
 *
 * It has a default slot to customize its contents.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The information about the request of the query preview.
     *
     * @public
     */
    queryPreviewInfo: {
        type: PropType<QueryPreviewInfo>;
        required: true;
    };
    /**
     * The metadata property for the request on each query preview.
     *
     * @public
     */
    metadata: {
        type: PropType<Omit<WireMetadata, "moduleName">>;
    };
}, {
    fullQueryPreviewInfo: import("vue").ComputedRef<QueryPreviewInfo>;
    events: import("vue").ComputedRef<Partial<XEventsTypes>>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The information about the request of the query preview.
     *
     * @public
     */
    queryPreviewInfo: {
        type: PropType<QueryPreviewInfo>;
        required: true;
    };
    /**
     * The metadata property for the request on each query preview.
     *
     * @public
     */
    metadata: {
        type: PropType<Omit<WireMetadata, "moduleName">>;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=query-preview-button.vue?vue&type=script&lang.d.ts.map