/**
 * Composable helpers for the QueriesPreview module.
 */
interface UseQueriesPreview {
    /**
     * Checks if any of the queries passed have results in the queries previews.
     *
     * @param queries - The queries to check.
     * @returns True if some query has results.
     */
    isAnyQueryLoadedInPreview: (queries: string[]) => boolean;
    /**
     * Checks if the query passed has results in the queries preview.
     *
     * @param query - The query to check.
     * @returns True if the query has results.
     */
    isQueryLoadedInPreview: (query: string) => boolean;
}
/**
 * Composable helpers for the QueriesPreview module.
 *
 * @returns Composable with helpers.
 *
 * @public
 */
export declare const useQueriesPreview: () => UseQueriesPreview;
export {};
//# sourceMappingURL=use-queries-preview.composable.d.ts.map