/**
 * Requests and stores the cacheable query preview results.
 *
 * @public
 */
export declare const fetchAndSaveQueryPreviewWire: import("../..").Wire<import("@empathyco/x-types").SearchRequest>;
/**
 * Clears a query preview from queries preview module.
 *
 * @public
 */
export declare const clearQueryPreviewWire: import("../..").Wire<string>;
/**
 * Sets the queries preview state `params`.
 *
 * @public
 */
export declare const setQueriesPreviewExtraParamsWire: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
/**
 * Updates the state with the selected query preview object.
 *
 * @public
 */
export declare const setSelectedQueryPreviewWire: import("../..").Wire<import("./store").QueryPreviewInfo | null>;
/**
 * Clears the selected query preview object from queries preview module.
 *
 * @public
 */
export declare const clearSelectedQueryPreviewWire: import("../..").AnyWire;
/**
 * Adds a new instance in a query preview.
 *
 * @public
 */
export declare const addQueryPreviewInstanceWire: import("../..").Wire<string>;
/**
 * Removes an instance in a query preview.
 *
 * @public
 */
export declare const removeQueryPreviewInstanceWire: import("../..").Wire<{
    queryPreviewHash: string;
    cache: boolean;
}>;
/**
 * Wiring configuration for the {@link QueriesPreviewXModule | queriesPreview module}.
 *
 * @internal
 */
export declare const queriesPreviewWiring: {
    QueryPreviewRequestUpdated: {
        fetchAndSaveQueryPreviewWire: import("../..").Wire<import("@empathyco/x-types").SearchRequest>;
    };
    NonCacheableQueryPreviewUnmounted: {
        clearQueryPreviewWire: import("../..").Wire<string>;
    };
    UserAcceptedAQueryPreview: {
        setSelectedQueryPreviewWire: import("../..").Wire<import("./store").QueryPreviewInfo | null>;
    };
    ExtraParamsChanged: {
        setQueriesPreviewExtraParamsWire: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
    };
    UserClearedQuery: {
        clearSelectedQueryPreviewWire: import("../..").AnyWire;
    };
    UserClickedCloseX: {
        clearSelectedQueryPreviewWire: import("../..").AnyWire;
    };
    UserClickedOutOfMainModal: {
        clearSelectedQueryPreviewWire: import("../..").AnyWire;
    };
    UserSelectedAHistoryQuery: {
        clearSelectedQueryPreviewWire: import("../..").AnyWire;
    };
    QueryPreviewMounted: {
        addQueryPreviewInstanceWire: import("../..").Wire<string>;
    };
    QueryPreviewUnmounted: {
        removeQueryPreviewInstanceWire: import("../..").Wire<{
            queryPreviewHash: string;
            cache: boolean;
        }>;
    };
};
//# sourceMappingURL=wiring.d.ts.map