import type { Suggestion } from '@empathyco/x-types';
import type { PropType } from 'vue';
/**
 * This component renders a suggestion for a query. A query suggestion is a recommended query
 * based on previous search queries. It contains the query itself and a set of filters associated.
 * For example, if you're searching for _shirt_, a query suggestion could be _long sleeve shirt_.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** The suggestion to render. */
    suggestion: {
        type: PropType<Suggestion>;
        required: true;
    };
}, {
    query: import("vue").ComputedRef<string>;
    suggestionSelectedEvents: {
        UserSelectedAQuerySuggestion: Suggestion;
    };
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** The suggestion to render. */
    suggestion: {
        type: PropType<Suggestion>;
        required: true;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=query-suggestion.vue?vue&type=script&lang.d.ts.map