/**
 * Sets the query-suggestions module query.
 *
 * @public
 */
export declare const setQuerySuggestionsQuery: import("../..").Wire<string>;
/**
 * Sets the query-suggestions module query from a selectedQueryPreview's query.
 *
 * @public
 */
export declare const setQuerySuggestionsQueryFromPreview: import("../..").AnyWire;
/**
 * Sets the query-suggestions module params from a selectedQueryPreview's extraParams.
 *
 * @public
 */
export declare const setQuerySuggestionsExtraParamsFromPreview: import("../..").AnyWire;
/**
 * Sets the query suggestions state `params`.
 *
 * @public
 */
export declare const setQuerySuggestionsExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
/**
 * Sets the query suggestions state `searchedQueries` with the list of history queries.
 *
 * @public
 */
export declare const setSearchedQueriesInSuggestions: import("../..").Wire<import("@empathyco/x-types").HistoryQuery[]>;
/**
 * Clears the query-suggestions module query.
 *
 * @public
 */
export declare const clearQuerySuggestionsQuery: import("../..").AnyWire;
/**
 * Requests and stores a new set of query suggestions for the query.
 *
 * @public
 */
export declare const fetchAndSaveSuggestionsWire: import("../..").Wire<import("@empathyco/x-types").QuerySuggestionsRequest | null>;
/**
 * Cancels the {@link QuerySuggestionsActions.fetchAndSaveSuggestions} request promise.
 *
 * @public
 */
export declare const cancelFetchAndSaveSuggestionsWire: import("../..").AnyWire;
/**
 * QuerySuggestions wiring.
 *
 * @internal
 */
export declare const querySuggestionsWiring: {
    ParamsLoadedFromUrl: {
        setUrlParams: import("../..").Wire<import("../..").UrlParams>;
    };
    UserIsTypingAQuery: {
        setQuerySuggestionsQueryDebounce: import("../..").Wire<string>;
    };
    UserAcceptedAQuery: {
        setQuerySuggestionsQuery: import("../..").Wire<string>;
    };
    UserClearedQuery: {
        clearQuerySuggestionsQuery: import("../..").AnyWire;
        cancelFetchAndSaveSuggestionsWire: import("../..").AnyWire;
    };
    QuerySuggestionsRequestUpdated: {
        fetchAndSaveSuggestionsWire: import("../..").Wire<import("@empathyco/x-types").QuerySuggestionsRequest | null>;
    };
    ExtraParamsChanged: {
        setQuerySuggestionsExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
    };
    UserClickedCloseX: {
        clearQuerySuggestionsQuery: import("../..").AnyWire;
    };
    UserClickedOutOfMainModal: {
        clearQuerySuggestionsQuery: import("../..").AnyWire;
    };
    UserAcceptedAQueryPreview: {
        setQuerySuggestionsQueryFromPreview: import("../..").AnyWire;
        setQuerySuggestionsExtraParamsFromPreview: import("../..").AnyWire;
    };
    QueryPreviewUnselected: {
        setQuerySuggestionsExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
    };
    SessionHistoryQueriesChanged: {
        setSearchedQueriesInSuggestions: import("../..").Wire<import("@empathyco/x-types").HistoryQuery[]>;
    };
};
//# sourceMappingURL=wiring.d.ts.map