import type { Result } from '@empathyco/x-types';
/**
 * It renders a list of recommendations from the
 * {@link RecommendationsState.recommendations} state by default.
 * The component provides the slot layout which wraps the whole component with the
 * recommendations bounded. It also provides the default slot to customize the item, which is
 * within the layout slot, with the recommendation bounded. Each recommendation should be
 * represented by a {@link BaseResultLink} component besides any other component.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** Animation component that will be used to animate the recommendations. */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /** Number of recommendations to be rendered. */
    maxItemsToRender: NumberConstructor;
}, {
    recommendations: import("vue").ComputedRef<Result[]>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** Animation component that will be used to animate the recommendations. */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /** Number of recommendations to be rendered. */
    maxItemsToRender: NumberConstructor;
}>>, {
    animation: string | Function | Record<string, any>;
}, {}>;
export default _default;
//# sourceMappingURL=recommendations.vue?vue&type=script&lang.d.ts.map