/**
 * Component that inserts groups of related prompts in different positions of the injected search
 * items list, based on the provided configuration.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Animation component that will be used to animate the related prompts groups.
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * The first index to insert a group of related prompts at.
     */
    offset: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The items cycle size to keep inserting related prompts groups at.
     */
    frequency: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The maximum amount of related prompts to add in a single group.
     */
    maxRelatedPromptsPerGroup: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The maximum number of groups to insert into the injected list items list.
     */
    maxGroups: {
        type: NumberConstructor;
        default: undefined;
    };
    /**
     * Determines if a group is added to the injected items list in case the number
     * of items is smaller than the offset.
     */
    showOnlyAfterOffset: {
        type: BooleanConstructor;
        default: boolean;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Animation component that will be used to animate the related prompts groups.
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * The first index to insert a group of related prompts at.
     */
    offset: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The items cycle size to keep inserting related prompts groups at.
     */
    frequency: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The maximum amount of related prompts to add in a single group.
     */
    maxRelatedPromptsPerGroup: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The maximum number of groups to insert into the injected list items list.
     */
    maxGroups: {
        type: NumberConstructor;
        default: undefined;
    };
    /**
     * Determines if a group is added to the injected items list in case the number
     * of items is smaller than the offset.
     */
    showOnlyAfterOffset: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    animation: string | Function | Record<string, any>;
    offset: number;
    frequency: number;
    maxRelatedPromptsPerGroup: number;
    maxGroups: number;
    showOnlyAfterOffset: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=related-prompts-list.vue?vue&type=script&lang.d.ts.map