/**
 * Wiring configuration for the {@link RelatedPromptsXModule | related prompts module}.
 *
 * @internal
 */
export declare const relatedPromptsWiring: {
    ParamsLoadedFromUrl: {
        setUrlParams: import("../..").Wire<import("../..").UrlParams>;
    };
    ExtraParamsChanged: {
        setExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
    };
    UserAcceptedAQuery: {
        setRelatedPromptsQuery: import("../..").Wire<string>;
        resetRelatedPrompt: import("../..").AnyWire;
    };
    UserAcceptedAQueryPreview: {
        setRelatedPromptsQueryFromPreview: import("../..").AnyWire;
        resetRelatedPrompt: import("../..").AnyWire;
    };
    UserClearedQuery: {
        cancelFetchAndSaveRelatedPrompts: import("../..").AnyWire;
        resetRelatedPromptsState: import("../..").AnyWire;
        setRelatedPromptsQuery: import("../..").Wire<string>;
    };
    RelatedPromptsRequestUpdated: {
        fetchAndSaveRelatedPrompts: import("../..").Wire<import("@empathyco/x-types").RelatedPromptsRequest | null>;
    };
    UserSelectedARelatedPrompt: {
        setRelatedPrompt: import("../..").Wire<number>;
    };
    UserSelectedARelatedPromptQuery: {
        setRelatedPromptQuery: import("../..").Wire<number>;
    };
    SearchRequestChanged: {
        resetRelatedPrompt: import("../..").Wire<any>;
    };
    SelectedRelatedTagsChanged: {
        setRelatedPromptsRelatedTags: import("../..").Wire<import("@empathyco/x-types").RelatedTag[]>;
    };
};
//# sourceMappingURL=wiring.d.ts.map