import type { RelatedTag as RelatedTagModel } from '@empathyco/x-types';
import type { PropType } from 'vue';
import type { VueCSSClasses } from '../../../utils/types';
/**
 * This component renders a related tag for a query. A related tag is a descriptive keyword
 * related to the current query to fine-tune the search. For example, if you are searching
 * for *lego*, a related tag could be *city*, refining the search with *lego city*.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Indicates if the curated related tag should be highlighted.
     *
     * @public
     */
    highlightCurated: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The related tag model data.
     *
     * @public
     */
    relatedTag: {
        type: PropType<RelatedTagModel>;
        required: true;
    };
}, {
    buttonEl: import("vue").Ref<HTMLElement | undefined>;
    dynamicClasses: import("vue").ComputedRef<VueCSSClasses>;
    isSelected: import("vue").ComputedRef<boolean>;
    clickRelatedTag: () => void;
    shouldHighlightCurated: import("vue").ComputedRef<boolean>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Indicates if the curated related tag should be highlighted.
     *
     * @public
     */
    highlightCurated: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The related tag model data.
     *
     * @public
     */
    relatedTag: {
        type: PropType<RelatedTagModel>;
        required: true;
    };
}>>, {
    highlightCurated: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=related-tag.vue?vue&type=script&lang.d.ts.map