import type { RelatedTag as RelatedTagModel } from '@empathyco/x-types';
import type { ComputedRef } from 'vue';
/**
 * This component renders a set of [`RelatedTag`](./x-components.related-tag) components by
 * default to select from after a query is performed to fine-tune search.
 * For example, if you are searching for *lego*, different related tags could be *city*,
 * friends*, or *harry potter*, refining the search with *lego city*, *lego friends*,
 * or *lego harry potter*.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Animation component that will be used to animate the suggestion.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * Number of related tags to be rendered.
     *
     * @public
     */
    maxItemsToRender: NumberConstructor;
    /**
     * Flag to indicate if the curated tags should be displayed different.
     *
     * @public
     */
    highlightCurated: {
        type: BooleanConstructor;
        default: boolean;
    };
    /** Class inherited by content element. */
    itemClass: StringConstructor;
}, {
    relatedTags: ComputedRef<RelatedTagModel[]>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Animation component that will be used to animate the suggestion.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * Number of related tags to be rendered.
     *
     * @public
     */
    maxItemsToRender: NumberConstructor;
    /**
     * Flag to indicate if the curated tags should be displayed different.
     *
     * @public
     */
    highlightCurated: {
        type: BooleanConstructor;
        default: boolean;
    };
    /** Class inherited by content element. */
    itemClass: StringConstructor;
}>>, {
    animation: string | Function | Record<string, any>;
    highlightCurated: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=related-tags.vue?vue&type=script&lang.d.ts.map