/**
 * Sets the related tags state `query`.
 *
 * @public
 */
export declare const setRelatedTagsQuery: import("../..").Wire<string>;
/**
 * Sets the related tags state `query` from a selectedQueryPreview's query.
 *
 * @public
 */
export declare const setRelatedTagsQueryFromPreview: import("../..").AnyWire;
/**
 * Sets the related tags state `params` from a selectedQueryPreview's extraParams.
 *
 * @public
 */
export declare const setRelatedTagsExtraParamsFromPreview: import("../..").AnyWire;
/**
 * Sets the related tags state `params`.
 *
 * @public
 */
export declare const setRelatedTagsExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
/**
 * Requests and stores the related tags.
 *
 * @public
 */
export declare const fetchAndSaveRelatedTagsWire: import("../..").Wire<import("@empathyco/x-types").RelatedTagsRequest | null>;
/**
 * Cancels the {@link RelatedTagsActions.fetchAndSaveRelatedTags} request promise.
 *
 * @public
 */
export declare const cancelFetchAndSaveRelatedTagsWire: import("../..").AnyWire;
/**
 * Sets the selected related tags.
 *
 * @public
 */
export declare const toggleRelatedTagWire: import("../..").Wire<import("@empathyco/x-types").RelatedTag>;
/**
 * Clear the selected related tags.
 *
 * @public
 */
export declare const clearSelectedRelatedTags: import("../..").AnyWire;
/**
 * Clear the related tags query.
 *
 * @public
 */
export declare const clearRelatedTagsQuery: import("../..").AnyWire;
/**
 * Saves the params from the url.
 *
 * @public
 */
export declare const setUrlParamsWire: import("../..").Wire<import("../..").UrlParams>;
/**
 * Wiring configuration for the {@link RelatedTagsXModule | related tags module}.
 *
 * @internal
 */
export declare const relatedTagsWiring: {
    ParamsLoadedFromUrl: {
        setUrlParamsWire: import("../..").Wire<import("../..").UrlParams>;
    };
    UserAcceptedAQuery: {
        setRelatedTagsQuery: import("../..").Wire<string>;
        clearSelectedRelatedTags: import("../..").AnyWire;
    };
    UserPickedARelatedTag: {
        toggleRelatedTagWire: import("../..").Wire<import("@empathyco/x-types").RelatedTag>;
    };
    UserChangedExtraParams: {
        clearSelectedRelatedTags: import("../..").AnyWire;
    };
    RelatedTagsRequestUpdated: {
        fetchAndSaveRelatedTagsWire: import("../..").Wire<import("@empathyco/x-types").RelatedTagsRequest | null>;
    };
    UserClearedQuery: {
        cancelFetchAndSaveRelatedTagsWire: import("../..").AnyWire;
        clearRelatedTagsQuery: import("../..").AnyWire;
        clearSelectedRelatedTags: import("../..").AnyWire;
    };
    ExtraParamsChanged: {
        setRelatedTagsExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
    };
    UserClickedCloseX: {
        clearRelatedTagsQuery: import("../..").AnyWire;
    };
    UserClickedOutOfMainModal: {
        clearRelatedTagsQuery: import("../..").AnyWire;
    };
    UserAcceptedAQueryPreview: {
        setRelatedTagsQueryFromPreview: import("../..").AnyWire;
        clearSelectedRelatedTags: import("../..").AnyWire;
        setRelatedTagsExtraParamsFromPreview: import("../..").AnyWire;
    };
    QueryPreviewUnselected: {
        setRelatedTagsExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
    };
};
//# sourceMappingURL=wiring.d.ts.map