/**
 * Saves the scroll position of a container to the store.
 *
 * @public
 */
export declare const setScrollPositionWire: import("../../wiring/wiring.types").AnyWire;
/**
 * Saves the scroll direction of a container to the store.
 *
 * @public
 */
export declare const setScrollDirectionWire: import("../../wiring/wiring.types").AnyWire;
/**
 * Saves a boolean indicating if the scroll has almost reached the end of a container to the store.
 *
 * @public
 */
export declare const setScrollHasAlmostReachedEndWire: import("../../wiring/wiring.types").AnyWire;
/**
 * Saves a boolean indicating if the scroll has reached the end of a container to the store.
 *
 * @public
 */
export declare const setScrollHasReachedEndWire: import("../../wiring/wiring.types").AnyWire;
/**
 * Saves a boolean indicating if the scroll has reached the start of a container to the store.
 *
 * @public
 */
export declare const setScrollHasReachedStartWire: import("../../wiring/wiring.types").AnyWire;
/**
 * Saves the selector of the item that should be scrolled into the view.
 *
 * @public
 */
export declare const setPendingScrollToWire: import("../../wiring/wiring.types").AnyWire;
/**
 * Resets the selector of the scroll that is pending to restore.
 *
 * @public
 */
export declare const clearPendingScrollToWire: import("../../wiring/wiring.types").AnyWire;
/**
 * Wiring configuration for the {@link ScrollXModule | scroll module}.
 *
 * @internal
 */
export declare const scrollWiring: {
    UserScrolled: {
        setScrollPositionWire: import("../../wiring/wiring.types").AnyWire;
    };
    UserChangedScrollDirection: {
        setScrollDirectionWire: import("../../wiring/wiring.types").AnyWire;
    };
    UserReachedScrollStart: {
        setScrollHasReachedStartWire: import("../../wiring/wiring.types").AnyWire;
    };
    UserAlmostReachedScrollEnd: {
        setScrollHasAlmostReachedEndWire: import("../../wiring/wiring.types").AnyWire;
    };
    UserReachedScrollEnd: {
        setScrollHasReachedEndWire: import("../../wiring/wiring.types").AnyWire;
    };
    ParamsLoadedFromUrl: {
        setPendingScrollToWire: import("../../wiring/wiring.types").AnyWire;
    };
    ScrollRestoreSucceeded: {
        clearPendingScrollToWire: import("../../wiring/wiring.types").AnyWire;
    };
    ScrollRestoreFailed: {
        clearPendingScrollToWire: import("../../wiring/wiring.types").AnyWire;
    };
};
//# sourceMappingURL=wiring.d.ts.map