import type { VueCSSClasses } from '../../../utils/types';
/**
 * This component renders a button to delete the current query.
 *
 * @remarks
 * A button that when pressed emits the {@link SearchBoxXEvents.UserPressedClearSearchBoxButton}
 * and {@link SearchBoxXEvents.UserClearedQuery} events, expressing the user intention to clear
 * the current query.
 * It also adds `x-clear-search-input--has-empty-query` as class when there is no query.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{}, {
    dynamicClasses: import("vue").ComputedRef<VueCSSClasses>;
    clearSearchInputEvents: import("vue").Ref<{
        UserPressedClearSearchBoxButton: undefined;
    }>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
export default _default;
//# sourceMappingURL=clear-search-input.vue?vue&type=script&lang.d.ts.map