import type { PropType } from 'vue';
/**.
 * This component renders an animated placeholder for the search input in the shape of a list of
 * iterating messages that can be configured to happen always or only when hovering the input
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * List of messages to animate.
     *
     * @public
     */
    messages: {
        type: PropType<string[]>;
        required: true;
    };
    /**
     * Animation component used for the messages.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: () => import("vue").DefineComponent<{}, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    };
    /**
     * Time in milliseconds during which each message is visible.
     *
     * @public
     */
    animationIntervalMs: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * Whether the messages animation is active only when hovering the search input or always.
     *
     * @public
     */
    animateOnlyOnHover: BooleanConstructor;
}, {
    isVisible: import("vue").ComputedRef<boolean>;
    message: import("vue").ComputedRef<string | undefined>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * List of messages to animate.
     *
     * @public
     */
    messages: {
        type: PropType<string[]>;
        required: true;
    };
    /**
     * Animation component used for the messages.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: () => import("vue").DefineComponent<{}, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    };
    /**
     * Time in milliseconds during which each message is visible.
     *
     * @public
     */
    animationIntervalMs: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * Whether the messages animation is active only when hovering the search input or always.
     *
     * @public
     */
    animateOnlyOnHover: BooleanConstructor;
}>>, {
    animation: string | Function | Record<string, any>;
    animationIntervalMs: number;
    animateOnlyOnHover: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=search-input-placeholder.vue?vue&type=script&lang.d.ts.map