import type { Banner as BannerModel } from '@empathyco/x-types';
import type { PropType } from 'vue';
/**.
 * A banner result is just an item that has been inserted into the search results to advertise
 * something. Usually it is the first item in the grid or it can be placed in the middle of them
 * and fill the whole row where appears.
 * The banner may be clickable or non-clickable depending on whether it has an associated URL
 * or not. It contains an image and, optionally, a title. In case the image does not
 * load due to an error the banner will not be rendered.
 *
 * Additionally, this component exposes the following props to modify the classes of the
 * elements: `titleClass`.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The banner data.
     *
     * @public
     */
    banner: {
        type: PropType<BannerModel>;
        required: true;
    };
    titleClass: StringConstructor;
}, {
    imageFailed: import("vue").Ref<boolean>;
    anchorEvents: () => Partial<{
        abort: () => void;
        animationcancel: () => void;
        animationend: () => void;
        animationiteration: () => void;
        animationstart: () => void;
        auxclick: () => void;
        beforeinput: () => void;
        blur: () => void;
        cancel: () => void;
        canplay: () => void;
        canplaythrough: () => void;
        change: () => void;
        click: () => void;
        close: () => void;
        compositionend: () => void;
        compositionstart: () => void;
        compositionupdate: () => void;
        contextmenu: () => void;
        cuechange: () => void;
        dblclick: () => void;
        drag: () => void;
        dragend: () => void;
        dragenter: () => void;
        dragleave: () => void;
        dragover: () => void;
        dragstart: () => void;
        drop: () => void;
        durationchange: () => void;
        emptied: () => void;
        ended: () => void;
        error: () => void;
        focus: () => void;
        focusin: () => void;
        focusout: () => void;
        formdata: () => void;
        gotpointercapture: () => void;
        input: () => void;
        invalid: () => void;
        keydown: () => void;
        keypress: () => void;
        keyup: () => void;
        load: () => void;
        loadeddata: () => void;
        loadedmetadata: () => void;
        loadstart: () => void;
        lostpointercapture: () => void;
        mousedown: () => void;
        mouseenter: () => void;
        mouseleave: () => void;
        mousemove: () => void;
        mouseout: () => void;
        mouseover: () => void;
        mouseup: () => void;
        pause: () => void;
        play: () => void;
        playing: () => void;
        pointercancel: () => void;
        pointerdown: () => void;
        pointerenter: () => void;
        pointerleave: () => void;
        pointermove: () => void;
        pointerout: () => void;
        pointerover: () => void;
        pointerup: () => void;
        progress: () => void;
        ratechange: () => void;
        reset: () => void;
        resize: () => void;
        scroll: () => void;
        securitypolicyviolation: () => void;
        seeked: () => void;
        seeking: () => void;
        select: () => void;
        selectionchange: () => void;
        selectstart: () => void;
        slotchange: () => void;
        stalled: () => void;
        submit: () => void;
        suspend: () => void;
        timeupdate: () => void;
        toggle: () => void;
        touchcancel: () => void;
        touchend: () => void;
        touchmove: () => void;
        touchstart: () => void;
        transitioncancel: () => void;
        transitionend: () => void;
        transitionrun: () => void;
        transitionstart: () => void;
        volumechange: () => void;
        waiting: () => void;
        webkitanimationend: () => void;
        webkitanimationiteration: () => void;
        webkitanimationstart: () => void;
        webkittransitionend: () => void;
        wheel: () => void;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The banner data.
     *
     * @public
     */
    banner: {
        type: PropType<BannerModel>;
        required: true;
    };
    titleClass: StringConstructor;
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=banner.vue?vue&type=script&lang.d.ts.map