import type { Promoted as PromotedModel } from '@empathyco/x-types';
import type { PropType } from 'vue';
/**
 * A promoted result is just an item that has been inserted into the search results to advertise
 * something. Usually it is one of the first items in the grid, and has the same shape as a
 * result. It just contains a link to the promoted content, an image, and a title.
 *
 * Additionally, this component exposes the following props to modify the classes of the
 * elements: `titleClass`.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The promoted data.
     *
     * @public
     */
    promoted: {
        type: PropType<PromotedModel>;
        required: true;
    };
    titleClass: StringConstructor;
}, {
    emitUserClickedAPromoted: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The promoted data.
     *
     * @public
     */
    promoted: {
        type: PropType<PromotedModel>;
        required: true;
    };
    titleClass: StringConstructor;
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=promoted.vue?vue&type=script&lang.d.ts.map