import type { Sort } from '@empathyco/x-types';
import type { PropType } from 'vue';
import type Vue from 'vue';
import type { VueCSSClasses } from '../../../utils/types';
import type { XEventsTypes } from '../../../wiring/events.types';
/**
 * Sort list item options.
 */
interface SortListItem {
    item: Sort;
    cssClasses: VueCSSClasses;
    event: Partial<XEventsTypes>;
}
/**
 * The `SortList` component allows user to select the search results order. This component
 * also allows to change the selected sort programmatically.
 */
declare const _default: Vue.DefineComponent<{
    /** The list of possible sort values. */
    items: {
        type: PropType<string[]>;
        required: true;
    };
    /** The transition to use for rendering the list. */
    animation: {
        type: PropType<string | typeof Vue>;
        default: () => string;
    };
}, {
    listItems: Vue.ComputedRef<SortListItem[]>;
    selectedSort: Vue.ComputedRef<string>;
}, unknown, {}, {}, Vue.ComponentOptionsMixin, Vue.ComponentOptionsMixin, {}, string, Vue.PublicProps, Readonly<Vue.ExtractPropTypes<{
    /** The list of possible sort values. */
    items: {
        type: PropType<string[]>;
        required: true;
    };
    /** The transition to use for rendering the list. */
    animation: {
        type: PropType<string | typeof Vue>;
        default: () => string;
    };
}>>, {
    animation: string | typeof Vue;
}, {}>;
export default _default;
//# sourceMappingURL=sort-list.vue?vue&type=script&lang.d.ts.map