/**
 * {@link StoreEmitters} For the search module.
 *
 * @internal
 */
export declare const searchEmitters: {
    FacetsChanged: {
        selector: (state: import("./types").SearchState) => import("@empathyco/x-types").Facet[];
        filter(newValue: import("@empathyco/x-types").Facet[], oldValue: import("@empathyco/x-types").Facet[]): boolean;
    };
    PageChanged: (state: import("./types").SearchState) => number;
    ResultsChanged: (state: import("./types").SearchState) => import("@empathyco/x-types").Result[];
    SearchRequestChanged: (_: import("./types").SearchState, getters: import("../../..").Returns<import("../../../store").GettersTree<import("./types").SearchState, import("./types").SearchGetters>>) => import("..").InternalSearchRequest | null;
    SearchRequestUpdated: (_: import("./types").SearchState, getters: import("../../..").Returns<import("../../../store").GettersTree<import("./types").SearchState, import("./types").SearchGetters>>) => import("..").InternalSearchRequest | null;
    SearchResponseChanged: {
        selector: (state: import("./types").SearchState, getters: import("../../..").Returns<import("../../../store").GettersTree<import("./types").SearchState, import("./types").SearchGetters>>) => {
            request: import("..").InternalSearchRequest;
            status: import("../../../store").RequestStatus;
            banners: import("@empathyco/x-types").Banner[];
            facets: import("@empathyco/x-types").Facet[];
            partialResults: import("@empathyco/x-types").PartialResult[];
            promoteds: import("@empathyco/x-types").Promoted[];
            queryTagging: import("@empathyco/x-types").TaggingRequest;
            displayTagging: import("@empathyco/x-types").TaggingRequest;
            redirections: import("@empathyco/x-types").Redirection[];
            results: import("@empathyco/x-types").Result[];
            spellcheck: string;
            totalResults: number;
        };
        filter: (newValue: import("..").InternalSearchResponse, oldValue: import("..").InternalSearchResponse) => boolean;
    };
    SearchTaggingChanged: {
        selector: (state: import("./types").SearchState) => import("@empathyco/x-types").TaggingRequest;
        filter: ({ url }: import("@empathyco/x-types").TaggingRequest) => boolean;
    };
    SpellcheckChanged: (state: import("./types").SearchState) => string;
    SortChanged: (state: import("./types").SearchState) => string;
};
//# sourceMappingURL=emitters.d.ts.map