import type { Stats } from '@empathyco/x-types';
import type { SearchXStoreModule } from './types';
/**
 * {@link XStoreModule} For the search module.
 *
 * @internal
 */
export declare const searchXStoreModule: SearchXStoreModule;
/**
 * Function to return the "resettable" part of the state. This will be used in the `resetState`
 * mutation to reset to the initial state.
 *
 * @returns The "resettable" part of the {@link SearchState}.
 *
 * @internal
 */
export declare function resettableState(): {
    query: string;
    results: never[];
    partialResults: never[];
    facets: never[];
    relatedTags: never[];
    banners: never[];
    promoteds: never[];
    totalResults: number;
    spellcheckedQuery: string;
    sort: string;
    page: number;
    origin: null;
    isAppendResults: boolean;
    redirections: never[];
    queryTagging: {
        url: string;
        params: {};
    };
    displayTagging: {
        url: string;
        params: {};
    };
    stats: Stats;
};
//# sourceMappingURL=module.d.ts.map