import type { SemanticQuery } from '@empathyco/x-types';
import type { PropType } from 'vue';
/**
 * This component renders a semantic query. A semantic query is a recommended query
 * that is similar in its meaning to another one.
 * It contains the query and the distance, which indicates how similar the query is
 * compared to the searched query.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** The {@link @empathyco/x-types#SemanticQuery} to render. */
    suggestion: {
        type: PropType<SemanticQuery>;
        required: true;
    };
}, {
    query: import("vue").ComputedRef<string>;
    suggestionSelectedEvents: {
        UserSelectedASemanticQuery: SemanticQuery;
    };
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** The {@link @empathyco/x-types#SemanticQuery} to render. */
    suggestion: {
        type: PropType<SemanticQuery>;
        required: true;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=semantic-query.vue?vue&type=script&lang.d.ts.map