/**
 * Requests and stores the semantic query results.
 *
 * @public
 */
export declare const fetchAndSaveSemanticQueryWire: import("../..").Wire<import("@empathyco/x-types").SemanticQueriesRequest | null>;
/**
 * Sets the query.
 *
 * @public
 */
export declare const setQueryWire: import("../..").Wire<string>;
/**
 * Sets the query taking the {@link SearchXEvents.SearchResponseChanged} payload.
 *
 * @public
 */
export declare const setQueryFromSearchResponseChangedWire: import("../..").Wire<import("../search").InternalSearchResponse>;
/**
 * Clears the query.
 *
 * @public
 */
export declare const clearQueryWire: import("../..").AnyWire;
/**
 * Sets the total results.
 *
 * @public
 */
export declare const setTotalResultsWire: import("../..").Wire<number>;
/**
 * Sets the total results taking the {@link SearchXEvents.SearchResponseChanged} payload.
 *
 * @public
 */
export declare const setTotalResultsFromSearchResponseChangedWire: import("../..").Wire<import("../search").InternalSearchResponse>;
/**
 * Sets the semantic queries state `params`.
 *
 * @public
 */
export declare const setSemanticQueriesExtraParamsWire: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
/**
 * Wiring configuration for the {@link SemanticQueriesXModule | semanticQueries module}.
 *
 * @internal
 */
export declare const semanticQueriesWiring: {
    UserClearedQuery: {
        clearQueryWire: import("../..").AnyWire;
    };
    SemanticQueryRequestUpdated: {
        fetchAndSaveSemanticQueryWire: import("../..").Wire<import("@empathyco/x-types").SemanticQueriesRequest | null>;
    };
    ExtraParamsChanged: {
        setSemanticQueriesExtraParamsWire: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
    };
    SearchResponseChanged: {
        setQueryFromSearchResponseChangedWire: import("../..").Wire<import("../search").InternalSearchResponse>;
        setTotalResultsFromSearchResponseChangedWire: import("../..").Wire<import("../search").InternalSearchResponse>;
    };
    SelectedRelatedTagsChanged: {
        setSemanticQueriesRelatedTags: import("../..").Wire<import("@empathyco/x-types").RelatedTag[]>;
    };
};
//# sourceMappingURL=wiring.d.ts.map