/**
 * This component enables and manages the sending of information to the
 * [Empathy Tagging API](https://docs.empathy.co/develop-empathy-platform/api-reference/tagging-api.html).
 * It allows you to activate or deactivate the session id management through the `consent` prop.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The TTL in milliseconds for storing the result info.
     */
    storageTTLMs: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The Object key of the {@link @empathyco/x-types#Result} clicked or added to the cart by the user
     * that will be used as id for the storage.
     * By default, the Result url will be used.
     */
    storageKey: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The session TTL in milliseconds.
     */
    sessionTTLMs: NumberConstructor;
    /**
     * The debounce time in milliseconds to track the query.
     */
    queryTaggingDebounceMs: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The consent to be emitted.
     */
    consent: {
        type: BooleanConstructor;
        default: null;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The TTL in milliseconds for storing the result info.
     */
    storageTTLMs: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The Object key of the {@link @empathyco/x-types#Result} clicked or added to the cart by the user
     * that will be used as id for the storage.
     * By default, the Result url will be used.
     */
    storageKey: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The session TTL in milliseconds.
     */
    sessionTTLMs: NumberConstructor;
    /**
     * The debounce time in milliseconds to track the query.
     */
    queryTaggingDebounceMs: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The consent to be emitted.
     */
    consent: {
        type: BooleanConstructor;
        default: null;
    };
}>>, {
    storageTTLMs: number;
    storageKey: string;
    queryTaggingDebounceMs: number;
    consent: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=tagging.vue?vue&type=script&lang.d.ts.map