/**
 * Sets the {@link RelatedTag | related tags }.
 *
 * @public
 */
export declare const setUrlRelatedTags: import("../..").Wire<import("@empathyco/x-types").RelatedTag[]>;
/**
 * Sets the related prompt of the URL module.
 *
 * @public
 */
export declare const setUrlPrompt: import("../..").Wire<number>;
/**
 * Sets the query of the url module.
 *
 * @public
 */
export declare const setUrlQuery: import("../..").Wire<string>;
/**
 * Sets the url state `query` with a selectedQueryPreview's query.
 *
 * @public
 */
export declare const setUrlQueryFromPreview: import("../..").AnyWire;
/**
 * Sets the page of the url module.
 *
 * @public
 */
export declare const setUrlPage: import("../..").Wire<number>;
/**
 * Sets the sort of the url module.
 *
 * @public
 */
export declare const setUrlSort: import("../..").Wire<string>;
/**
 * Sets the extra params of the url module.
 *
 * @public
 */
export declare const setParams: import("../..").Wire<Partial<import("../..").UrlParams>>;
/**
 * Sets the extra params of the url module from a selectedQueryPreview's extraParams.
 *
 * @public
 */
export declare const setUrlParamsFromPreview: import("../..").AnyWire;
/**
 * Sets the filters of the url module from a selectedQueryPreview's filters.
 *
 * @public
 */
export declare const setUrlSelectedFiltersFromPreview: import("../..").AnyWire;
/**
 * Sets the scroll of the url module.
 *
 * @public
 */
export declare const setUrlScroll: import("../..").Wire<string>;
/**
 * Sets the initial provided extra params.
 *
 * @public
 */
export declare const setInitialExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
/**
 * Sets the filters of the url module.
 *
 * @public
 */
export declare const setUrlFilters: import("../..").Wire<import("@empathyco/x-types").Filter[]>;
/**
 * Wiring configuration for the {@link UrlXModule | url module}.
 *
 * @internal
 */
export declare const urlWiring: {
    ParamsLoadedFromUrl: {
        setParams: import("../..").Wire<Partial<import("../..").UrlParams>>;
    };
    UserAcceptedAQuery: {
        setUrlQuery: import("../..").Wire<string>;
    };
    UserAcceptedAQueryPreview: {
        setUrlQueryFromPreview: import("../..").AnyWire;
        setUrlParamsFromPreview: import("../..").AnyWire;
        setUrlSelectedFiltersFromPreview: import("../..").AnyWire;
    };
    UserClearedQuery: {
        setUrlQuery: import("../..").Wire<string>;
    };
    SelectedRelatedTagsChanged: {
        setUrlRelatedTags: import("../..").Wire<import("@empathyco/x-types").RelatedTag[]>;
    };
    SelectedRelatedPromptChanged: {
        setUrlPrompt: import("../..").Wire<number>;
    };
    SelectedFiltersForRequestChanged: {
        setUrlFilters: import("../..").Wire<import("@empathyco/x-types").Filter[]>;
    };
    PageChanged: {
        setUrlPage: import("../..").Wire<number>;
    };
    SortChanged: {
        setUrlSort: import("../..").Wire<string>;
    };
    ExtraParamsChanged: {
        setParams: import("../..").Wire<Partial<import("../..").UrlParams>>;
    };
    ExtraParamsInitialized: {
        setInitialExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
    };
    UserScrolledToElement: {
        setUrlScroll: import("../..").Wire<string>;
    };
};
//# sourceMappingURL=wiring.d.ts.map